<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Symfony\Component\Process\Exception\ProcessFailedException;
use Symfony\Component\Process\Process;


class FetchAdverseNews extends Command
{
    protected $signature = 'fetch:adverse-news';
    protected $description = 'Fetch adverse news data';

    public function handle()
    {
        $this->info('Starting to fetch adverse news data...');

        // Define the path to your Python script
        $pythonScriptPath = base_path('python_scripts/fetch_adverse_news.py');

        // Create a new process instance
        $process = new Process(['python', $pythonScriptPath]);

        // Run the process
        $process->run();

        // Check for errors
        if (!$process->isSuccessful()) {
            throw new ProcessFailedException($process);
        }
        $this->info('Adverse news data fetched and processed successfully.');
    }
}
