<?php

namespace App\Console\Commands;

use App\RabbitMQService;
use Illuminate\Console\Command;
use App\Http\Controllers\RabbitMQController;

class RabbitMQConsumer extends Command
{
    protected $signature = 'rabbitmq:consumer';
    protected $description = 'Consume messages from RabbitMQ';

    public function handle()
    {
        $rabbitMQService = new RabbitMQService('consumer_exchange', 'consumer_log', 'consumer_routing_key');

        $rabbitMQService->consume(function ($messageBody) {
            $controller = new RabbitMQController();
            $controller->processMessage($messageBody);
        });
    }
}
