<?php
namespace App\Console\Commands;

use Illuminate\Console\Command;
use Symfony\Component\Process\Process;

class ScreenCustomersCommand extends Command
{
    protected $signature = 'screen:customers';
    protected $description = 'Screen customers against adverse news data';

    public function handle()
    {
        $process = new Process(['python3', base_path('python_scripts/ut-ml-adverse-media-main/screen_customers.py')]);
        $process->run();

        if (!$process->isSuccessful()) {
            $this->error("Error: " . $process->getErrorOutput());
        } else {
            $this->info("Screening completed: " . $process->getOutput());
        }
    }
}
