<?php

namespace App\Console;

use App\Jobs\AutomationContract;
use App\Jobs\SendNotifyTaskProcess;
use App\Jobs\TaskPrepareServiceRun;
use App\Console\Commands\RabbitMQConsumer;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule): void
    {
        // $schedule->command('inspire')->hourly();

        // $schedule->job(new SendNotifyTaskProcess())->dailyAt('00:01');
        // $schedule->job(new TaskPrepareServiceRun())->everyMinute();
        // $schedule->job(new AutomationContract())->dailyAt('00:01');
    }

    /**
     * Register the commands for the application.
     */
    protected function commands(): void
    {
        $this->load(__DIR__ . '/Commands');
        require base_path('routes/console.php');
    }

    /**
     * Register the commands for the rabbitMQ.
     */
    protected $commands = [RabbitMQConsumer::class];
}
