<?php

namespace App\Helpers;

class APIHelper
{
    public static function callAPI($url, $headers, $type = 'POST', $data = null)
    {
        $curl = curl_init();

        curl_setopt_array($curl, [
            CURLOPT_URL => $url,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => $type,
            CURLOPT_POSTFIELDS => $data,
            CURLOPT_HTTPHEADER => $headers,
            CURLOPT_SSL_VERIFYPEER => false,
        ]);

        $response = curl_exec($curl);
        if (curl_errno($curl)) {
            $error = curl_error($curl);
            // Handle the error as per your requirement
            return ['status' => 'error', 'message' => $error];
        }

        curl_close($curl);
        // Convert the JSON response to an array
        $responseData = json_decode($response, true);
        if (json_last_error() !== JSON_ERROR_NONE) {
            // Handle JSON decoding error
            return ['status' => 'error', 'message' => 'Error decoding JSON response'];
        }

        return $responseData;
    }
}
