<?php
namespace App\Helpers;

use GuzzleHttp\Client;

class TranslatorHelper
{
    protected $client;

    public function __construct()
    {
        $this->client = new Client(['base_uri' => 'https://libretranslate.com/']);
    }

    /**
     * Translate text from Bangla to English.
     *
     * @param string $text
     * @return string
     */
    public function translateToEnglish(string $text): string
    {
        $response = $this->client->post('/translate', [
            'form_params' => [
                'q' => $text,
                'source' => 'bn',
                'target' => 'en',
            ],
        ]);

        $result = json_decode($response->getBody(), true);

        return $result['translatedText'] ?? '';
    }
}
