<?php

namespace App\Http\Controllers\Admin;

use App\Models\XAttachment;
use App\Models\XAttachmentType;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class XAttachmentController extends Controller
{
    public function viewXAttachments()
    {
        $page_title = __("Attachment List");
        $is_filter_enabled = true;
        $is_action_enabled = true;
        $is_submit_enabled = false;
        return view('admin.xAttachments.index', compact('page_title', 'is_filter_enabled', 'is_action_enabled', 'is_submit_enabled'));
    }

    public function apiXAttachmentList(Request $request)
    {
        $page = $request->has('draw') ? $request->get('draw') : 1;
        $limit = $request->has('length') ? $request->get('length') : 10;
        $start = $request->has('start') ? $request->get('start') : 0;
        $search = $request->has('search') ? $request->get('search') : [];
        $m_xAttachment = new XAttachmentType();
        return response()->json($m_xAttachment->getList($page, $limit, $start, $search));
    }

    public function setupXAttachment(Request $request)
    {
        $_id = $request->get('type');
        if ($request->isMethod('post')) {
            //save data
            $response = ['status' => 'error', 'code' => 500, 'message' => "Invalid request"];
            $data = $request->all();
            if (empty($data)) {
                return response()->json($response, $response['code'], []);
            }
            $response = new XAttachmentType();
            $response = $response->saveOrUpdate(setAuthInfoToData($data, Auth::user()));
            return response()->json($response, $response['code'], []);
        } else {
            $x_attachment = [];
            if (intval($_id) == 0) {
                $page_title = __("Add Holiday");
            } else {
                $m_x_attachment_type = new XAttachmentType();
                $x_attachment = $m_x_attachment_type->getAttachmentType($_id);
                $page_title = __("Edit Holiday : :name", ['name' => $x_attachment->name]);
            }
            $is_submit_enabled = true;
            return view('admin.xAttachments.setup', compact('x_attachment', 'page_title', 'is_submit_enabled'));
        }
    }

    public function deleteXAttachment($id)
    {
        try {
            $m_xAttachment = new XAttachmentType();
            return response()->json($m_xAttachment->deleteAttachment($id), 200);
        } catch (\Exception $e) {
            return response()->json(['error' => 'An error occurred while deleting the Holiday'], 500);
        }
    }
}
