<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\XHoliday;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class XHolidayController extends Controller
{
    public function holidayList(Request $request)
    {
        $page_title = __("Holiday List");
        $is_filter_enabled = true;
        $is_action_enabled = true;
        $is_submit_enabled = false;
        $x_holidays = XHoliday::all();
        return view('admin.xHolidays.holiday_list', compact('x_holidays', 'page_title', 'is_filter_enabled', 'is_action_enabled', 'is_submit_enabled'));
    }
    public function apiHolidayList(Request $request)
    {
        $page = $request->has('draw') ? $request->get('draw') : 1;
        $limit = $request->has('length') ? $request->get('length') : 10;
        $start = $request->has('start') ? $request->get('start') : 0;
        $search = $request->has('search') ? $request->get('search') : [];
        $m_holiday = new XHoliday();
        return response()->json($m_holiday->getList($page, $limit, $start, $search));
    }

    public function setupHoliday(Request $request)
    {
        $_id = $request->get('type');
        $m_xHoliday = new XHoliday();
        if ($request->isMethod('post')) {
            //save data
            $response = ['status' => 'error', 'code' => 500, 'message' => "Invalid request"];
            $data = $request->all();
            if (empty($data)) {
                return response()->json($response, $response['code'], []);
            }
            $response = $m_xHoliday->saveOrUpdate(setAuthInfoToData($data, Auth::user()));
            return response()->json($response, $response['code'], []);
        } else {
            $xHoliday = [];
            if (intval($_id) == 0) {
                $page_title = __("Add Holiday");
            } else {
                $xHoliday = $m_xHoliday->getHoliday($_id);
                $page_title = __("Edit Holiday : :name", ['name' => $xHoliday->holiday_type]);
            }
            $is_submit_enabled = true;
            return view('admin.xHolidays.setup', compact('xHoliday', 'page_title', 'is_submit_enabled'));
        }
    }
    public function saveHoliday(Request $request)
    {
        $x_holidays = new XHoliday();
        $data = $request->all();
        $data['date'] = date('Y-m-d', strtotime($data['date']));
        return $x_holidays->saveOrUpdate(setAuthInfoToData($data, Auth::user()));
    }

    public function deleteHoliday($id)
    {
        try {
            $xHoliday = new XHoliday();
            return response()->json($xHoliday->deleteHoliday($id), 200);
        } catch (\Exception $e) {
            return response()->json(['error' => 'An error occurred while deleting the Holiday'], 500);
        }
    }
}
