<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Artisan;

class ArtisanController extends Controller
{
    public function index(Request $request)
    {
        if (!$request->ajax()) {
            $page_title = "Artisan Command";
            return view('artisan.index', compact('page_title'));
        }
        try {
            if (!empty($request->command)) {
                Artisan::call(trim($request->command));
            } else {
                return response()->json(['error' => false, 'data' => "<pre> Empty Command! </pre>", 'msg' => 'Error! Empty Command!']);
            }
        } catch (\Exception $exc) {
            return response()->json(['error' => true, 'data' => false, 'msg' => $exc->getMessage()], Response::HTTP_OK);
        }
        return response()->json(['error' => false, 'data' => "<pre>" . Artisan::output(), 'msg' => 'Success'], Response::HTTP_OK);
    }
}
