<?php

namespace App\Http\Controllers;

use App\Helpers\JaroWinkler;
use App\Models\Customer;
use App\Models\AdverseNews;
use App\Models\MatchConfirmation;
use App\Models\NewsData;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
        $page_title = __("Dashboard");
        $news = new NewsData();
        $summeryData = $news->getNewsDataSummary();
        return view('Dashboard.index', compact('page_title','summeryData'));
    }

    public function confirmMatch($id)
    {
        $match = MatchConfirmation::find($id);
        $match->is_confirmed = true;
        $match->save();
        return redirect()->route('dashboard');
    }

    public function newsAgainstProminentPerson()
    {
        $m_news_data = new NewsData();
        $data = $m_news_data->getNewsAgainstProminentPersonData();
        return view('element.layout.partials.content.news.news_against_prominent_person', compact('data'));
    }

    public function viewAgainstProminentPerson(Request $request)
    {
        $page_title = __("360 View of News Against Prominent Person");
        $id = $request->id;

        $customers = Customer::get()->toArray();
        $jarwikler = new JaroWinkler();

        $m_news_data = new NewsData();
        $news_data = $m_news_data->getNewsData($id);
        $highest_score = 0;
        foreach ($customers as $customer) {
            if (!empty($news_data->Nameofperson_English)) {
                $score = $jarwikler->getSimilarity($customer['ac_name'], $news_data->Nameofperson_English) * 100;
                if ($score > $highest_score) {
                    $highest_score = $score;
                    $customer_id = $customer['id'];
                    $customerDetails = $customer;
                }
            }
        }
        $news_data->highest_score = $highest_score;
        $news_data->customer_id = $customer_id;
        $news_data->customer_details = $customerDetails;

        $others_matching = $m_news_data->othersMatching($news_data->Nameofperson_English, $customers);
        $is_back_enabled = true;

        return view('element.layout.partials.content.news.view_against_prominent_person', compact('page_title', 'news_data', 'others_matching','is_back_enabled'));
    }
}
