<?php

namespace App\Http\Controllers;

use App\Models\NotificationType;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class NotificationTypeController extends Controller
{
    public function viewNotificationType(Request $request)
    {
        $page_title = __("Notification Type List");
        $is_filter_enabled = false;
        $is_action_enabled = true;
        $is_submit_enabled = false;
        return view('notificationType.index', compact('page_title', 'is_filter_enabled', 'is_action_enabled', 'is_submit_enabled'));
    }
    public function apiNotificationTypeList(Request $request)
    {
        $page = $request->has('draw') ? $request->get('draw') : 1;
        $limit = $request->has('length') ? $request->get('length') : 10;
        $start = $request->has('start') ? $request->get('start') : 0;
        $search = $request->has('search') ? $request->get('search') : [];
        $m_notification_type = new NotificationType();
        return response()->json($m_notification_type->getList($page, $limit, $start, $search));
    }

    public function setupNotificationType(Request $request)
    {
        $_id = $request->get('type');
        if ($request->isMethod('post')) {
            //save data
            $response = ['status' => 'error', 'code' => 500, 'message' => "Invalid request"];
            $data = $request->all();
            if (empty($data)) {
                return response()->json($response, $response['code'], []);
            }
            $response = new NotificationType();
            $response = $response->saveOrUpdate(setAuthInfoToData($data, Auth::user()));
            return response()->json($response, $response['code'], []);
        } else {
            //add/edit view
            $notificationType = [];
            if (intval($_id) == 0) {
                $page_title = __("Add Notification Type");
            } else {
                $notificationType = NotificationType::findOrFail($_id);
                $page_title = __("Edit Notification Type: :name", ['name' => $notificationType->type_name]);
            }
            $is_submit_enabled = true;
            return view('notificationType.setup', compact('notificationType', 'page_title', 'is_submit_enabled'));
        }
    }
    public function deleteNotificationType($id)
    {
        try {
            $notificationType = new NotificationType();
            return response()->json($notificationType->deleteNotificationType($id), 200);
        } catch (\Exception $e) {
            return response()->json(['error' => 'An error occurred while updating the type of notification'], 500);
        }
    }
}
