<?php

namespace App\Http\Controllers;

use App\Models\ActivityLog;
use App\Models\ClientContract;
use App\Models\ClientServiceTask;
use App\Models\ErrorLog;
use App\Models\LoginLog;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class RabbitMQController extends Controller
{
    public function processMessage($request_data)
    {
        $url = config('paths.app_domain') . RABBIT_MQ_PROCESS_REQUEST_URL;
        $body = [
            'request_data' => $request_data,
        ];
        $response = Http::withoutVerifying()->post($url, $body);
        if ($response->successful()) {
            $responseData = $response->json();
            if ($responseData['status'] == RESPONSE_STATUS_SUCCESS) {
                echo 'Successs', "\n";
            } else {
                echo 'Error', "\n";
            }
        } else {
            echo 'Error', "\n";
        }
    }

    public function executeRabbitRequest(Request $request)
    {
        $data = $request->all();
        $request_data = $data['request_data'];
        try {
            $request_data = json_decode($request_data);
            $data = json_decode($request_data->data, true);
            $url = $request_data->url;
            $name = $request_data->name;
            if ($url) {
                if ($name == 'login_log') {
                    $loginLog = new LoginLog();
                    $loginLog->createLoginLog($data);
                } elseif ($name == 'error_log') {
                    $errorLog = new ErrorLog();
                    $errorLog->createErrorLog($data);
                } elseif ($name == 'activity_log') {
                    $activityLog = new ActivityLog();
                    $activityLog->saveActivityLog($data);
                }
                return ['status' => RESPONSE_STATUS_SUCCESS, 'message' => __('Successfully executed.')];
            } else {
                return ['status' => RESPONSE_STATUS_ERROR, 'message' => __('URL not found.')];
            }
        } catch (\Exception $e) {
            return ['status' => RESPONSE_STATUS_ERROR, 'message' => $e->getMessage()];
        }
    }
}
