<?php

namespace App\Http\Controllers;

use App\Models\BankBranch;
use Illuminate\Http\Request;
use App\Models\SelfAssessmentReport;

class SelfAssessmentController extends Controller
{
    public function selfAssessmentReport()
    {
        $is_action_enabled = true;
        $page_title = __('Self Assessment Report');
        return view('SelfAssessment.report.index', compact('page_title', 'is_action_enabled'));
    }
    public function selfAssessmentSetup(Request $request)
    {
        if ($request->isMethod('post')) {
            $data = $request->all();
            $model_self_assessment_report = new SelfAssessmentReport();
            $response = $model_self_assessment_report->saveOrUpdate(setAuthInfoToData($data, $this->auth_user));
            return response()->json($response, $response['code'], []);
        }
        $auth_user = $this->auth_user->profile->toArray();
        $model_bank_branch = new BankBranch();
        $bank_branches = $model_bank_branch->getBankBranches(['id', 'branch_name'])->pluck('branch_name', 'id')->toArray();
        return view('SelfAssessment.report.add', compact('auth_user', 'bank_branches'));
    }
    public function selfAssessmentData(Request $request)
    {
        $page = $request->has('draw') ? $request->get('draw') : 1;
        $limit = $request->has('length') ? $request->get('length') : 10;
        $start = $request->has('start') ? $request->get('start') : 0;
        $search = $request->has('search') ? $request->get('search') : [];
        $model_self_assessment_report = new SelfAssessmentReport();
        return response()->json($model_self_assessment_report->getList($page, $limit, $start, $search));
    }
    public function setupReport(Request $request)
    {
        $self_assessment_report_id = $request->input('said') ? base64_decode($request->input('said')) : 0;
        if ($request->isMethod('post') && $self_assessment_report_id == 0) {
            # code...
        }
        $page_title = __("Self Assessment Report Setup");
        $model_self_assessment_report = new SelfAssessmentReport();
        $response_self_assessment_report = $model_self_assessment_report->getSelfAssessmentReport($self_assessment_report_id, ['*']);
        $data_self_assessment_report = $response_self_assessment_report['data'];
        return view('SelfAssessment.report.setup', compact('page_title', 'data_self_assessment_report'));
    }
    public function getReportQuestion(Request $request)
    {
        $data = $request->all();
        $question_no = $data['question_no'];
        $question = '';
        return view('SelfAssessment.report.question', compact('question'));
    }
}
