<?php

namespace App\Http\Middleware;

use App\Models\UserRegisteredDevice;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Symfony\Component\HttpFoundation\Response;

class UserVerify
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (Auth::check() && Auth::user()->force_change_pass == 1 || Hash::check(DEFAULT_PASSWORD, Auth::user()->password)) {
            if ($request->ajax()) {
                return response()->json([
                    'status' => 302,
                    'message' => "Your account is restricted. If you don't see the notification please change password.",
                ], 302);
            } else {
                return redirect()->route('user.change-password');
            }
        }
        return $next($request);
    }
}
