<?php

namespace App\Jobs;

use App\Models\ErrorLog;
use App\Models\LoginLog;
use App\Models\ActivityLog;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Log;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Contracts\Queue\ShouldBeUnique;

class ErrorLogJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $logData;

    public function __construct($logData)
    {
        $this->logData = $logData;
    }
    /**
     * Execute the job.
     */
    public function handle(): void
    {
        $errorLog = new ErrorLog();
        $errorLog->createErrorLog($this->logData);
        Log::error($this->logData['error_message'], $this->logData);
    }
}
