<?php

namespace App\Jobs;

use App\Models\LoginLog;
use App\Models\ActivityLog;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Log;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Contracts\Queue\ShouldBeUnique;

class LoginLogJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $logData;

    public function __construct($logData)
    {
        $this->logData = $logData;
    }
    /**
     * Execute the job.
     */
    public function handle(): void
    {
        $loginLog = new LoginLog();
        $loginLog->createLoginLog($this->logData);
    }
}
