<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Prunable;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BankBranch extends Model
{
    use HasFactory, Prunable, SoftDeletes;
    protected $casts = [
        'created_at' => 'date:d-M-Y',
        'updated_at' => 'date:d-M-Y',
    ];
    public function prunable()
    {
        return static::where('id', '=', -100000000);
    }
    private function prepareSearchQuery($query, $request)
    {
        $search_keys = ['id', 'branch_name'];
        foreach ($search_keys as $key) {
            if (isset($request[$key])) {
                $query->whereIn($key, is_array(($request[$key])) ? $request[$key] : [$request[$key]]);
            }
        }
        if (isset($request['search_string']) && strlen($request['search_string']) > 0) {
            $query->where('branch_name', 'like', "%" . $request['search_string'] . "%");
        }
        return $query;
    }
    public function getBankBranches($select = ['*'])
    {
        $query = $this->select($select);
        return $this->prepareSearchQuery($query, [])->get();
    }
}
