<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Http;

class MakePdf extends Model
{
    use HasFactory;

    public function apiCreatePdf($id, $html, $name, $header = false)
    {
        try {
            $data['data'] = json_encode(["html" => $html]);
            $data['options'] = json_encode([
                'fp' => $id,
                'name' => $name,
                'header-html' => base64_encode(''),
                'footer-html' => base64_encode(''),
            ]);
            $response = Http::withoutVerifying()->withToken(PDF_QUEUE_TOKEN)->post(config('paths.pdf_queue_url'), $data);
            if ($response->successful()) {
                $responseData = $response->json();
                if ($responseData['status'] == RESPONSE_STATUS_SUCCESS) {
                    return ['status' => RESPONSE_STATUS_SUCCESS, 'message' => __('PDF created successfully.'), 'data' => $responseData['data']];
                } else {
                    return ['status' => RESPONSE_STATUS_ERROR, 'message' => $responseData['message'] ?? __('PDF creation failed')];
                }
            } else {
                return ['status' => RESPONSE_STATUS_ERROR, 'message' => __('PDF creation failed')];
            }
        } catch (\Exception $e) {
            return ['status' => RESPONSE_STATUS_ERROR, 'message' => $e->getMessage()];
        }
    }
}
