<?php

namespace App\Providers;

use App\Models\XDocument;
use App\Models\EntityType;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        $name_title_options = [
            'Mr' => __('Mr'),
            'Mrs' => __('Mrs'),
            'Miss' => __('Miss'),
            'Ms' => __('Ms'),
        ];
        $gender_options = [
            '' => __('Select Gender'),
            'male' => __('Male'),
            'female' => __('Female'),
            'others' => __('Others'),
        ];
        $document_groups = [
            '' => __('Select Group'),
            'identification_documents' => __("Identification Documents"),
            'personal_identification_documents' => __("Personal Identification Documents"),
            'contract_documents' => __("Contract Documents"),
            'accounts_documents' => __("Accounts Documents"),
            'vat_documents' => __("Vat Documents"),
            'tax_documents' => __("Tax Documents"),
            'payroll_documents' => __("Payroll Documents"),
            'payment_documents' => __("Payment Documents"),
            'service_delivery_documents' => __("Service Delivery Documents"),
            'af_documents' => __("AF Documents"),
            'other_documents' => __("Other Documents"),
        ];
        $priority = [
            '' => __('Select Priority'),
            PRIORITY_HIGH => __('High'),
            PRIORITY_MEDIUM => __('Medium'),
            PRIORITY_LOW => __('Low'),
        ];
        $notification_roles = [
            ROLE_MANAGER => __('Manager'),
            ROLE_COLLEAGUE => __('Colleague'),
            ROLE_CLIENT => __('Client'),
        ];
        $service_group = [
            PROGRESS_STATUS => __('Progress State'),
            TASK_ACTION_STATUS => __('Task Action State'),
            PAYMENT_GROUP_STATUS => __('Payment Group State'),
        ];
        $schedule_duration = [
            '' => __('Select Duration'),
            YEARLY => __('Yearly'),
            SEMIYEARLY => __('Semiyearly'),
            QUARTERLY => __('Quarterly'),
            MONTHLY => __('Monthly'),
            DAILY => __('Daily'),
        ];
        $x_payment_methods = ['' => __('Select'), __('Cash') => __('Cash'), __('Cheque') => __('Cheque'), __('Bank Acount') => __('Bank Acount')];

        $m_entity_types = new EntityType();
        $entity_types = $m_entity_types->getEntityTypeOptions();

        $x_documents = new XDocument();
        $all_documents = $x_documents->getDocumentTitles();
        $x_service_documents = $x_documents->getDocuments();

        view()->share('name_title_options', $name_title_options);
        view()->share('gender_options', $gender_options);
        view()->share('document_groups', $document_groups);
        view()->share('entity_types', $entity_types);
        view()->share('identity_documents', $all_documents['identity_documents']);
        view()->share('contract_documents', $all_documents['contract_documents']);
        view()->share('all_documents', $all_documents);
        view()->share('x_service_documents', $x_service_documents);
        view()->share('priority', $priority);
        view()->share('notification_roles', $notification_roles);
        view()->share('schedule_duration', $schedule_duration);
        view()->share('service_group', $service_group);
        view()->share('x_payment_methods', $x_payment_methods);
    }
}
