<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('self_assessment_reports', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_profile_id')->comment('BAMLCO ID');
            $table->string('user_profile_name')->comment('BAMLCO Name')->nullable();
            $table->unsignedBigInteger('bank_branch_id');
            $table->string('branch_type');
            $table->date('for_half_year_ended');
            $table->unsignedBigInteger('created_by');
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->timestamps(); // Automatically adds created_at and updated_at
            $table->softDeletes(); // Adds deleted_at
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('self_assessment_reports');
    }
};
