<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('customers', function (Blueprint $table) {
        $table->id();
        $table->string('ac_name');
        $table->string('sol_id');
        $table->string('branch_name');
        $table->string('cus_id')->unique();
        $table->string('ac_number');
        $table->date('acc_opn_dt');
        $table->enum('acc_status', ['Active', 'Dormant', 'Closed']);
        $table->string('customer_name');
        $table->string('father_name')->nullable();
        $table->string('mother_name')->nullable();
        $table->text('address')->nullable();
        $table->string('nid')->unique();
        $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers');
    }
};
