<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('news', function (Blueprint $table) {
            $table->id();
            $table->string('name_of_person_entity')->nullable();
            $table->string('alias')->nullable();
            $table->string('news_title');
            $table->date('dob')->nullable();
            $table->string('profession_designation')->nullable();
            $table->string('location_of_incident')->nullable();
            $table->string('employer_name')->nullable();
            $table->string('father_name')->nullable();
            $table->string('mother_name')->nullable();
            $table->string('spouse_name')->nullable();
            $table->text('address')->nullable();
            $table->string('predicate_offence_type')->nullable();
            $table->string('news_source');
            $table->date('publish_date');
            $table->string('entity_owner_name')->nullable();
            $table->text('news_details')->nullable();
            $table->timestamps();

            $table->unique(['news_title', 'news_source']); // Ensure uniqueness for updates
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('news');
    }
};
