<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Customer;
use Faker\Factory as Faker;

class CustomerSeeder extends Seeder
{
    public function run()
    {
        $faker = Faker::create();

        foreach (range(1, 50) as $index) { // Generates 50 records, adjust as needed
            Customer::create([
                'ac_name' => $faker->company,
                'sol_id' => $faker->randomNumber(5),
                'branch_name' => $faker->city,
                'cus_id' => $faker->unique()->randomNumber(6),
                'ac_number' => $faker->unique()->bankAccountNumber,
                'acc_opn_dt' => $faker->date(),
                'acc_status' => $faker->randomElement(['Active', 'Dormant', 'Closed']),
                'customer_name' => $faker->name,
                'father_name' => $faker->name('male'),
                'mother_name' => $faker->name('female'),
                'address' => $faker->address,
                'nid' => $faker->unique()->randomNumber(8),
            ]);
        }
    }
}
