<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Faker\Factory as Faker;

class NewsTableSeeder extends Seeder
{
    public function run()
    {
        $faker = Faker::create();

        $person_entities = [
            "Ruqaiya Tahsina alias Antara Mehzabin",
            "Shakib Al Hasan",
            "Emdadul Haque alias Dada Emdad",
            "Sayem Sobhan Anveer",
            "Anisur Rahman",
            "Shireen Akhter",
            "MP Shaheb",
            "Ahidul Islam",
            "Pradip Ray",
            "Amjad Hossain Khokon",
            "Priya",
            "Bulet Khan",
            "Miraj Hossain",
            "Abdullah Al Mamun",
            "Mohammad Mosaddek",
            "Md Abu Yusuf Siddique",
            "Russell Chowdhury alias Sajal",
            "Poramoni",
            "Md. Elias",
            "Tanzina Sultana Juhi",
            "Jasim Uddin Ahmed",
            "First Security Islami Bank",
            "Social Islami Bank",
            "Islamic Bank Bangladesh",
            "BC Harun",
            "Redoy",
            "M.A Moyid alias Fareq",
        ];

        $offence_types = [
            'Forgery (জালিয়াতি)',
            'Fraud (প্রতারণা)',
            'Corruption & Bribery',
            'Extortion (চাঁদাবাজি)',
            'Smuggling & Customs Offences',
            'Theft, Robbery, Piracy, Aircraft Robbery',
            'Kidnapping, Illegal restraint and hostage taking (অপহরণ)',
            'Any Other related offences'
        ];

        $banglaTitles = [
            "স্ত্রীর ‘জালিয়াতি’র শিকার প্রযোজক!",
            "‘গোল্ড কিনেন’ অ্যাপের আড়ালে প্রতারণার ছক",
            "Emdad’s rags-to-riches tale",
            "বসুন্ধরা গ্রুপের এমডি আনভীরের বিরুদ্ধে এবার ৫০ কোটি টাকার চাঁদাবাজি মামলা",
            "শত কোটি টাকা আত্মসাৎ : বিমানবন্দর থেকে বিশ্বাস ফাউন্ডেশনের চেয়ারম্যান আটক",
            "অবৈধ সম্পদ অর্জন: ঠাকুরগাঁওয়ে সস্ত্রীক স্যানিটারি ইন্সপেক্টরের বিরুদ্ধে দুদকের মামলা",
            "অবৈধ সম্পদ অর্জন",
            "অবৈধ সম্পদ অর্জন : ঢাকা জেলা রেজিস্ট্রার অহিদুল কারাগারে",
            "প্রদীপ রায়ের সম্পদ ও মামলা দুটিই বেড়েছে",
            "দক্ষিণ-পশ্চিমাঞ্চলের সীমান্তপথ স্বর্ণ পাচারকারীদের নিরাপদ রুট",
            "রুমায় ব্যাংক ডাকাতির মামলায় আরো দুজন গ্রেপ্তার",
            "পরিবহনে চাঁদাবাজির সময় ডেমরায় গ্রেপ্তার ৩",
            "মঠবাড়িয়ায় যুবককে অপহরণের অভিযোগে ইউপি চেয়ারম্যানসহ ১১ জনের বিরুদ্ধে মামলা",
            "অর্থ আত্মসাতের মামলায় ট্রান্সকমের ৩ কর্মকর্তার জামিন",
            "পাচারকালে বিলুপ্ত প্রজাতির চশমা হনুমান উদ্ধার",
            "স্বর্ণালংকার চোর চক্রের ২ সদস্য গ্রেপ্তার",
            "৮৯ কোটি টাকা ঋণ খেলাপি, জেসিকা গ্রুপের এমডির কারাদণ্ড",
            "৩ ইসলামী ব্যাংকের ঋণ কেলেঙ্কারির অভিযোগ অনুসন্ধানের আদেশ বাতিল",
            "ছিনতাইকালে ধরা পড়লে ব্লেড দিয়ে শরীর কাটে হৃদয়",
            "এবার মোঈদের আছে ৭০ লাখ টাকার ‘প্রাডো’ গাড়ি"
        ];

        $news_sources = [
            'Banglanews24.com',
            'Kaler Kantha',
            'Daily Sun',
            'Protidiner Bangladesh',
            'Naya Diganta',
            'Ajkerpatrika.com',
            'Dhaka Post',
            'Prothom Alo',
            'Ittefaq',
            'Kalbela',
            'Inqilab',
            'Bhorer Kagoj',
            'Samakal'
        ];

        $owner_names = [
            'ABC Limited',
            'XYZ PLC',
            'Ultra Modern',
            'Beshi Valo Online Shop',
            'Kal Hobe Dekha Limited',
            'Deikha Nibo.com',
            'Sundor Dress'
        ];

        $addresses = [
            'Alauddin Nagar, Kumarkhali, Kushtia',
            'Satkhira of Kalyani village of Sadar Upazila',
            'Laimipara of Sadar Upazila',
            'Farukpara of Bandarban Sadar Upazila',
            'Dhaka Mahadevpur Police Station',
            'Gachbaria Badurpara of Chandanish in Chittagong'
        ];

          // Array of incident locations
          $incident_locations = [
            'Dhaka',
            'Thakurgonj',
            'Dirai Upazila of Sunamganj',
            'Khulna',
            'Rangamati',
            'Demra Dhaka',
            'Mathbaria of Pirojpur',
            'Chittagong',
            'Rajbari',
            'Dhaka',
            'Dhaka'
        ];

        $professions = [
            'Customer Care Representative of Gold Kinen App',
            'MD of Bashundhara Group',
            'Chairman of Biswas Foundation',
            'Medical Technologist',
            'Office Sanitary Inspector',
            'District Registrar',
            'Awami League leader',
            'Chairman, No. 9 Sapleja UP, Mathbaria of Pirojpur',
            'Director of Corporate Finance',
            'Assistant Company Secretary',
            'Manager',
            'Managing Director of Jessica Group',
            'Chairman'
        ];

        foreach (range(1, 50) as $index) {
            DB::table('news')->insert([
                'name_of_person_entity' => $person_entities[array_rand($person_entities)],
                'profession_designation' => $professions[array_rand($professions)],
                'location_of_incident' => $incident_locations[array_rand($incident_locations)],
                'entity_owner_name' => $owner_names[array_rand($owner_names)],
                'address' => $addresses[array_rand($addresses)],

                'news_title' => $banglaTitles[array_rand($banglaTitles)],
                'publish_date' => $faker->dateTimeThisYear,
                'news_source' => $news_sources[array_rand($news_sources)],  // replace with relevant source names if needed
                'predicate_offence_type' => $offence_types[array_rand($offence_types)],  // example category
            ]);
        }
    }
}
