<?php

namespace Database\Seeders;

use App\Models\User;
use App\Models\UserEntityRole;
use App\Models\UserProfile;
use Illuminate\Database\Seeder;

class SupermanUserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Check exising superman user
        $exists_superman = User::where("username", "superman")->exists();
        if ($exists_superman) {
            print_r('User already exists');
            die;
        }

        // Create the user
        $user = User::create([
            'username' => 'superman',
            'password' => bcrypt('123456'),
            'force_change_pass' => 1,
            'active_status' => 1,
            'remember_token' => '',
            'created_by' => 0,
            'modified_by' => 0,
        ]);

        // Create the user profile
        $user_profile = UserProfile::create([
            'user_id' => $user->id,
            'first_name' => 'Superman',
            'last_name' => 'Admin',
            'employee_code' => 'S-1',
            'active_status' => 1,
            'created_by' => 0,
            'modified_by' => 0,
        ]);

        // Create the user entity role
        UserEntityRole::create([
            'user_id' => $user->id,
            'user_profile_id' => $user_profile->id,
            'entity_type_id' => 1001,
            'entity_type_role_id' => 1,
            'entity_profile_id' => 0,
            'is_default_role' => 1,
            'is_admin' => 1,
            'active_status' => 1,
            'created_by' => 0,
            'updated_by' => 0,
        ]);
    }
}
