$(document).off('input', 'input[type=text], textarea').on('input', 'input[type=text], textarea', function (e) {
    // Convert Double Straight Quote to Double Curly Quote
    var countDoubleQuoteLeft = ($(this).val().match(/“/g) || []).length;
    var countDoubleQuoteRight = ($(this).val().match(/”/g) || []).length;
    if (countDoubleQuoteLeft == countDoubleQuoteRight) {
        var str = $(this).val().replace(/"(?=\w|$)/g, "“");
        $(this).val(str);
    } else {
        var str = $(this).val().replace(/"/g, "”");
        $(this).val(str);
    }

    // Convert Single Straight Quote to Single Curly Quote
    var countSingleQuoteLeft = ($(this).val().match(/‘/g) || []).length;
    var countSingleQuoteRight = ($(this).val().match(/’/g) || []).length;
    if (countSingleQuoteLeft == countSingleQuoteRight) {
        var str = $(this).val().replace(/'(?=\w|$)/g, "‘");
        $(this).val(str);
    } else {
        var str = $(this).val().replace(/'/g, "’");
        $(this).val(str);
    }
});
function checkIsInputConsistSpecialCharacter(e) {
    var keyCode = e.which;
    var keyChar = String.fromCharCode(keyCode);
    var pattern = /^[a-zA-Z0-9\s]*$/;
    if (!pattern.test(keyChar)) {
        e.preventDefault();
        toastr.error('You can not input special field here.');
    }
}
function validateJSONFriendlyCharacter(e) {
    var keyCode = e.which;
    var keyChar = String.fromCharCode(keyCode);
    var pattern = /^[a-zA-Z\s.\-'"\\]+$/;
    if (!pattern.test(keyChar)) {
        e.preventDefault();
        toastr.error('You can not input special field here.');
    }
}

function decodeBase64(base64) {
    const text = atob(base64);
    const length = text.length;
    const bytes = new Uint8Array(length);
    for (let i = 0; i < length; i++) {
        bytes[i] = text.charCodeAt(i);
    }
    const decoder = new TextDecoder(); // default is utf-8
    return decoder.decode(bytes);
}

function encodeBase64(str) {
    // first we use encodeURIComponent to get percent-encoded UTF-8,
    // then we convert the percent encodings into raw bytes which
    // can be fed into btoa.
    return btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g,
        function toSolidBytes(match, p1) {
            return String.fromCharCode('0x' + p1);
        }));
}

function setBtnLoader(btn) {
    var currentBtnHtml = btn.html();
    btn.attr('data-html', currentBtnHtml);
    btn.attr('disabled', 'disabled');
    btn.append('<span class="spinner-border spinner-border-sm ms-2" role="status" aria-hidden="true"></span><span class="sr-only">Loading...</span>');
}
function resetBtnLoader(btn) {
    var currentBtnHtml = btn.data('html');
    btn.removeAttr('data-html');
    btn.removeAttr('disabled');
    btn.html(currentBtnHtml);
}
function checkUserName(userName) {
    //accepted user name is [a-zA-Z0-9_]
    const userNameRegex = /^([a-zA-Z0-9_-]{3,25})$/;
    const match = String(userName).match(userNameRegex);
    if (match) {
        return true;
    } else {
        let missingChars = "";

        if (!/^[a-zA-Z0-9_-]{3,25}$/.test(userName)) {
            missingChars += "Only letters, numbers and underscores are allowed. ";
        }
        if (userName.length < 3) {
            missingChars += "User name should be at least 3 characters long. ";
        }
        if (userName.length > 25) {
            missingChars += "User name should not exceed 25 characters. ";
        }

        return "Invalid user name. " + missingChars;
    }
}
function tableRowSearch(searchText) {
    $.each($("table tbody tr"), function () {
        if ($(this).text().toLowerCase().indexOf(searchText) === -1) {
            $(this).hide();
            // $('tr[class^="manager_"]').hide()
        } else {
            $(this).show();
            // $('tr[class^="manager_"]').hide()
        }

    });
}

function dropdownMenuInit(element) {
    KTMenu.createInstances();
    var menuElement = document.querySelector(element);
    var menu = KTMenu.getInstance(menuElement);
    KTMenu.updateDropdowns();
}
function deleteConfirmationInit(selector, msg = "Do you want to delete?") {
    var activePopover = null;
    // Loop through each delete button
    $('[data-toggle="confirmation"]').each(function () {
        // Initialize popover for the current delete button
        var popover = new bootstrap.Popover($(this), {
            title: msg,
            content: function () {
                var confirmButton = $('<button>', {
                    class: 'btn btn-primary btn-sm ' + selector,
                    text: 'Confirm',
                    'data-confirm': true
                });

                var cancelButton = $('<button>', {
                    class: 'btn btn-secondary btn-sm',
                    text: 'Cancel',
                    'data-cancel': true
                });

                var buttonContainer = $('<div class="btn-group">').append(confirmButton, cancelButton);

                return buttonContainer;
            },
            placement: 'top',
            html: true,
            sanitize: false,
            trigger: 'manual' // Set the trigger to manual to control when the popover is shown
        });

        // Add click event listener to the delete button
        $(this).on('click', function () {
            if (activePopover) {
                activePopover.hide(); // Hide the active popover if exists
            }
            popover.show(); // Show the popover when the delete button is clicked
            activePopover = popover; // Set the active popover
        });
    });
    // Add event listener to cancel button within the popover
    $(document).on('click', '.popover .cancel-button', function () {
        var popover = $(this).closest('.popover').data('bs.popover'); // Get the popover instance
        popover.hide(); // Hide the popover when the cancel button is clicked
    });
    // Add event listener to the document to hide the popover when clicking outside of it
    $(document).on('click', function (event) {
        if (activePopover && !activePopover._element.contains(event.target)) {
            activePopover.hide(); // Hide the popover if clicked outside of it
            activePopover = null; // Reset the active popover
        }
    });
}

function initConfirmationDialog(confirmation_text, success_callback, cancel_callback, options) {
    Swal.fire({
        title: (confirmation_text.length == 0) ? "Are you sure?" : confirmation_text,
        text: (options['confirmation_sub_text']) ? options['confirmation_sub_text'] : "You won't be able to revert this!",
        icon: (options['status']) ? options['status'] : 'info',
        showCancelButton: true,
        confirmButtonText: (options['confirm_text']) ? options['confirm_text'] : "Yes",
        cancelButtonText: (options['cancel_text']) ? options['cancel_text'] : "No",
        customClass: {
            confirmButton: "btn btn-" + ((options['btn_status']) ? options['btn_status'] : 'info'),
            cancelButton: "btn btn-active-light",
        },
        reverseButtons: true
    }).then(function (result) {
        if (result.value) {
            success_callback();
        } else if (result.dismiss === "cancel") {
            cancel_callback();
        }
    });
}
function initDangerConfirmationDialog(confirmation_text, success_callback, cancel_callback, options) {
    options['status'] = 'error';
    options['btn_status'] = 'danger';
    initConfirmationDialog(confirmation_text, success_callback, cancel_callback, options);
}
function initWarningConfirmationDialog(confirmation_text, success_callback, cancel_callback, options) {
    options['status'] = 'warning';
    options['btn_status'] = 'warning';
    initConfirmationDialog(confirmation_text, success_callback, cancel_callback, options);
}

function initFormDialog(form_type, form_input, options, success_callback, cancel_callback) {
    Swal.fire({
        html: form_input,
        title: options && options.title ? options.title : 'Message',
        showCancelButton: options && options.cancel_btn ? options.cancel_btn : false,
        cancelButtonText: options && options.cancel_text ? options.cancel_text : 'Cancel',
        showConfirmButton: options && options.confirm_btn ? options.confirm_btn : false,
        confirmButtonText: options && options.confirm_text ? options.confirm_text : 'OK',
        showDenyButton: options && options.deny_btn ? options.deny_btn : false,
        denyButtonText: options && options.deny_text ? options.deny_text : 'Deny',
        footer: options && options.footer_text ? options.footer_text : '',
        cancelButtonClass: 'rounded-0',
        confirmButtonClass: 'rounded-0',
        denyButtonClass: 'rounded-0',
        showClass: {
            popup: 'animate__animated animate__fadeInDown'
        },
        hideClass: {
            popup: 'animate__animated animate__fadeOutUp'
        },
        preConfirm: () => {
            if (typeof prepareDialogFormData != 'undefined') {
                var prepare_data = prepareDialogFormData(form_type);
                if (prepare_data.status === false) {
                    Swal.showValidationMessage(prepare_data.msg);
                } else {
                    return prepare_data;
                }
            }
        },
        didOpen: function () {
            initiateFormControl();
            $('[data-control="select2"]').on("select2:open", function () {
                $(".select2-container").css('z-index', '9999');
            });
        },
    }).then((result) => {
        if (!result.isDismissed && result.value) {
            if (success_callback) {
                success_callback(result.value);
            }
        } else {
            if (cancel_callback) {
                cancel_callback();
            }
        }
    });
}

function customLoaderInit(selector, msg = '') {
    $(selector).append('<div class="ajaxLoadingOverlay position-absolute h-100 w-100 bg-white d-flex align-items-center justify-content-center" style="z-index: 999"><span class="spinner-border text-primary" role="status"></span><br><p class="text-center">' + msg + '</p></div>');
}

function customLoaderDestroy(selector) {
    $(selector).find('.ajaxLoadingOverlay').remove();
}
// getSaveButton: function (suffix = "", className = "", btn_text = "Save", icon = '<i class="fa-solid fa-floppy-disk"></i>') {
//     return `<button id="${suffix ? 'btn_submit' + suffix : 'btn_submit'}"
//class="btn btn-sm btn-flex rounded-0 bg-primary btn-active-light-primary btn-color-white fw-bold btn_submit ${className ? className : ''}">${icon ? icon + '<span class="ms-1">' + btn_text + '</span>' : btn_text}</button>`
// },

var ACTIONBUTTON = {

    getSaveButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Save'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_submit'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_submit' + options['suffix'] : 'btn_submit'}"
                class="${options['class'] ? options['class'] : ''} btn btn-sm btn-flex rounded-0 btn-primary btn-active-light-primary btn-color-white fw-bold ${options['suffix'] ? 'btn_submit' + options['suffix'] : 'btn_submit'}">
                ${options['icon'] ? options['icon'] : '<i class="fa-solid fa-floppy-disk"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Save'}</span>
                </button>`;
    },
    getCancelButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Cancel'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_cancel'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_cancel' + options['suffix'] : 'btn_cancel'}"
                class="btn btn-sm btn-flex rounded-0 btn-danger btn-active-light-danger btn-color-white fw-bold ${options['suffix'] ? 'btn_cancel' + options['suffix'] : 'btn_cancel'}">
                ${options['icon'] ? options['icon'] : '<i class="fa fa-times" aria-hidden="true"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Cancel'}</span>
                </button>`;
    },
    getResetButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Reset'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_reset'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_reset' + options['suffix'] : 'btn_reset'}"
                class="btn btn-sm btn-flex rounded-0 btn-danger btn-active-light-danger btn-color-white fw-bold ${options['suffix'] ? 'btn_cancel' + options['suffix'] : 'btn_cancel'}">
                ${options['icon'] ? options['icon'] : '<i class="fa-solid fa-arrows-rotate"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Reset'}</span>
                </button>`;
    },
    getDeleteButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Delete'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_delete'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_delete' + options['suffix'] : 'btn_delete'}"
                class="btn btn-sm btn-flex rounded-0 btn-danger btn-active-light-danger btn-color-white fw-bold ${options['suffix'] ? 'btn_delete' + options['suffix'] : 'btn_delete'}">
                ${options['icon'] ? options['icon'] : '<i class="fa fa-trash"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Delete'}</span>
                </button>`;
    },
    getDeleteIconButton: function (options) {
        return `<button
                type="button"
                data-toggle="confirmation"
                title="${options['title'] ? options['title'] : 'Delete'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_delete'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_delete' + options['suffix'] : 'btn_delete'}"
                class="btn btn-danger btn-active-light-danger btn-sm btn-icon rounded-0 btn_delete ${options['op_class'] ? options['op_class'] : ''}">
                    <i class="fa-solid ${options['icon'] ? options['icon'] : 'fa fa-trash'}"></i>
                </button>`;
    },
    getEditButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Edit'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_edit'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_edit' + options['suffix'] : 'btn_edit'}"
                class="btn btn-sm btn-flex rounded-0 btn-warning\ btn-active-light-warning btn-color-white fw-bold ${options['suffix'] ? 'btn_edit' + options['suffix'] : 'btn_edit'}">
                ${options['icon'] ? options['icon'] : '<i class="fas fa-edit"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Edit'}</span>
                </button>`;
    },
    getEditIconButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Edit'}"
                data-action="${options['data_action'] ? options['data_action'] : ''}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn-edit' + options['suffix'] : 'btn-edit'}"
                class="btn btn-warning btn-active-light-warning btn-sm btn-icon rounded-0 btn-edit ${options['op_class'] ? options['op_class'] : ''}">
                    <i class="fa-solid ${options['icon'] ? options['icon'] : 'fas fa-edit'}"></i>
                </button>`;
    },
    getSendIconButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Send'}"
                data-action="${options['data_action'] ? options['data_action'] : ''}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                data-id="${options['data_id'] ? options['data_id'] : ''}"
                data-auth-id="${options['data_auth_id'] ? options['data_auth_id'] : ''}"
                data-auth-profile-id="${options['data_auth_profile_id'] ? options['data_auth_profile_id'] : ''}"
                data-email="${options['data_email'] ? options['data_email'] : ''}"
                id="${options['suffix'] ? 'btn_send' + options['suffix'] : 'btn_send'}"
                class="btn btn-dark btn-active-light-dark btn-sm btn-icon rounded-0 btn_send ${options['op_class'] ? options['op_class'] : ''}">
                    <i class="fa-solid ${options['icon'] ? options['icon'] : 'fa-regular fa-paper-plane'}"></i>
                </button>`;
    },
    getViewButton: function (options) {
        return `<button
                title="${options['title'] ? options['title'] : 'View'}"
                type="button"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_view'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_view' + options['suffix'] : 'btn_view'}"
                class="btn btn-info btn-active-light-info btn-sm rounded-0 btn-color-white fw-bold ${options['suffix'] ? 'btn_view' + options['suffix'] : 'btn_view'}">
                ${options['icon'] ? options['icon'] : '<i class="fa-solid  fa-book-open"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'View'}</span>
                </button>`;
    },
    getViewIconButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'View'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn-view'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn-view' + options['suffix'] : 'btn-view'}"
                class="btn btn-info btn-active-light-info btn-sm btn-icon rounded-0 btn_view ${options['op_class'] ? options['op_class'] : ''}">
                    <i class="${options['icon'] ? options['icon'] : 'fa-solid fa-eye'}"></i>
                </button>`;
    },
    getFilterButton: function (options) {
        return `<button
                title="${options['title'] ? options['title'] : 'Filter'}"
                type="button"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_filter'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_filter' + options['suffix'] : 'btn_filter'}"
                class="btn btn-dark btn-active-light-dark btn-sm rounded-0 ${options['suffix'] ? 'btn_filter' + options['suffix'] : 'btn_filter'}">
                ${options['icon'] ? options['icon'] : '<i class="fas fa-edit"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Filter'}</span>
                </button>`;
    },
    getDefaultButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Default'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_default'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_default' + options['suffix'] : 'btn_default'}"
                class="${options['class'] ? options['class'] : 'btn-secondary btn-active-light-secondary'} btn btn-sm rounded-0 ${options['suffix'] ? 'btn_default' + options['suffix'] : 'btn_default'}">
                ${options['icon'] ? options['icon'] : '<i class="fas fa-edit"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Default'}</span>
                </button>`;
    },
    getDefaultIconButton: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Default'}"
                data-action="${options['data_action'] ? options['data_action'] : 'default_btn'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'default_btn' + options['suffix'] : 'default_btn'}"
                class="${options['class'] ? options['class'] : 'btn btn-secondary btn-active-light-secondary'} btn-sm btn-icon rounded-0 default_btn ${options['op_class'] ? options['op_class'] : ''}">
                    <i class="${options['icon'] ? options['icon'] : 'fa-solid  fa-book-open'}"></i>
                </button>`;
    },
    getConfirmationIconButton: function (options) {
        return `<button
                data-toggle="confirmation"
                type="button"
                title="${options['title'] ? options['title'] : 'Confirmation'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_confirm'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                id="${options['suffix'] ? 'btn_confirm' + options['suffix'] : 'btn_confirm'}"
                class="btn btn-primary btn-sm ${options['btn_text'] ? '' : 'btn-icon '} rounded-0 ${options['suffix'] ? 'btn_confirm' + options['suffix'] : 'btn-primary btn-active-light-primary btn_view'}">
                ${options['icon'] ? options['icon'] : '<i class="fa-solid fa-arrows-rotate"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : ''}</span>
                </button>`;
    },
    getDefaultButtonData: function (options) {
        return `<button
                type="button"
                title="${options['title'] ? options['title'] : 'Default'}"
                data-action="${options['data_action'] ? options['data_action'] : 'btn_default'}"
                data-option="${options['data_option'] ? options['data_option'] : ''}"
                data-key="${options['data_key'] ? options['data_key'] : ''}"
                data-${options['data_key'] ? options['data_key'] : ''}="${options['data_key_data'] ? options['data_key_data'] : ''}"
                id="${options['suffix'] ? 'btn_default' + options['suffix'] : 'btn_default'}"
                class="${options['class'] ? options['class'] : 'btn-secondary btn-active-light-secondary'} btn btn-sm rounded-0 ${options['suffix'] ? 'btn_default' + options['suffix'] : 'btn_default'}">
                ${options['icon'] ? options['icon'] : '<i class="fa fa-user"></i>'}
                <span class="ms-1">${options['btn_text'] ? options['btn_text'] : 'Default'}</span>
                </button>`;
    },
    getFileViewButton: function (classname = "", icon = '<i class="fa fa-eye p-0"></i>', url = "javascript:void(0)", extension = null, name = 'File') {
        let classValue = (classname.length > 0) ? 'btn btn-sm btn-icon rounded-0 fw-bold ' + classname : 'btn btn-icon btn-sm rounded-0 fw-bold btn-primary btn-active-light-primary';
        icon = (icon.trim().length > 0) ? icon : '<i class="fa fa-eye p-0"></i>';
        if (extension && isExcelFile(extension)) {
            icon = (icon === '<i class="fa fa-eye p-0"></i>') ? '<i class="fa fa-download p-0"></i>' : icon;
            return `<a title="Download" href="${url}" class="btn btn-primary btn-active-light-primary btn-sm rounded-0 ${classValue ? classValue : ''}">${icon}</a>`
        } else {
            return `<a title="${name}" href="${url}" class="btn btn-primary btn-active-light-primary btn-sm rounded-0 ${classValue ? classValue : ''}" data-fancybox data-caption="${name}">${icon}</a>`
        }
    },

    // getEngagementLetterButton: function (options) {
    //     return `<button
    //             title="${options['title'] ? options['title'] : 'Engagement'}"
    //             data-action="${options['data_action'] ? options['data_action'] : 'btn_view'}"
    //             data-key="${options['data_key'] ? options['data_key'] : ''}"
    //             data-status="${options['data_status'] ? options['data_status'] : ''}"
    //             data-client="${options['data_client'] ? options['data_client'] : ''}"
    //             data-template="${options['data_template'] ? options['data_template'] : ''}"
    //             data-letter="${options['data_letter'] ? options['data_letter'] : ''}"
    //             id="${options['suffix'] ? 'btn_view' + options['suffix'] : 'btn_view'}"
    //             class="btn btn-primary btn-active-light-primary btn-sm btn-icon rounded-0 btn_view ${options['op_class'] ? options['op_class'] : ''}">
    //                 <i class="${options['icon'] ? options['icon'] : 'fa-solid  fa-book-open'}"></i>
    //             </button>`;
    // },
}

function dataDropdownButtonTextChange() {
    $("[data-dropdown-button-text-change=true] .menu-sub-dropdown a").click(function () {
        $("[data-dropdown-button-text-change=true] .btn > .btn-text").html($(this).text());
    })
}
function formatDate(dateString) {
    const date = new Date(dateString);
    const day = String(date.getDate()).padStart(2, '0');
    const month = String(date.getMonth() + 1).padStart(2, '0');
    const year = date.getFullYear();
    return `${day}-${month}-${year}`;
}
function isExcelFile(extension) {
    let excelExtensions = ['xlsx', 'xlsb', 'xlsm', 'xls', 'pptx', 'ppt', 'doc', 'docx', 'sheet', 'csv', 'odt'];
    return excelExtensions.includes(extension.toLowerCase());
}

function printSpecificPartPrint(elementSelector) {
    $(elementSelector).print({
        globalStyles: true,
        mediaPrint: false,
        stylesheet: "https://fonts.googleapis.com/css2?family=Win+Soft+Pro&display=swap",
        iframe: true,
        noPrintSelector: ".avoid-this",
    });
}

function usernameConvert(username) {
    let cleanedUsername = username.replace(/[^\w\s]/g, '');
    let parts = cleanedUsername.split(' ');
    let convertName = parts[0].toLowerCase();
    return convertName;
}

function initiateFormControl() {
    $('[data-control="select2"]').select2();
    initDatePicker('DD-MMM-YYYY');
    initDateRangePicker('DD-MMM-YYYY');
    $(".sortable").sortable();
}

function prepeareDropdown(action_url, data_id, options, selector_id) {
    let _list = '';
    for (let index = 0; index < options.length; index++) {
        _list += `<li><a type="submit" data-id="${data_id}" id="${selector_id}" data-action="${action_url}" data-key="${options[index].id}" class="dropdown-item">${options[index].status}</a></li>`;
    }
    return _list;
}

function prepeareSelect(options, components, selected_id, disabled_id) {
    let _list = '';
    let _disabled = disabled_id == 0 ? '' : 'disabled';
    for (let index = 0; index < options.length; index++) {
        _list += `<option ${_disabled} value="${options[index].id}" ${options[index].id == selected_id ? 'selected' : ''}>${options[index].status}</option>`;
        if (disabled_id == options[index].id) {
            _disabled = '';
        }
    }
    return `<select name="${components['_name'] ? components['_name'] : 'name'}" class="form-control rounded-0 ${components['_class'] ? components['_class'] : ''}" id="${components['_id'] ? components['_id'] : ''}" data-control="select2">
    <option value="0">Select Please</option>${_list}
    </select>`;
}

function prepareSelect(options, components, selected_id, disabled_id) {
    let _list = '';
    for (let index = 0; index < options.length; index++) {
        let _disabled = (disabled_id === options[index].id || disabled_id === 0) ? '' : 'disabled';
        _list += `<option ${_disabled} value="${options[index].id}" ${options[index].id === selected_id ? 'selected' : ''}>${options[index].status}</option>`;
    }
    return `<select name="${components['_name'] || 'name'}" class="form-control rounded-0 ${components['_class'] || ''}" id="${components['_id'] || ''}" data-control="select2">
    <option value="0">Select Please</option>${_list}
    </select>`;
}

function initDatePicker(format, time = false) {
    $('.datepicker').daterangepicker({
        timePicker: time,
        singleDatePicker: true,
        showDropdowns: true,
        minYear: 1901,
        maxYear: moment().year() + 2,
        autoApply: true,
        autoUpdateInput: false,
        locale: {
            format: format,
            cancelLabel: 'Clear',
        },
    });

    $('.datepicker').on('apply.daterangepicker', function (ev, picker) {
        $(this).val(picker.startDate.format(format));
    });

    $('.datepicker').on('cancel.daterangepicker', function (ev, picker) {
        $(this).val('');
    });
}

function initDateRangePicker(format, time = false) {
    $('.date-range-picker').daterangepicker({
        timePicker: time,
        singleDatePicker: false,
        showDropdowns: true,
        minYear: 1901,
        maxYear: moment().year() + 2,
        autoApply: true,
        autoUpdateInput: false,
        locale: {
            format: format,
            cancelLabel: 'Clear',
        },
    });

    $('.date-range-picker').on('apply.daterangepicker', function (ev, picker) {
        $(this).val(
            picker.startDate.format(format) + ' - ' + picker.endDate.format(format)
        );
    });

    $('.date-range-picker').on('cancel.daterangepicker', function (ev, picker) {
        $(this).val('');
    });
}

function initTinymceEditor(selector, height = '', init_callback) {
    tinymce.init({
        selector: selector,
        plugins: 'preview | print | link  | textcolor ',
        toolbar: "undo redo | bold italic | code fore color backcolor",
        height: height,
        init_instance_callback: function (editor) {
            init_callback();
        }
    });
}

function destroyTinymceEditor(selector) {
    tinymce.remove(selector);
}

function validateNumberInput(inputValue) {
    if (!isNaN(inputValue)) {
        return true;
    } else {
        toastr.error('Please enter a valid number.');
        return false;
    }
}

function removeHTMLTags(htmlString) {
    return htmlString.replace(/<[^>]*>/g, '');
}


function getFileIcon(fileName) {
    var fileExtension = fileName.split('.').pop().toLowerCase();
    var iconClass = 'fa-file';

    if (fileExtension === 'pdf') {
        iconClass = 'fa-file-pdf';
    } else if (fileExtension === 'doc' || fileExtension === 'docx') {
        iconClass = 'fa-file-word';
    } else if (fileExtension === 'xls' || fileExtension === 'xlsx') {
        iconClass = 'fa-file-excel';
    } else if (fileExtension === 'ppt' || fileExtension === 'pptx') {
        iconClass = 'fa-file-powerpoint';
    } else if (fileExtension === 'png' || fileExtension === 'jpg' || fileExtension === 'jpeg' ||
        fileExtension === 'gif') {
        iconClass = 'fa-file-image';
    } else if (fileExtension === 'zip' || fileExtension === 'rar' || fileExtension === '7z') {
        iconClass = 'fa-file-archive';
    }

    return '<i class="fas ' + iconClass + '"></i>';
}

function formatFileSize(bytes) {
    if (bytes === 0) return '0 Bytes';
    var k = 1024;
    var sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB'];
    var i = Math.floor(Math.log(bytes) / Math.log(k));
    return parseFloat((bytes / Math.pow(k, i)).toFixed(2)) + ' ' + sizes[i];
}

function separateOptionData(inputString) {
    const parts = inputString.split('_');
    const jsonObject = {};
    parts.forEach(part => {
        const [key, value] = part.split(':');
        jsonObject[key] = value;
    });
    return jsonObject;
}
