var UserRoles = function () {
    var initTable = function (list_url) {
        base_datatable.table_id = '#user_role_list_table';
        base_datatable.table_ajax_url = list_url;
        base_datatable.columns = [{ "data": "sl" }, { "data": "id" }, { "data": "entity_type" }, { "data": "role_name" }, { "data": "role_title" }, { "data": "level" }, { "data": "action", "className": "text-center" }],
            base_datatable.reloadTable();
    }
    var is_data_validated = function () {
        // Check if the required fields are filled
        var role_name = $('input[name="role_name"]').val().trim();
        var role_title = $('input[name="role_title"]').val().trim();
        var entity_type_id = $('select[name="entity_type_id"]').val().trim();
        var level = $('input[name="level"]').val();
        // Validate each field
        if (entity_type_id === "") {
            toastr.error("Please select a Business Type.");
            return false;
        }
        if (role_name === "") {
            toastr.error("Please input role name.");
            return false;
        }
        if (role_title === "") {
            toastr.error("Please input role title.");
            return false;
        }
        if (level === "") {
            toastr.error("Please input level.");
            return false;
        }
        return true; // Return true if the form is valid
    }
    // Public methods
    return {
        deleteUserRole: function (selector) { // selector : "#btn_delete"
            BaseAppAjax.ajaxDeleteData(UserRoles.csrf_token, selector, { '_id': $(selector).data('key') },
                function () {
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                },
                function () { }
            );
        },
        init: function (csrf_token, list_url, create_url, edit_url, delete_url) {
            UserRoles.edit_url = edit_url;
            UserRoles.delete_url = delete_url;
            UserRoles.csrf_token = csrf_token,
                initTable(list_url, create_url);

            $(document).off('click', '.create-btn').on('click', '.create-btn', function (e) {
                e.preventDefault();
                var data_url = create_url;
                BaseAppAjax.ajaxLoadView($(this), data_url, {}, "#kt_app_main");

            });
            $(document).off('click', "#btn_edit_user_role").on('click', "#btn_edit_user_role", function (e) {
                e.preventDefault();
                var data_url = $(this).data('action');
                var data_id = $(this).data('key');
                data_url = data_url.replace(":id", data_id);
                BaseAppAjax.ajaxLoadView($(this), data_url, { 'type': data_id }, "#kt_app_main");
            });
            $(document).off('click', '.btn_submit').on('click', '.btn_submit', function (e) {
                e.preventDefault();
                if (!is_data_validated()) {
                    return false;
                }
                var _btn = $(this);
                setBtnLoader(_btn);
                BaseAppAjax.formSubmit('#form_user_role', function (response) {
                    resetBtnLoader(_btn);
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                    // Display success message
                    toastr.success(response.message);
                    // Perform any necessary actions on success
                }, function () {
                    resetBtnLoader(_btn);
                });
            });
            $(document).off('click', '.btn_reset').on('click', '.btn_reset', function (e) {
                $("#form_user_role")[0].reset();
            });
            $(document).off('click', '.btn_delete').on('click', '.btn_delete', function (e) {
                e.preventDefault();
                _options = { 'status': 'warning' };
                var _btn_delete = this;
                initConfirmationDialog(
                    "Are you sure to delete?",
                    function () {
                        UserRoles.deleteUserRole(_btn_delete);
                    },
                    function () { },
                    _options
                );
            });
        }
    }
}();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var _view = '';
    var _edit = ACTIONBUTTON.getEditIconButton({ 'title': 'Edit', 'suffix': '_user_role', 'data_key': row['id'], 'data_action': UserRoles.edit_url });
    var _delete = ACTIONBUTTON.getDeleteIconButton({ 'title': 'Delete', 'suffix': '_user_role', 'data_key': row['id'], 'data_action': UserRoles.delete_url });
    var action_items = `<div class="btn-group">` + _view + `` + _edit + `` + _delete + `</div>`;
    return action_items;
}

