var SelfAssessmentReport = function () {
    var initTable = function (list_url) {
        base_datatable.table_id = "#self-assessment-report-table";
        base_datatable.table_ajax_url = list_url;
        (base_datatable.columns = [
            { data: "sl", className: 'text-center' },
            { data: "id" },
            { data: "user_profile_name" },
            { data: "user_profile_id", className: 'text-center' },
            { data: "bank_branch_name" },
            { data: "branch_type" },
            { data: "for_half_year_ended" },
            { data: "created_at" },
            { data: "action", className: 'text-center' },
        ]),
            base_datatable.reloadTable();
    };
    var is_data_validated = function () {
        var branch_type = $('select[name="branch_type"]').val();
        var bank_branch_id = $('select[name="bank_branch_id"]').val();
        var for_half_year_ended = $('select[name="for_half_year_ended"]').val();
        if (bank_branch_id === "") {
            toastr.error("Please select an Branch Name.");
            return false;
        }
        if (branch_type === "") {
            toastr.error("Please select an Branch Type.");
            return false;
        }
        if (for_half_year_ended === "") {
            toastr.error("Please select an For half-year ended.");
            return false;
        }
        return true;
    };
    // Public methods
    return {
        setupSelfAssessmentReport: function (selector) {
            var container_id = 'report-create-panel';
            var header = 'Create Self Assessment Report';
            $("#kt_global_modal").modal('show');
            var modal_data = {
                "parent_name": "kt_global_modal",
                "header": header,
                "body": "",
                "modal_type": "modal-xl",
            }
            $("#" + modal_data.parent_name).find(".modal-dialog").addClass(modal_data.modal_type);
            $("#" + modal_data.parent_name).find(".modal-body").addClass("position-relative");
            $("#" + modal_data.parent_name).find(".modal-body").attr("id", "report-create-panel");
            OVERLAYPANELBLOCK.kt_modal_data(modal_data);

            BaseAppAjax.ajaxLoadView(selector, SelfAssessmentReport.setup_url, {}, '#' + container_id);
        },
        init: function (csrf_token, setup_url, list_url, report_setup_url) {
            SelfAssessmentReport.csrf_token = csrf_token;
            SelfAssessmentReport.setup_url = setup_url;
            SelfAssessmentReport.list_url = list_url;
            SelfAssessmentReport.report_setup_url = report_setup_url;

            initTable(list_url);

            $(document).off('click', '.create-btn').on('click', '.create-btn', function (e) {
                e.preventDefault();
                SelfAssessmentReport.setupSelfAssessmentReport($(this));
            });

            $(document).off('click', '[data-bs-dismiss="modal"]').on('click', '[data-bs-dismiss="modal"]', function (e) {
                e.preventDefault();
                $("#kt_global_modal").modal('hide');
            });

            $(document).off('click', '#save-change').on('click', '#save-change', function (e) {
                e.preventDefault();
                if (!is_data_validated()) {
                    return false;
                }
                var selector = $(this);
                setBtnLoader(selector);
                BaseAppAjax.formSubmit('#self-assessment-add-form', function (response) {
                    setTimeout(function () {
                        resetBtnLoader(selector);
                        $("#kt_global_modal").modal('hide');
                        initTable(SelfAssessmentReport.list_url);
                    }, 1000);
                }, function () {
                    resetBtnLoader(selector);
                });
            });

            $(document).off('click', '#btn-view-self-assessment-report').on('click', '#btn-view-self-assessment-report', function (e) {
                e.preventDefault();
                var selector = $(this);
                var id = selector.data('key');
                var url = SelfAssessmentReport.report_setup_url;
                document.location.href = url.replace(':id', btoa(id));
            });

        },
    }
}();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var view_btn = ACTIONBUTTON.getViewIconButton({
        suffix: "-self-assessment-report",
        title: "Open Report",
        data_key: row["id"],
        data_action: SelfAssessmentReport.report_setup_url,
    });
    var edit_btn = ACTIONBUTTON.getEditIconButton({
        suffix: "-self-assessment-report",
        title: "Edit",
        data_key: row["id"],
        data_action: '',
    });
    return `<div class="btn-group">${view_btn} ${edit_btn}</div>`;
}
