var Documents = function() {
    var initTable = function(list_url) {
        base_datatable.table_id = '#document_list_table';
        base_datatable.table_ajax_url = list_url;
        base_datatable.columns = [
            { "data": "sl", className: "text-center" },
            { "data": "id" },
            { "data": "document_title" },
            { "data": "document_description" },
            { "data": "document_group" },
            { "data": "roles" },
            { "data": "daction", className: "text-center" }
        ];
        base_datatable.reloadTable();
    }
    var is_data_validated = function () {
        // Check if the required fields are filled
        var document_name = $('input[name="document_title"]').val().trim();
        var document_description = $('textarea[name="document_description"]').val().trim();
        // Validate each field
        if (document_name === "") {
            toastr.error("Please provide document title.");
            return false;
        }
        if (document_description === "") {
            toastr.error("Please provide document description.");
            return false;
        }
        return true; // Return true if the form is valid
    }
    // Public methods
    return {
        deleteDocument: function(selector) { // selector : "#btn_delete"
            BaseAppAjax.ajaxDeleteData(Documents.csrf_token, selector, {'_id': $(selector).data('key')},
                function () {
                    setTimeout(function () {
                        window.location.reload();}, 1000);
                },
                function () {}
            );
        },
        init: function(csrf_token, list_url, create_url, view_url, edit_url, delete_url) {
            Documents.view_url = view_url;
            Documents.edit_url = edit_url;
            Documents.delete_url = delete_url;
            Documents.csrf_token = csrf_token,
                initTable(list_url, create_url);

            $(document).off('click', '.create-btn').on('click', '.create-btn', function(e) {
                e.preventDefault();
                var data_url = create_url;
                BaseAppAjax.ajaxLoadView($(this), data_url, {}, "#kt_app_main");
            });
            $(document).off('click', "#btn_view_document").on('click', "#btn_view_document", function (e) {
                e.preventDefault();
                var data_url = $(this).data('action');
                var data_id = $(this).data('key');
                data_url = data_url.replace(":id", data_id);
                BaseAppAjax.ajaxLoadView($(this), data_url, {}, "#kt_app_main");
            });
            $(document).off('click', "#btn_edit_document").on('click', "#btn_edit_document", function (e) {
                e.preventDefault();
                var data_url = $(this).data('action');
                var data_id = $(this).data('key');
                data_url = data_url.replace(":id", data_id);
                BaseAppAjax.ajaxLoadView($(this), data_url, {'type': data_id}, "#kt_app_main");
            });
            $(document).off('click', '.btn_submit').on('click', '.btn_submit', function(e) {
                e.preventDefault();
                if (!is_data_validated()) {
                    return false;
                }
                var _btn = $(this);
                setBtnLoader(_btn);
                BaseAppAjax.formSubmit('#form_document', function (response) {
                    resetBtnLoader(_btn);
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                    // Display success message
                    toastr.success(response.message);
                    // Perform any necessary actions on success
                }, function () {
                    resetBtnLoader(_btn);
                });
            });
            $(document).off('click', '.btn_reset').on('click', '.btn_reset', function(e) {
                $("#form_document")[0].reset();
            });
            $(document).off('click', '.btn_delete').on('click', '.btn_delete', function(e) {
                e.preventDefault();
                _options = {'status': 'warning'};
                var _btn_delete = this;
                initConfirmationDialog(
                    "Are you sure to delete?",
                    function(){
                        Documents.deleteDocument(_btn_delete);
                    },
                    function(){},
                    _options
                );
            });
        },
        setup: function() {
            $('#no_of_files_input').on('input', function() {
                var inputValue = $(this).val();
                if (inputValue.toLowerCase() === 'n' && !hasN) {
                    hasN = true;
                } else if (/^[0-9]$/.test(inputValue)) {
                    hasN = false; // Reset the 'n' flag
                } else {
                    $(this).val('');
                }
            });
        }
    }
}();
function getFilterOptions(){
    return [];
}
function renderActionItems(row, data) {
    var _edit = ACTIONBUTTON.getEditIconButton({'title':'Edit', 'suffix':'_document', 'data_key':row['id'], 'data_action':Documents.edit_url});
    var _delete = ACTIONBUTTON.getDeleteIconButton({'title':'Delete', 'suffix':'_document', 'data_key':row['id'], 'data_action':Documents.delete_url});
    var action_items = `<div class="btn-group">`+_edit+``+_delete+`</div>`;
    return action_items;
}


