
function dropzoneInit() {
    const t = '[data-kt-inbox-form="dropzone"]',
        a = document.querySelector(t),
        n = document.querySelector('[data-kt-inbox-form="dropzone_upload"]');
    var o = a.querySelector(".dropzone-item");
    ///////////////////////
    o.id = "";
    var r = o.parentNode.innerHTML;
    o.parentNode.removeChild(o);
    dropzone = new Dropzone(t, {
        url: uploadUrl,
        parallelUploads: 20,
        acceptedFiles: ".jpg,.jpeg,.png,.gif,.pdf,.xlsx,.xls,.txt,.doc,.docx,.csv",
        maxFiles: typeof maxFile !== 'undefined' ? maxFile : 1,
        maxFilesize: 1,
        previewTemplate: r,
        previewsContainer: t + " .dropzone-items",
        clickable: n,
        autoQueue: false, // Make sure the files aren't queued until manually added
        headers: {
            'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
        },
        init: function () {
            ;
        }
    });
    dropzone.on("addedfile", (function (e) {
        const dropzoneItems = document.querySelectorAll('.dropzone-item');
        dropzoneItems.forEach((dropzoneItem, index) => {
            dropzoneItem.style.display = '';
            if (dropzone.files[index].type == 'application/pdf') {
                dropzoneItem.setAttribute('data-type', 'pdf-file');
            }else{
                dropzoneItem.setAttribute('data-id', index);
            }
        });

    })), dropzone.on("totaluploadprogress", (function (e) {
        a.querySelectorAll(".progress-bar").forEach((t => {
            t.style.width = e + "%"
        }))
    })), dropzone.on("sending", (function (e) {
        a.querySelectorAll(".progress-bar").forEach((e => {
            e.style.opacity = "1"
        }))
    })), dropzone.on("complete", (function (e) {
        const t = a.querySelectorAll(".dz-complete");
        setTimeout((function () {
            t.forEach((e => {
                e.querySelector(".progress-bar").style.opacity = "0", e.querySelector(".progress").style.opacity = "0"
            }))
        }), 300)
    }));
}

function uploadIMageCropperInit(index) {
    const cropperContainer = document.getElementById('cropperContainer');
    $("#cropperContainer").css("opacity", 1);
    cropperContainer.innerHTML = '';
    const newImage = document.createElement('img');
    const newImageSrc = dropzone.files[index].dataURL;
    newImage.src = newImageSrc;
    newImage.alt = 'New Image';
    cropperContainer.appendChild(newImage);
    /////////////////////////
    uploadCropper = new Cropper(newImage, {
        aspectRatio: 16/9,
        zoomable: true,
        scalable: true,
        rotatable: true,
        background: true,
        modal: true,
        autoCrop: true,
        viewMode: 0,
        cropBoxResizable: true,
        setDragMode: true,
    });
    $(".cropper-container").width('100%');
    var saveButton = document.getElementById("uploadCrop");
}

$(document).off('click', ".btn_send_notifications_email_submit").on('click', ".btn_send_notifications_email_submit", function (e) {
    e.preventDefault();
    var _btn = $(this);
    setBtnLoader(_btn);
    let toEmail = $('#to_email').val();

    if ($("#notify_type").val() == 'courtesy' && !toEmail){
        toastr.error('Email filed is required.');
        resetBtnLoader(_btn);
    }else {
        var formElement = document.querySelector(".form_user_send_email");
        var formData = new FormData(formElement);

        let editorContent = $("#email_template_body_ifr").contents().find('body').html();
        let reference_no = $("#email_template_body_ifr").contents().find("#reference_no").text();
        formData.append("email_body", editorContent);
        formData.append("reference_no", reference_no);
        // Append the files to the FormData object
        var files = dropzone.files;
        for (var i = 0; i < files.length; i++) {
            formData.append('attachment[]', files[i]);
        }
        var url = $('.form_user_send_email').attr('action');
        $.ajax({
            url: url, // URL to handle the AJAX request
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function (response) {
                resetBtnLoader(_btn);
                if (response.status == 'success') {
                    toastr.success(response.message);
                    $("#kt_overlay_panel_close").trigger('click');
                    if ($("#notify_type").val() == 'courtesy'){
                        setTimeout(function () {
                            $('.contracts_tab').tab('show').trigger('click');
                        }, 500);                    }
                } else {
                toastr.error(response.message);
                }
            },
            error: function (xhr, status, error) {
                toastr.error(error);
                resetBtnLoader(_btn);
            }
        });
    }
})

$(document).on ("click", "#uploadCrop", function(e) {
    if (uploadCropper && uploadCropper.getCroppedCanvas) {
        var croppedCanvas = uploadCropper.getCroppedCanvas();
        if (croppedCanvas) {
            var croppedDataURL = croppedCanvas.toDataURL();
            dropzone.files[index].dataURL = croppedDataURL;
        }
    }
    uploadCropper.destroy();
    $("#cropUploadedImageModal").modal('hide');
});
$(document).on ("click", "#uploadZoomIn", function(e) {
    uploadCropper.zoom(0.1);
});
$(document).on ("click", "#uploadZoomOut", function(e) {
    uploadCropper.zoom(-0.1);
});
$(document).on ("click", "#uploadResetFile", function(e) {
    uploadCropper.reset();
});
$(document).on ("click", "#cropImageButton", function(e) {
    $("#uploadCrop").trigger('click');
});
$(document).on('hidden.bs.modal', '#cropUploadedImageModal', function () {
    uploadCropper.destroy();
})

$(document).off('click', ".dropzone-upload-image-edit").on('click', ".dropzone-upload-image-edit", function () {
    $("#cropperContainer").css("opacity", 0);
    $("#cropUploadedImageModal").modal('show');
    index = $(this).parents('.dropzone-item').data('id');
    $('#cropUploadedImageModal').on('shown.bs.modal', function (e) {
        uploadIMageCropperInit(index);
    }).on('hide.bs.modal', function (e) {
        uploadCropper.destroy();
        index = '';
    });

});

