var Notify = function () {

    return {
        init: function (csrf_token, client_profile_id, user_profile_id, notify_type_url, notify_send_url, template_view_url, prepare_mail_url) {
            Notify.csrf_token = csrf_token;
            Notify.client_profile_id = client_profile_id;
            Notify.user_profile_id = user_profile_id;
            Notify.notify_type_url = notify_type_url;
            Notify.notify_send_url = notify_send_url;
            Notify.template_view_url = template_view_url;
            Notify.prepare_mail_url = prepare_mail_url;

            $(document).off("change", "#notification_type").on("change", "#notification_type", function (e) {
                e.preventDefault();
                customLoaderInit("#ajaxLoadNotifyWiseTemplateLoader");
                $("#ajaxLoadNotifyWiseTemplateLoader").css("min-height", "300px");
                $("#ajaxLoadNotifyWiseTemplate").html("");
                let notify_type = $(this).val();
                if (notify_type != "email") {
                    $("#btn_submit_notification").addClass(
                        "btn_send_notifications_submit"
                    );
                    $("#btn_submit_notification").removeClass(
                        "btn_send_notifications_email_submit"
                    );
                } else {
                    $("#btn_submit_notification").removeClass(
                        "btn_send_notifications_submit"
                    );
                    $("#btn_submit_notification").addClass(
                        "btn_send_notifications_email_submit"
                    );
                }
                BaseAppAjax.ajaxLoadView($(this), Notify.notify_send_url, {
                    'notify_type': notify_type, 'profile_id': Notify.user_profile_id, 'client_profile_id': Notify.client_profile_id
                }, "#" + 'ajaxLoadNotifyWiseTemplate');
                $("#ajaxLoadNotifyWiseTemplateLoader").removeAttr(
                    "style"
                );
                setTimeout(() => {
                    $('[data-control="select2"]').select2();
                    customLoaderDestroy(
                        "#ajaxLoadNotifyWiseTemplateLoader"
                    );
                }, 500);
            });

            $("input[name='notification_type'][value='email']").prop('checked', true).change();

            $(document).off('change', "#email_template_id").on('change', "#email_template_id", function (e) {
                e.preventDefault();
                var email_template_id = $(this).val();
                BaseAppAjax.ajaxLoadView($(this), Notify.template_view_url, { email_template_id: email_template_id }, "#ajaxLoadTemplate");
                // setTimeout(() => {
                //     mailDataPrepare(Notify.client_profile_id, Notify.user_profile_id, email_template_id);
                // }, 500);
            });

            $(document).off('click', "#btn_cancel_notification_reset").on('click', "#btn_cancel_notification_reset", function (e) {
                e.preventDefault();
                $("#kt_overlay_panel_close").trigger('click');
            });

            $(document).off('click', '.btn_send_notifications_submit').on('click', '.btn_send_notifications_submit', function (e) {
                e.preventDefault();
                var _btn = $(this);
                setBtnLoader(_btn);
                BaseAppAjax.formSubmit('.form_send_notification', function (response) {
                    resetBtnLoader(_btn);
                    setTimeout(function () {
                        $("#kt_overlay_panel_close").trigger("click");
                    }, 500);
                    // Display success message
                    if (response.status == 'success') {
                        toastr.success(response.message);
                    } else {
                        toastr.error(response.message);
                    }
                    // Perform any necessary actions on success
                }, function () {
                    resetBtnLoader(_btn);
                });
            });
        }
    }
}();

function mailDataPrepare(client_profile_id, user_profile_id, email_template_id) {
    let templateHtml = $("#email_template_body").html();
    $("#ajaxLoadNotifyWiseTemplateLoader").css('min-height', '300px');
    $("#email_template_body_ifr").contents().find('body').html("");
    let regex = /%\w+%/g;
    let matches = templateHtml.match(regex);
    let extractedWords = {};

    if (matches) {
        for (let i = 0; i < matches.length; i++) {
            let word = matches[i].replace(/%/g, '');
            extractedWords[word] = "";
        }
    }
    var data = {
        user_profile_id: user_profile_id,
        mail_keywords: extractedWords,
        client_profile_id: client_profile_id,
        email_template_id: email_template_id
    };
    BaseAppAjax.ajaxGetData(Notify.csrf_token, '', Notify.prepare_mail_url, data, function (data) {
        if (data) {
            let pay_roll_dates = '';
            $.each(data, function (index, value) {
                if (index === "PAYROLLDATES") {
                    pay_roll_dates = value;
                }
                let placeholderRegex = new RegExp('%' + index + '%', 'g');
                templateHtml = templateHtml.replace(placeholderRegex, value);
            });
            let email_template_body_ifr = $("#email_template_body_ifr");
            email_template_body_ifr.contents().find('body').html(templateHtml);
            email_template_body_ifr.contents().find("#_PAYROLLQUERYDATES_").html(pay_roll_dates);
        }
    });
}
