var NotificationEvent = (function () {
    var initTable = function (list_url) {
        base_datatable.table_id = "#notification_event_list_table";
        base_datatable.table_ajax_url = list_url;
        (base_datatable.columns = [
            { data: "sl" },
            { data: "id" },
            { data: "notification_type_id" },
            { data: "name" },
            { data: "title" },
            { data: "description" },
            // { data: "entity_type_role_ids" },
            // { data: "status" },
            { data: "action", className: "text-center" },
        ]),
            base_datatable.reloadTable();
    };
    var is_data_validated = function () {
        // Check if the required fields are filled
        var event_name = $('select[name="name"]').val().trim();
        var event_description = $('input[name="description"]').val().trim();
        var role_id = $('input[name="role_id"]').val().trim();
        var message = $('input[name="message"]').val().trim();

        // Validate each field
        if (event_name === "") {
            toastr.error("Please provide notification event name.");
            return false;
        }
        if (event_description === "") {
            toastr.error("Please provide notification event description.");
            return false;
        }
        if (role_id === "") {
            toastr.error("Please provide Role ID.");
            return false;
        }
        if (message === "") {
            toastr.error("Please provide a message.");
            return false;
        }
        return true; // Return true if the form is valid
    };
    // Public methods
    return {
        deleteNotificationEvent: function (selector) {
            // selector : "#btn_delete"
            BaseAppAjax.ajaxDeleteData(
                NotificationEvent.csrf_token,
                selector,
                { _id: $(selector).data("key") },
                function () {
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                },
                function () { }
            );
        },
        init: function (
            csrf_token,
            list_url,
            create_url,
            edit_url,
            delete_url
        ) {
            NotificationEvent.edit_url = edit_url;
            NotificationEvent.delete_url = delete_url;
            (NotificationEvent.csrf_token = csrf_token),
                initTable(list_url, create_url);
            $(document)
                .off("click", ".create-btn")
                .on("click", ".create-btn", function (e) {
                    e.preventDefault();
                    var data_url = create_url;
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        {},
                        "#kt_app_main"
                    );
                });
            $(document)
                .off("click", ".btn_edit")
                .on("click", ".btn_edit", function (e) {
                    e.preventDefault();
                    var data_url = $(this).data("action");
                    var data_id = $(this).data("key");
                    data_url = data_url.replace(":id", data_id);
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        { type: data_id },
                        "#kt_app_main"
                    );
                });
            $(document)
                .off("click", ".btn_submit")
                .on("click", ".btn_submit", function (e) {
                    e.preventDefault();
                    var _btn = $(this);
                    setBtnLoader(_btn);
                    BaseAppAjax.formSubmit(
                        "#form_notification_Event",
                        function (response) {
                            resetBtnLoader(_btn);
                            setTimeout(function () {
                                window.location.reload();
                            }, 1000);
                            // Display success message
                            toastr.success(response.message);
                            // Perform any necessary actions on success
                        },
                        function () {
                            resetBtnLoader(_btn);
                        }
                    );
                });
            $(document)
                .off("click", ".btn_reset")
                .on("click", ".btn_reset", function (e) {
                    $("#form_notification_Event")[0].reset();
                });
            $(document)
                .off("click", ".btn_delete")
                .on("click", ".btn_delete", function (e) {
                    e.preventDefault();
                    _options = { status: "warning" };
                    var _btn_delete = this;
                    initConfirmationDialog(
                        "Are you sure to delete?",
                        function () {
                            NotificationEvent.deleteNotificationEvent(
                                _btn_delete
                            );
                        },
                        function () { },
                        _options
                    );
                });
        },
    };
})();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var _edit = ACTIONBUTTON.getEditIconButton({
        suffix: "_NotificationEvent",
        data_key: row["id"],
        data_action: NotificationEvent.edit_url,
    });
    var _delete = ACTIONBUTTON.getDeleteIconButton({
        suffix: "_NotificationEvent",
        data_key: row["id"],
        data_action: NotificationEvent.delete_url,
    });
    var action_items =
        `<div class="btn-group">` + `` + _edit + `` + _delete + `</div>`;
    return action_items;
}
