var NotificationType = (function () {
    var initTable = function (list_url) {
        base_datatable.table_id = "#notification_type_list_table";
        base_datatable.table_ajax_url = list_url;
        (base_datatable.columns = [
            { data: "sl" },
            { data: "id" },
            { data: "type_name" },
            { data: "type_description" },
            // { data: "type_status" },
            { data: "action", className: 'text-center' },
        ]);
        base_datatable.reloadTable();
    };
    var is_data_validated = function () {
        // Check if the required fields are filled
        var type_name = $('select[name="type_name"]').val().trim();
        var type_description = $('input[name="type_description"]').val().trim();
        // var type_status = $('select[name="type_status"]').val().trim();

        // Validate each field
        if (type_name === "") {
            toastr.error("Please provide notification name.");
            return false;
        }
        if (type_description === "") {
            toastr.error("Please provide notification description.");
            return false;
        }
        // if (type_status === "") {
        //     toastr.error("Please provide notification status.");
        //     return false;
        // }
        return true; // Return true if the form is valid
    };
    // Public methods
    return {
        deleteNotificationType: function (selector) {
            // selector : "#btn_delete"
            BaseAppAjax.ajaxDeleteData(
                NotificationType.csrf_token,
                selector,
                { _id: $(selector).data("key") },
                function () {
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                },
                function () { }
            );
        },
        init: function (
            csrf_token,
            list_url,
            create_url,
            edit_url,
            delete_url
        ) {
            NotificationType.edit_url = edit_url;
            NotificationType.delete_url = delete_url;
            (NotificationType.csrf_token = csrf_token),
                initTable(list_url, create_url);

            $(document)
                .off("click", ".create-btn")
                .on("click", ".create-btn", function (e) {
                    e.preventDefault();
                    var data_url = create_url;
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        {},
                        "#kt_app_main"
                    );
                });
            $(document)
                .off("click", ".btn_edit")
                .on("click", ".btn_edit", function (e) {
                    e.preventDefault();
                    var data_url = $(this).data("action");
                    var data_id = $(this).data("key");
                    data_url = data_url.replace(":id", data_id);
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        { type: data_id },
                        "#kt_app_main"
                    );
                });
            $(document)
                .off("click", ".btn_submit")
                .on("click", ".btn_submit", function (e) {
                    e.preventDefault();
                    var _btn = $(this);
                    setBtnLoader(_btn);
                    BaseAppAjax.formSubmit(
                        "#form_notification_type",
                        function (response) {
                            resetBtnLoader(_btn);
                            setTimeout(function () {
                                window.location.reload();
                            }, 1000);
                            // Display success message
                            toastr.success(response.message);
                            // Perform any necessary actions on success
                        },
                        function () {
                            resetBtnLoader(_btn);
                        }
                    );
                });
            $(document)
                .off("click", ".btn_reset")
                .on("click", ".btn_reset", function (e) {
                    $("#form_notification_type")[0].reset();
                });
            $(document)
                .off("click", ".btn_delete")
                .on("click", ".btn_delete", function (e) {
                    e.preventDefault();
                    _options = { status: "warning" };
                    var _btn_delete = this;
                    initConfirmationDialog(
                        "Are you sure to delete?",
                        function () {
                            NotificationType.deleteNotificationType(
                                _btn_delete
                            );
                        },
                        function () { },
                        _options
                    );
                });
        },
    };
})();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var _edit = ACTIONBUTTON.getEditIconButton({
        suffix: "_NotificationType",
        data_key: row["id"],
        data_action: NotificationType.edit_url,
    });
    var _delete = ACTIONBUTTON.getDeleteIconButton({
        suffix: "_NotificationType",
        data_key: row["id"],
        data_action: NotificationType.delete_url,
    });
    var action_items =
        `<div class="btn-group">` + `` + _edit + `` + _delete + `</div>`;
    return action_items;
}
