var EmailTemplates = (function () {
    var initTable = function (list_url) {
        base_datatable.table_id = "#email_template_list_table";
        base_datatable.table_ajax_url = list_url;
        (base_datatable.columns = [
            { data: "sl" },
            { data: "id" },
            { data: "email_title" },
            { data: "email_type" },
            {
                data: "status", className: 'text-center',
                render: function (data, type, row) {
                    var checked = data === "active" ? "checked" : "";
                    var toggleStatus = data === "active" ? "true" : "false";
                    return `<input class="rounded-0 form-check-input" type="checkbox" name="checkbox_status" data-toggle="toggle" data-size="sm" data-on="Active" data-off="Inactive" data-onstyle="success" data-offstyle="danger" data-id="${row.id}" data-toggle-status="${toggleStatus}" ${checked}>`;
                },
            },
            { data: "action", className: "text-center" },
        ]);
        base_datatable.reloadTable();
        // Attach click event to the switch checkboxes
        $(document)
            .off("click", '[name="checkbox_status"]')
            .on("click", '[name="checkbox_status"]', function (e) {
                // console.log($(this).is(":checked"));
                var status =
                    $(this).is(":checked") === true ? "active" : "inactive";
                var templateId = $(this).data("id");
                var url = "/update/email/templates";
                HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                    url,
                    {
                        status: status,
                        id: templateId,
                    },
                    "json",
                    function (response) {
                        if (response.success) {
                            toastr.success(response.message);
                            // Perform any other necessary actions on success
                        } else {
                            toastr.error(response.message);
                        }
                    }
                );
            });
    };
    var templateElementAjaxLoad = function () {
        var url = EmailTemplates.view_element_url;
        var data = {};
        var datatype = 'html';
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, data, datatype, function (response) {
            $('#kt_accordion_1').html(response);
            dropdownMenuInit(".add-button-wrapper");
            deleteConfirmationInit('eleDeleteBtn');
        })
    }
    var is_data_validated = function () {
        // Check if the required fields are filled
        var email_type = $('input[name="email_type"]').val();
        var email_title = $('input[name="email_title"]').val();
        var email_description = $("#email_body_ifr")
            .contents()
            .find("body")
            .html();
        // Validate each field
        if (email_type === "") {
            toastr.error("Please enter the Email Title.");
            return false;
        }
        if (email_title === "") {
            toastr.error("Please enter the Email Title.");
            return false;
        }
        var email_description = $("#email_body_ifr")
            .contents()
            .find("body")
            .html();
        var remove_space = $("#email_body_ifr").contents().find("body").text();

        if (
            email_description === '<p><br data-mce-bogus="1"></p>' ||
            $.trim(remove_space) == ""
        ) {
            toastr.error("Please enter Email details");
            return false;
        }
        return true;
    };
    // Public methods
    return {
        deleteEmailTemplate: function (selector) {
            // selector : "#btn_delete"
            BaseAppAjax.ajaxDeleteData(
                EmailTemplates.csrf_token,
                selector,
                { _id: $(selector).data("key") },
                function () {
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                },
                function () { }
            );
        },
        init: function (
            csrf_token,
            list_url,
            create_url,
            view_url,
            edit_url,
            delete_url,
            save_templat_element_url,
            view_element_url,
        ) {
            EmailTemplates.view_url = view_url;
            EmailTemplates.edit_url = edit_url;
            EmailTemplates.delete_url = delete_url;
            EmailTemplates.save_templat_element_url = save_templat_element_url;
            EmailTemplates.view_element_url = view_element_url;
            (EmailTemplates.csrf_token = csrf_token),
                initTable(list_url, create_url);

            $(document)
                .off("click", ".create-btn")
                .on("click", ".create-btn", function (e) {
                    e.preventDefault();
                    var data_url = create_url;
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        {},
                        "#kt_app_main"
                    );
                });
            $(document)
                .off("click", "#btn_view_email_template")
                .on("click", "#btn_view_email_template", function (e) {
                    e.preventDefault();
                    var data_url = $(this).data("action");
                    var data_id = $(this).data("key");
                    data_url = data_url.replace(":id", data_id);
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        {},
                        "#kt_app_main"
                    );
                });
            $(document).off("click", ".btn_submit_list").on("click", ".btn_submit_list", function (e) {
                e.preventDefault();
                var _btn = $(this);
                setBtnLoader(_btn);
                setTimeout(function () {
                    window.location.reload();
                    resetBtnLoader(_btn);
                }, 1000);
            });
            $(document)
                .off("click", "#btn_edit_email_template")
                .on("click", "#btn_edit_email_template", function (e) {
                    e.preventDefault();
                    var data_url = $(this).data("action");
                    var data_id = $(this).data("key");
                    data_url = data_url.replace(":id", data_id);
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        data_url,
                        { type: data_id },
                        "#kt_app_main"
                    );
                });
            $(document)
                .off("click", ".btn_submit")
                .on("click", ".btn_submit", function (e) {
                    e.preventDefault();
                    let body = $("#email_body_ifr")
                        .contents()
                        .find("body")
                        .html();
                    $("#email_body").val(body);
                    if (!is_data_validated()) {
                        return false;
                    }

                    var uniqueElements = {};
                    var templateHtml = $("#email_body_ifr").contents().find('body').html();
                    $(templateHtml).find('[id]').each(function () {
                        uniqueElements[this.id] = true;
                    });
                    var uniqueElementsArray = Object.keys(uniqueElements);
                    $('input[name="template_elements"]').val(uniqueElementsArray);

                    var _btn = $(this);
                    setBtnLoader(_btn);
                    BaseAppAjax.formSubmit(
                        "#email_template_form",
                        function (response) {
                            resetBtnLoader(_btn);
                            setTimeout(function () {
                                window.location.reload();
                            }, 1000);
                            // Display success message
                            toastr.success(response.message);
                            // Perform any necessary actions on success
                        },
                        function () {
                            resetBtnLoader(_btn);
                        }
                    );
                });
            $(document)
                .off("click", ".btn_reset")
                .on("click", ".btn_reset", function (e) {
                    $("#email_template_form")[0].reset();
                });
            $(document)
                .off("click", ".btn_delete")
                .on("click", ".btn_delete", function (e) {
                    e.preventDefault();
                    _options = { status: "warning" };
                    var _btn_delete = this;
                    initConfirmationDialog(
                        "Are you sure to delete?",
                        function () {
                            EmailTemplates.deleteEmailTemplate(_btn_delete);
                        },
                        function () { },
                        _options
                    );
                });
        },
        initForm: function () {
            var options = {
                selector: "#email_body",
                height: "480",
                menubar: true,
                file_picker_types: 'image',
                plugins: 'advlist autolink lists link image charmap print preview anchor searchreplace visualblocks code fullscreen insertdatetime media table paste code help wordcount',
                toolbar: 'undo redo | formatselect | bold italic backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat | help',
                file_picker_callback: (cb, value, meta) => {
                    const input = document.createElement('input');
                    input.setAttribute('type', 'file');
                    input.setAttribute('accept', 'image/*');
                    input.addEventListener('change', (e) => {
                        const file = e.target.files[0];
                        const reader = new FileReader();
                        reader.addEventListener('load', () => {
                            const id = 'blobid' + (new Date()).getTime();
                            const blobCache = tinymce.activeEditor.editorUpload.blobCache;
                            const base64 = reader.result.split(',')[1];
                            const blobInfo = blobCache.create(id, file, base64);
                            blobCache.add(blobInfo);
                            cb(blobInfo.blobUri(), { title: file.name });
                        });
                        reader.readAsDataURL(file);
                    });

                    input.click();
                },
            }
            if (KTThemeMode.getMode() === "dark") {
                options["skin"] = "oxide-dark";
                options["content_css"] = "dark";
            }
            tinymce.init(options);

            $(document).off('click', '.btn_save_element_data').on('click', '.btn_save_element_data', function (e) {
                e.stopPropagation();
                e.stopImmediatePropagation();
                var group_id = $(this).data('group_id');
                var data = {
                    'title': $("#el-title-" + group_id).val(),
                    'value': $("#el-value-" + group_id).val(),
                    'parent_group_id': group_id,
                    'group_name': $(this).data('group_name'),
                }
                var url = EmailTemplates.save_templat_element_url;
                var _btn = $('.btn_save_element_data');
                setBtnLoader(_btn);
                HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, data, 'json', function (response) {
                    resetBtnLoader(_btn);
                    if (response.status == 'success') {
                        toastr.success(response.message);
                        templateElementAjaxLoad()
                    } else {
                        toastr.error(response.message);
                    }
                });
            })
            $(document).off('click', '#reset_btn,.reset_btn').on('click', '#reset_btn,.reset_btn', function () {
                $('input[name=el_title]').val("").trigger("change");
                $('input[name=el_value]').val("").trigger("change");
            });

            $(document).ready(function () {
                templateElementAjaxLoad();
            });

            $(document).on('click', '[data-toggle="confirmation"]', function () {
                var areaId = $(this).attr('aria-describedby');
                var templateId = $(this).attr('data-element_id');
                $("#" + areaId).find('.eleDeleteBtn').attr('data-id', templateId);
            });
        }
    };
})();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var _view = ACTIONBUTTON.getViewIconButton({
        title: "View",
        suffix: "_email_template",
        data_key: row["id"],
        data_action: EmailTemplates.view_url,
    });

    var _edit = ACTIONBUTTON.getEditIconButton({
        suffix: "_email_template",
        title: "Edit",
        data_key: row["id"],
        data_action: EmailTemplates.edit_url,
    });
    var _delete = ACTIONBUTTON.getDeleteIconButton({
        suffix: "_email_template",
        title: "Delete",
        data_key: row["id"],
        data_action: EmailTemplates.delete_url,
    });
    var action_items =
        `<div class="btn-group">` +
        _view +
        `` +
        _edit +
        `` +
        _delete +
        `</div>`;
    return action_items;
}
