var EmailBox = (function () {
    var initTable = function (list_url) {
        base_datatable.table_id = "#email_box_list_table";
        base_datatable.table_ajax_url = list_url;
        (base_datatable.columns = [
            { data: "sl" },
            { data: "id" },
            { data: "name" },
            { data: "template" },
            { data: "mail_subject" },
            { data: "attachment_count" },
            { data: "mail_sent_time" },
            { data: "action", className: 'text-center' },
        ]),
            base_datatable.reloadTable();
    };
    // Public methods
    return {
        resendEmail: function (selector) {
            // selector : "#btn_delete"
            BaseAppAjax.ajaxPostData(EmailBox.csrf_token, selector, { 'id': $(selector).data('key') },
                function (result) {
                    if (result.status && result.status == 'success') {
                        toastr.success(result.message);
                        setTimeout(function () {
                            window.location.reload();
                        }, 1000);

                    }
                    else {
                        toastr.error(result.message);
                    }
                },
                function () { }
            );
        },
        init: function (
            csrf_token,
            list_url,
            resend_url,
            view_url,
            type
        ) {
            EmailBox.view_url = view_url;
            EmailBox.resend_url = resend_url;
            EmailBox.type = type;
            (EmailBox.csrf_token = csrf_token),
                initTable(list_url);
            $(document)
                .off("click", ".btn_confirm_resend_email")
                .on("click", ".btn_confirm_resend_email", function (e) {
                    e.preventDefault();
                    _options = { status: "warning" };
                    var _btn_resend = this;
                    initConfirmationDialog(
                        "Are you sure to resend?",
                        function () {
                            EmailBox.resendEmail(_btn_resend);
                        },
                        function () { },
                        _options
                    );

                });
            $(document)
                .off("click", "#btn_view_email_outbox")
                .on("click", "#btn_view_email_outbox", function (e) {
                    e.preventDefault();
                    var id = $(this).data("key");
                    var _container_id = "mail_view_panel";
                    var _footer =
                        '<div class="m-0">' +
                        (EmailBox.type === 'outbox' ?
                            ACTIONBUTTON.getConfirmationIconButton({"data_key": id, "data_action": EmailBox.resend_url, "suffix": "_resend_email", "icon": '<i class="fa fa-undo"></i>', "btn_text": "Resend", "title": "Resend", "class": "btn-info"})
                            : '') +
                        ACTIONBUTTON.getCancelButton({"data_action": "", "data_key": "", "suffix": "_mail_reset", "icon": "", "btn_text": "Cancel", "title": "Cancel"}) +
                        '</div>';
                    OVERLAYPANELBLOCK.initKTOverlayPanel(
                        "Email Details",
                        '<div id="' + _container_id + '"></div>',
                        _footer
                    );
                    BaseAppAjax.ajaxLoadView(
                        $(this),
                        EmailBox.view_url,
                        {'type':EmailBox.type,'id':id},
                        "#" + _container_id
                    );
                    customLoaderInit("#kt_overlay_panel");
                    setTimeout(() => {
                        customLoaderDestroy("#kt_overlay_panel");
                    }, 1000);
                });
            $(document).off('click', "#btn_cancel_mail_reset").on('click', "#btn_cancel_mail_reset", function (e) {
                e.preventDefault();
                $("#kt_overlay_panel_close").trigger('click');
            });
        },
    };
})();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var _view = ACTIONBUTTON.getViewIconButton({
        title: "View",
        suffix: "_email_outbox",
        data_key: row["id"],
        data_action: EmailBox.view_url,
    });
    if (EmailBox.type == 'outbox') {
        var _resend = ACTIONBUTTON.getConfirmationIconButton({
            title: "Resend",
            suffix: "_resend_email btn-info",
            data_key: row["id"],
            data_action: EmailBox.resend_url,
            icon: '<i class="fa fa-undo"></i>',
            btn_text: ''
        });
    }else {
        var _resend = '';
    }
    var _delete = '';
    var action_items =
        `<div class="btn-group">` +
        _resend +
        `` +
        _view +
        `` +
        _delete +
        `</div>`;
    return action_items;
}
