var Activity = (function () {
    // Public methods
    return {
        loadActivities: function (client_profile_id, task_status, client_contract_id) {
            var data = {
                user_profile_id: Activity.user_profile_id,
                client_profile_id: client_profile_id,
                task_status: task_status,
                client_contract_id: client_contract_id,
            };
            BaseAppAjax.ajaxLoadView($(this), Activity.details_url, data, "#service_content");
        },

        contractOptions: function (client_profile_id) {
            BaseAppAjax.ajaxLoadCascadingDropdownData({ client_profile_id: client_profile_id }, $('select[name="client_contract_id"]'), Activity.contracts_url, '',
                function () { });
        },

        init: function (user_profile_id, csrf_token, details_url, contracts_url) {
            Activity.user_profile_id = user_profile_id;
            Activity.csrf_token = csrf_token;
            Activity.details_url = details_url;
            Activity.contracts_url = contracts_url;

            Activity.loadActivities(0, 0, 0);

            $(document).off('change', "select[name='client_profile_id']").on('change', "select[name='client_profile_id']", function (e) {
                e.preventDefault();
                var client_profile_id = $('select[name="client_profile_id"]').val();
                var task_status = $('select[name="task_status"]').val();
                var client_contract_id = $('select[name="client_contract_id"]').val();
                Activity.loadActivities(client_profile_id, task_status, client_contract_id);
                Activity.contractOptions(client_profile_id);
            });

            $(document).off('change', "select[name='client_contract_id'],select[name='task_status']").on('change', "select[name='client_contract_id'],select[name='task_status']", function (e) {
                e.preventDefault();
                var client_profile_id = $('select[name="client_profile_id"]').val();
                var task_status = $('select[name="task_status"]').val();
                var client_contract_id = $('select[name="client_contract_id"]').val();
                Activity.loadActivities(client_profile_id, task_status, client_contract_id);
            });
        }
    };
})();

