var Profile = (function () {
    // Public methods
    return {
        waitCheckUsername: function () {

        },
        changeUserName: function (_btn) {
            setBtnLoader(_btn)
            var username = $("#new_username").val();
            var password = $("#confirm_username_password").val();
            var user_id = $("#user_id").val();
            if (username == "") {
                toastr.error("Please input user name");
                return false;
            }
            if (password == "") {
                toastr.error("Please input confirm password");
                return false;
            }
            var data = {
                username: username,
                password: password,
                user_id: user_id,
            };
            HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                "/user/change-username",
                data,
                "json",
                function (response) {
                    if (response.status == "success") {
                        // Display success message
                        toastr.success(response.message);
                        $("#LoginIdText").text(username);
                        $("#new_username").val(username);
                        $("#kt_signin_cancel").trigger("click");
                        // Perform any necessary actions on success
                    } else {
                        toastr.error(response.message);
                    }
                    resetBtnLoader(_btn)
                }
            );
        },
        changeEmail: function () {
            var new_email = $("#new_email").val();
            var confirm_email_password = $("#confirm_email_password").val();
            if (new_email == "") {
                toastr.error("Please input email");
                return false;
            }
            if (confirm_email_password == "") {
                toastr.error("Please input confirm password");
                return false;
            }
            var data = {
                new_email: new_email,
                password: confirm_email_password,
            };
            HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                "/user/change-email",
                data,
                "json",
                function (response) {
                    if (response.status == "success") {
                        // Display success message
                        toastr.success("Email changed successfully");
                        if ($("#kt_update_email_cancel").length) {
                            $("#kt_update_email_cancel").trigger("click");
                        }
                        // Perform any necessary actions on success
                    } else {
                        toastr.error(response.message);
                    }
                }
            );
        },
        changePassword: function (_btn) {
            var new_password = $("#new_password").val();
            var confirm_password = $("#confirm_password").val();
            var current_password = $("#current_password").val();
            var user_id = $("#user_id").val();
            var data = {
                current_password: current_password,
                confirm_password: confirm_password,
                new_password: new_password,
                user_id: user_id,
            };
            let redirect_url = typeof page_reload !== "undefined" ? page_reload : false;
            if (this.checkPasswordValidity()) {
                setBtnLoader(_btn)
                HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                    "/user/change-password",
                    data,
                    "json",
                    function (response) {
                        if (response.status == "success") {
                            if (redirect_url == true) {
                                setTimeout(function () {
                                    window.location.href = '/';
                                }, 1000);
                            }
                            // Display success message
                            toastr.success("Password changed successfully");
                            toggleChangePassword();
                            // Perform any necessary actions on success
                        } else {
                            toastr.error(response.message);
                        }
                        resetBtnLoader(_btn)
                    }
                );
            }
        },
        checkPasswordValidity: function () {
            var password = $("#new_password").val();
            var confirm_password = $("#confirm_password").val();
            var current_password = $("#current-password").val();
            var user_id = $('select[name="user_id"]').val();
            if ($('select[name="user_id"]').length != 0 && user_id == "") {
                toastr.error("Please Select User");
                return false;
            }
            if ($("#current-password").length != 0 && current_password == "") {
                toastr.error("Please input current password");
                return false;
            }
            if (password == "") {
                toastr.error("Please input new password");
                return false;
            }
            if (confirm_password == "") {
                toastr.error("Please input confirm password");
                return false;
            }
            // Define the password pattern
            var passwordPattern =
                /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[!@#$%^&*(),.?":{}|<>])[A-Za-z\d!@#$%^&*(),.?":{}|<>]{8,}$/;
            if (!passwordPattern.test(password)) {
                toastr.error("Please input valid password pattern");
                return false;
            }
            //check new password and confirm password
            if (password !== confirm_password) {
                toastr.error("Password not match");
                return false;
            }
            return true;
        },
        profileDetailsUpdate: function () {
            var data = $("#profile_details_form").serialize();
            var user_id = $("#user_id").val();
            HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                "/user/profile-save",
                data,
                "json",
                function (response) {
                    if (response.status == "success") {
                        $(".profile-action-button-wrapper").addClass("d-none");
                        $("#my_profile_edit").removeClass("d-none");
                        $(".form-edit-label").removeClass("d-none");
                        $(".form-edit-field").addClass("d-none");
                        ajaxLoadUserView(user_id);
                        // Display success message
                        toastr.success(response.message);
                    } else {
                        toastr.error(response.message);
                    }
                }
            );
        },
        profileImageUpdate: function (_btn) {
            setBtnLoader(_btn)
            var data = $("#profile_image_update_form").serialize();
            var table_row_id = $("#table_row_id").val();
            HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                "/user/profile-image-change",
                data,
                "json",
                function (response) {
                    if (response.status == "success") {
                        // Display success message
                        toastr.success(response.message);
                        ajaxMyProfileView(table_row_id);
                    } else {
                        toastr.error(response.message);
                    }
                    resetBtnLoader(_btn)
                }
            );
        },
        companyLogoUpdate: function () {
            var data = $("#profile_image_update_form").serialize();
            var table_row_id = $("#table_row_id").val();
            var auth_user_id = $("#auth_user_id").val();
            HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                "/user/profile-image-change",
                data,
                "json",
                function (response) {
                    if (response.status == "success") {
                        // Display success message
                        toastr.success(response.message);
                        ajaxLoadUserView(auth_user_id);
                    } else {
                        toastr.error(response.message);
                    }
                }
            );
        },
        updateProfile: function (_btn_id) {
            BaseAppAjax.ajaxPostData(Profile.csrf_token, _btn_id, { 'rd': $("#profile_details_form").serialize() }, function (response) {
                $(".profile-action-button-wrapper").addClass('d-none');
                $("#my_profile_edit").removeClass('d-none');
                $(".form-edit-label").removeClass('d-none');
                $(".form-edit-field").addClass('d-none');
                ajaxMyProfileView(Profile.profile_id);
                toastr.success(response.message);
            }, function () {
                toastr.error(response.message);
            });
        },
        init: function (csrf_token, user_id, profile_id, username) {
            Profile.csrf_token = csrf_token;
            Profile.user_id = user_id;
            Profile.profile_id = profile_id;
            Profile.username = username;

            $(document).off('click', "#btn_setup_admin, #btn_setup_manager_restriction, #btn_update_status, #btn_delete_user").on('click', "#btn_setup_admin, #btn_setup_manager_restriction, #btn_update_status, #btn_delete_user", function () {
                var uid = $(this).attr('data-key');
                var element_id = "#" + $(this).attr('id');
                var alert_text = "Are you sure to " + $(this).attr('title');
                var operation_type = element_id.replace("#btn_", "");
                initWarningConfirmationDialog(alert_text, function () {
                    BaseAppAjax.ajaxPostData(Profile.csrf_token, element_id, { "uid": uid, 'ot': operation_type },
                        function (response) {
                            toastr.success(response.message);
                            setTimeout(function () {
                                ajaxLoadUserView(uid);
                            }, 500);
                        },
                        function () {
                            toastr.error(response.message);
                        }
                    );
                }, function () { }, {});
            });
            $(document).off('click', "#my_profile_edit").on('click', "#my_profile_edit", function () {
                $(this).addClass('d-none');
                $(".form_display_mode").addClass('d-none');
                $(".form_edit_mode").removeClass('d-none');
                $(".profile-action-button-wrapper").removeClass('d-none');
            });
            $(document).off('click', "#my_profile_edit_save").on('click', "#my_profile_edit_save", function () {
                var email = $("#edit_email").val();
                var emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
                var nonEmptyFields = [];
                // Iterate through form fields
                var validation = true;
                $("#profile_details_form").find('input[required], select[required]').each(function () {
                    if ($(this).val() == '') {
                        nonEmptyFields.push($(this).attr('name'));
                        $(this).addClass('border-danger');
                        toastr.error($(this).attr('name').charAt(0).toUpperCase() + $(this).attr('name').slice(1) + ' can not left empty');
                        validation = false;
                    }
                });
                var emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
                if (!emailRegex.test(String(email))) {
                    toastr.error('Please provide a valid email');
                    return false;
                }
                if (validation) {
                    Profile.updateProfile("#my_profile_edit_save");
                }
                return false;
            });
            $(document).off('click', "#my_profile_edit_reset").on('click', "#my_profile_edit_reset", function () {
                $('#profile_details_form')[0].reset();
                $(".profile-action-button-wrapper").addClass('d-none');
                $("#my_profile_edit").removeClass('d-none');
                $(".form_display_mode").removeClass('d-none');
                $(".form_edit_mode").addClass('d-none');
            });
            $(document).off('keyup', '#new_password').on('keyup', '#new_password', function (e) {
                var password = $(this).val();
                // Regular expression pattern to match lowercase letters
                var lowercaseRegex = /[a-z]/;
                if (lowercaseRegex.test(password)) {
                    $('li#letter').removeClass('text-danger');
                    $('li#letter').addClass('text-success');
                }
                else {
                    $('li#letter').removeClass('text-success');
                    $('li#letter').addClass('text-danger');
                }
                // Regular expression pattern to match uppercase letters
                var uppercaseRegex = /[A-Z]/;
                if (uppercaseRegex.test(password)) {
                    $('li#capital').removeClass('text-danger');
                    $('li#capital').addClass('text-success');
                }
                else {
                    $('li#capital').removeClass('text-success');
                    $('li#capital').addClass('text-danger');
                }
                // Regular expression pattern to match number
                var numberRegex = /\d/;
                if (numberRegex.test(password)) {
                    $('li#number').removeClass('text-danger');
                    $('li#number').addClass('text-success');
                }
                else {
                    $('li#number').removeClass('text-success');
                    $('li#number').addClass('text-danger');
                }
                // Regular expression pattern to match length 8
                var lengthRegex = /^.{8,}$/;
                if (lengthRegex.test(password)) {
                    $('li#length').removeClass('text-danger');
                    $('li#length').addClass('text-success');
                }
                else {
                    $('li#length').removeClass('text-success');
                    $('li#length').addClass('text-danger');
                }
                // Regular expression pattern to match special 1
                var specialRegex = /[!@#$%^&*(),.?":{}|<>]/;
                if (specialRegex.test(password)) {
                    $('li#special').removeClass('text-danger');
                    $('li#special').addClass('text-success');
                }
                else {
                    $('li#special').removeClass('text-success');
                    $('li#special').addClass('text-danger');
                }
            });
            $(document).off('click', '.notification_list_tab').on('click', '.notification_list_tab', function (e) {
                loadNotificationList(Profile.user_id)
            })
            $(document).off('click', '.notification_configuration_tab').on('click', '.notification_configuration_tab', function (e) {
                loadNotificationConfiguration(Profile.user_id)
            })
            $(document).off("click", ".userDeleteBtn").on("click", ".userDeleteBtn", function () {
                    var data = { user_id: $(this).data("id") };
                    var _btn = $(this);
                    setBtnLoader(_btn);
                    HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                        "/user-delete",
                        data,
                        "json",
                        function (response) {
                            if (response.status == "success") {
                                toastr.success(response.message);
                                ajaxLoadIndex();
                            } else {
                                toastr.error(response.message);
                            }
                            resetBtnLoader(_btn);
                        }
                    );
            });
            $(document).off("click", '[data-toggle="confirmation"]').on("click", '[data-toggle="confirmation"]', function (e) {
                    e.preventDefault();
                    var areaId = $(this).attr("aria-describedby");
                    var templateId = $(this).attr("data-id");
                    $("#" + areaId)
                        .find(".userDeleteBtn")
                        .attr("data-id", templateId);
            });
            $(document).off("click", "#reset_btn_configure").on("click", "#reset_btn_configure", function (e) {
                    e.preventDefault();
                    var _btn = $(this);
                    setBtnLoader(_btn);
                    $("#userConfigureForm input[type='checkbox']").each(
                        function () {
                            // if (!$(this).prop("checked")) {
                            $(this).prop("checked", false);
                            // }
                        }
                    );
                    setTimeout(() => {
                        resetBtnLoader(_btn);
                    }, 2000);
            });
            $(document).off("click", "#user_configure_save").on("click", "#user_configure_save", function (e) {
                    e.preventDefault();
                    var _btn = $(this);
                    _btn.prop("disabled", true);
                    setBtnLoader(_btn);
                    let formData = $("#userConfigureForm").serialize();
                    let url = $("#userConfigureForm").attr("action");
                    HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                        url,
                        formData,
                        "json",
                        function (response) {
                            if (response.status == "success") {
                                toastr.success(response.message);
                            } else {
                                toastr.error(response.message);
                            }
                            _btn.prop("disabled", false);
                            resetBtnLoader(_btn);
                        }
                    );
            });
            $(document).off("click", ".btn_user_role_switch").on("click", ".btn_user_role_switch", function (e) {
                e.preventDefault();
                let _btn = $(this);
                setBtnLoader(_btn);
                let user_id = $(this).data("id");
                Swal.fire({
                    title: "Confirmation",
                    text: "Are you sure want to switch role?",
                    icon: "question",
                    showCancelButton: true,
                    confirmButtonText: "Yes",
                    cancelButtonText: "No",
                    allowOutsideClick: () => !Swal.isLoading(),
                }).then((result) => {
                    if (result.isConfirmed) {
                        HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                            "/user/role/switch/" + user_id,
                            {},
                            "json",
                            function (response) {
                                if (response.success) {
                                    toastr.success(response.message);
                                    setTimeout(function () {
                                        window.location.href = "/";
                                    }, 1000);
                                } else {
                                    toastr.error(response.message);
                                }
                                resetBtnLoader(_btn);
                            }
                        );
                    } else {
                        resetBtnLoader(_btn);
                    }
                });
            });
            $(document).off("click", ".btn_assign_role_admin").on("click", ".btn_assign_role_admin", function (e) {
                e.preventDefault();
                let _btn = $(this);
                setBtnLoader(_btn);
                let id = $(this).data("id");
                let status = $(this).data("status");
                Swal.fire({
                    title: "Confirmation",
                    text: "Are you sure want to assign admin role?",
                    icon: "question",
                    showCancelButton: true,
                    confirmButtonText: "Assign",
                    cancelButtonText: "No",
                    allowOutsideClick: () => !Swal.isLoading(),
                }).then((result) => {
                    if (result.isConfirmed) {
                        HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                            "/user/role/assign",
                            {
                                user_id: id,
                                status: status,
                            },
                            "json",
                            function (response) {
                                if (response.success) {
                                    toastr.success(response.message);
                                    ajaxLoadUserView(id);
                                } else {
                                    toastr.error(response.message);
                                }
                                resetBtnLoader(_btn);
                            }
                        );
                    } else {
                        resetBtnLoader(_btn);
                    }
                });
            });
            $(document).off("click", ".btn_remove_role_admin").on("click", ".btn_remove_role_admin", function (e) {
                e.preventDefault();
                let _btn = $(this);
                setBtnLoader(_btn);
                let id = $(this).data("id");
                let status = $(this).data("status");
                Swal.fire({
                    title: "Confirmation",
                    text: "Are you sure want to remove admin role?",
                    icon: "question",
                    showCancelButton: true,
                    confirmButtonText: "Remove",
                    cancelButtonText: "No",
                    allowOutsideClick: () => !Swal.isLoading(),
                }).then((result) => {
                    if (result.isConfirmed) {
                        HELPER_AJAX.ajaxSubmitDataAsyncCallback(
                            "/user/role/assign",
                            {
                                user_id: id,
                                status: status,
                            },
                            "json",
                            function (response) {
                                if (response.success) {
                                    toastr.success(response.message);
                                    ajaxLoadUserView(id);
                                } else {
                                    toastr.error(response.message);
                                }
                                resetBtnLoader(_btn);
                            }
                        );
                    } else {
                        resetBtnLoader(_btn);
                    }
                });
            });
            $(document).off("click", ".colleagues_presentation").on("click", ".colleagues_presentation", function (e) {
                loadColleagues(Profile.profile_id);
            });
            $(document)
                .off("click", ".documents_presentation")
                .on("click", ".documents_presentation", function (e) {
                    loadDocuments(Profile.profile_id);
                });
            $(document)
                .off("click", ".activities_presentation")
                .on("click", ".activities_presentation", function (e) {
                    loadActivities(Profile.profile_id);
                });
            $(document)
                .off("click", ".important_presentation")
                .on("click", ".important_presentation", function (e) {
                    loadImportant(Profile.profile_id);
                });
            $(document)
                .off("click", ".logs_presentation")
                .on("click", ".logs_presentation", function (e) {
                    loadLogs(Profile.profile_id);
                });
            $(document)
                .off("click", ".notifications_presentation")
                .on("click", ".notifications_presentation", function (e) {
                    loadUserNotification(Profile.profile_id);
                });
            $(document)
                .off("click", ".notification_list_presentation")
                .on("click", ".notification_list_presentation", function (e) {
                    loadNotificationList(Profile.profile_id);
                });

            // $(document)
            //     .off("click", ".notification_configuration_presentation")
            //     .on(
            //         "click",
            //         ".notification_configuration_presentation",
            //         function (e) {
            //             loadNotificationConfiguration(Profile.profile_id);
            //         }
            //     );
            //configuration notification select all
            $(document).off('change', '#all_select').on('change', '#all_select', function (e) {
                console.log(1)
                var isChecked = $(this).prop("checked");
                $(".child_select").prop('checked', isChecked);
            });
            // Function to handle individual child checkbox changes
            $(document)
                .off("change", ".child_select")
                .on("change", ".child_select", function (e) {
                    var allChecked =
                        $(".child_select:checked").length ===
                        $(".child_select").length;
                    $("#all_select").prop("checked", allChecked);
                });

            $(document)
                .off("click", "[data-kt-menu-toggle-ajax=true]")
                .on("click", "[data-kt-menu-toggle-ajax=true]", function () {
                    $(this).siblings(".menu-sub-dropdown").toggle();
                    $(this)
                        .siblings(".menu-sub-dropdown")
                        .css({ position: "absolute" });
                });
        },
    };
})();

function ajaxMyProfileView(id) {
    if (validateProfileView(id) == false) {
        return false;
    }
    location.reload();
    // window.location.href = "/profile/" + id;
}

function ajaxLoadUserView(id) {
    if (validateProfileView(id) == false) {
        return false;
    }
    window.location.href = "/team/profile/" + id;
}
function validateProfileView(id) {
    if (id == undefined || id == 0) {
        toastr.error("Profile not found.");
        return false;
    }
    return true;
}
function profileDetailsLoadAjax(id) {
    BaseAppAjax.ajaxLoadView($(this), "/profile-details/" + id, {}, "#" + 'profile_details_data');
}

function toggleChangePassword() {
    var kt_signin_password = document.getElementById("kt_signin_password");
    var kt_signin_password_button = document.getElementById(
        "kt_signin_password_button"
    );
    var kt_signin_password_edit = document.getElementById(
        "kt_signin_password_edit"
    );
    if (kt_signin_password !== null) {
        kt_signin_password.classList.toggle("d-none");
    }
    if (kt_signin_password_button !== null) {
        kt_signin_password_button.classList.toggle("d-none");
    }
    if (kt_signin_password_edit !== null) {
        kt_signin_password_edit.classList.toggle("d-none");
    }
    $("#user_id").val("");
    $("#new_password").val("");
    $("#confirm_password").val("");
    $("#current_password").val("");
    $("#user_id").val("").removeClass("is-valid");
    $("#new_password").val("").removeClass("is-valid");
    $("#confirm_password").val("").removeClass("is-valid");
    $("#current_password").val("").removeClass("is-valid");
    $("li#letter").removeClass("text-success");
    $("li#letter").addClass("text-danger");
    $("li#capital").removeClass("text-success");
    $("li#capital").addClass("text-danger");
    $("li#number").removeClass("text-success");
    $("li#number").addClass("text-danger");
    $("li#length").removeClass("text-success");
    $("li#length").addClass("text-danger");
    $("li#special").removeClass("text-success");
    $("li#special").addClass("text-danger");
}
function loadColleagues() {
    BaseAppAjax.ajaxLoadView("", Profile.url_tab_colleague, { "id": Profile.profile_id }, "#manager_colleagues")
}
function loadDocuments(profile_id) {
    $("#documents").html("");
    var url = "/document_team/view";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#documents");
}
function loadActivities(profile_id) {
    $("#activities").html("");
    var url = "/activity_team/view";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#activities");
}
function loadImportant(profile_id) {
    $("#important").html("");
    var url = "/important_team/view";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#important");
}
function loadLogs(profile_id) {
    $("#logs").html("");
    var url = "/log_team/view";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#logs");
}
function loadUserNotification(profile_id) {
    $("#notifications").html("");
    var url = "/notification_team/view";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#notifications");
}
function loadNotificationList(profile_id) {
    $("#ajaxLoadNotification").html("");
    var url = "/notifications/list";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#ajaxLoadNotification");
}
function loadNotificationConfiguration(profile_id) {
    $("#ajaxLoadNotification").html("");
    var url = "/notifications/configuration";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#ajaxLoadNotification");
}
function loadApplicationUsers(profile_id) {
    $("#application_users").html("");
    var url = "/client_user/view";
    BaseAppAjax.ajaxLoadView($(this), url, { 'profile_id': profile_id }, "#application_users");
}
$(document)
    .off("click", ".btn_email_resend")
    .on("click", ".btn_email_resend", function (e) {
        e.preventDefault();
        var id = $(this).attr("data-id");
        var data = { type: $(this).attr("data-type") };
        var _btn = $(this);
        setBtnLoader(_btn);
        let url = "/email/resend/" + id;
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(
            url,
            data,
            "json",
            function (response) {
                if (response.status == "success") {
                    toastr.success(response.message);
                    setTimeout(function () {
                        window.location.reload();
                    }, 1000);
                } else {
                    toastr.error(response.message);
                }
                resetBtnLoader(_btn);
            }
        );
    });
$(document)
    .off("input", "#textInput")
    .on("input", "#textInput", function (e) {
        var inputValue = $(this).val();
        var validChars = /^[A-Za-z\s]+$/;
        if (!validChars.test(inputValue)) {
            $(this).val(inputValue.replace(/[^A-Za-z\s]/g, ""));
        }
    });
$(document)
    .off("click", ".userStatusChangeBtn")
    .on("click", ".userStatusChangeBtn", function () {
        var data = {
            user_id: $(this).data("id"),
            status: $(this).data("status"),
        };
        var id = $(this).data("id");
        var _btn = $(this);
        setBtnLoader(_btn);
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(
            "/user-status-update",
            data,
            "json",
            function (response) {
                if (response.status == "success") {
                    toastr.success(response.message);
                    ajaxLoadUserView(id);
                } else {
                    toastr.error(response.message);
                }
                resetBtnLoader(_btn);
            }
        );
    });
