var ViewUser = function () {
    var initTable = function (list_url) {
        base_datatable.table_id = "#user-list-table";
        base_datatable.table_ajax_url = list_url;
        (base_datatable.columns = [
            { data: "sl", className: 'text-center' },
            { data: "id" },
            { data: "employee_name" },
            { data: "employee_type" },
            { data: "bank_branch_name" },
            { data: "active_status" },
            { data: "action", className: 'text-center' },
        ]),
            base_datatable.reloadTable();
    };
    var is_data_validated = function () {
        var first_name = $('input[name="first_name"]').val();
        var last_name = $('input[name="last_name"]').val();
        var gender = $('select[name="gender"]').val();
        var designation = $('input[name="designation"]').val();
        var mobile = $('input[name="mobile"]').val();
        var email = $('input[name="email"]').val();
        var branch_type = $('select[name="branch_type"]').val();
        var bank_branch_id = $('select[name="bank_branch_id"]').val();
        var username = $('input[name="username"]').val();

        if (first_name.trim() === "") {
            toastr.error("First Name is required.");
            return false;
        }
        if (last_name.trim() === "") {
            toastr.error("Last Name is required.");
            return false;
        }
        if (gender === "") {
            toastr.error("Please select a Gender.");
            return false;
        }
        if (designation.trim() === "") {
            toastr.error("Designation is required.");
            return false;
        }
        if (mobile.trim() === "") {
            toastr.error("Mobile number is required.");
            return false;
        }
        if (!validateMobile(mobile)) {
            toastr.error("Please provide a valid Bangladeshi mobile number.");
            return false;
        }
        if (email.trim() === "") {
            toastr.error("Email is required.");
            return false;
        }
        if (!validateEmail(email)) {
            toastr.error("Please provide a valid email address.");
            return false;
        }
        if (branch_type === "") {
            toastr.error("Please select a Branch Type.");
            return false;
        }
        if (bank_branch_id === "") {
            toastr.error("Please select a Branch Name.");
            return false;
        }
        if (username.trim() === "") {
            toastr.error("Unique username is required.");
            return false;
        }
        return true;
    };
    // Public methods
    return {
        setupUser: function (selector, id) {
            var container_id = 'user-create-panel';
            var header = 'User Register';
            $("#kt_global_modal").modal('show');
            var modal_data = {
                "parent_name": "kt_global_modal",
                "header": header,
                "body": "",
                "modal_type": "modal-xl",
            }
            $("#" + modal_data.parent_name).find(".modal-dialog").addClass(modal_data.modal_type);
            $("#" + modal_data.parent_name).find(".modal-body").addClass("position-relative");
            $("#" + modal_data.parent_name).find(".modal-body").attr("id", "user-create-panel");
            OVERLAYPANELBLOCK.kt_modal_data(modal_data);

            BaseAppAjax.ajaxLoadView(selector, ViewUser.setup_url, {id: id}, '#' + container_id, function () {
                // $("#save-change").prop('disabled', true);
            });
        },
        init: function (csrf_token, list_url, setup_url, duplicate_check_user_url) {
            ViewUser.csrf_token = csrf_token;
            ViewUser.list_url = list_url;
            ViewUser.setup_url = setup_url;
            ViewUser.duplicate_check_user_url = duplicate_check_user_url;

            initTable(list_url);

            $(document).off('click', '.create-btn').on('click', '.create-btn', function (e) {
                e.preventDefault();
                ViewUser.setupUser($(this), 0);
            });

            $(document).off('click', '.btn-edit').on('click', '.btn-edit', function (e) {
                e.preventDefault();
                var selector = $(this);
                var id = selector.data('key');
                ViewUser.setupUser(selector, id);
            });

            $(document).off('click', '[data-bs-dismiss="modal"]').on('click', '[data-bs-dismiss="modal"]', function (e) {
                e.preventDefault();
                $("#kt_global_modal").modal('hide');
            });

            $(document).off('click', '#save-change').on('click', '#save-change', function (e) {
                e.preventDefault();
                if (!is_data_validated()) {
                    return false;
                }
                var selector = $(this);
                setBtnLoader(selector);
                BaseAppAjax.formSubmit('#user-add-form', function (response) {
                    toastr.success(response.message);
                    setTimeout(function () {
                        resetBtnLoader(selector);
                        $("#kt_global_modal").modal('hide');
                        initTable(ViewUser.list_url);
                    }, 1000);
                }, function () {
                    toastr.error(response.message);
                    resetBtnLoader(selector);
                });
            });

            $(document).off('blur', '#username').on('blur', '#username', function (e) {
                e.preventDefault();
                var selector = $(this);
                var user_id =selector.data('user-id');

                var username = selector.val();
                var data = { username: username,'user_id':user_id };
                BaseAppAjax.ajaxGetData('', selector, ViewUser.duplicate_check_user_url, data, function (response) {
                    if (response.status == 'success') {
                        selector.addClass('bg-light-success').removeClass('bg-light-danger');
                        $("#username-error-text").text(response.message).css('color', 'green');
                        $("#save-change").prop('disabled', false);
                    } else {
                        selector.addClass('bg-light-danger').removeClass('bg-light-success');
                        $("#username-error-text").text(response.message).css('color', 'red');
                        $("#save-change").prop('disabled', true);
                    }
                });
            });
        },
    }
}();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var edit_btn = ACTIONBUTTON.getEditIconButton({
        suffix: "-user",
        title: "Edit",
        data_key: row["id"],
        data_action: '',
    });
    return `<div class="btn-group">${edit_btn}</div>`;
}
function validateEmail(email) {
    var emailPattern = /^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$/;
    return emailPattern.test(email);
}
function validateMobile(mobile) {
    var mobilePattern = /^01[3-9]\d{8}$/;
    return mobilePattern.test(mobile);
}
