var XAttachments = function () {
    var initTable = function (list_url) {
        base_datatable.table_id = '#x_attachment_list_table';
        base_datatable.table_ajax_url = list_url;
        base_datatable.columns = [{ "data": "sl" }, { "data": "id" }, { "data": "name" }, { "data": "attachment_group" }, { "data": "action" }],
            base_datatable.reloadTable();
    }
    var is_data_validated = function () {
        // Check if the required fields are filled
        var name = $('input[name="name"]').val().trim();
        var attachment_group = $('textarea[name="attachment_group"]').val();
        // Validate each field
        if (name === "") {
            toastr.error("Please input name.");
            return false;
        }
        if (attachment_group === "") {
            toastr.error("Please input attachment group.");
            return false;
        }
        return true; // Return true if the form is valid
    }
    // Public methods
    return {
        init: function (csrf_token, list_url, create_url, edit_url, delete_url) {
            XAttachments.edit_url = edit_url;
            XAttachments.delete_url = delete_url;
            XAttachments.csrf_token = csrf_token,
                initTable(list_url, create_url);

            $(document).off('click', '.create-btn').on('click', '.create-btn', function (e) {
                e.preventDefault();
                var data_url = create_url;
                BaseAppAjax.ajaxLoadView($(this), data_url, {}, "#kt_app_main");

            });
            $(document).off('click', "#btn_view_x_attachment").on('click', "#btn_view_x_attachment", function (e) {
                e.preventDefault();
                var data_url = $(this).data('action');
                var data_id = $(this).data('key');
                data_url = data_url.replace(":id", data_id);
                BaseAppAjax.ajaxLoadView($(this), data_url, {}, "#kt_app_main");
            });
            $(document).off('click', "#btn_edit_x_attachment").on('click', "#btn_edit_x_attachment", function (e) {
                e.preventDefault();
                var data_url = $(this).data('action');
                var data_id = $(this).data('key');
                data_url = data_url.replace(":id", data_id);
                BaseAppAjax.ajaxLoadView($(this), data_url, { 'type': data_id }, "#kt_app_main");
            });
            $(document).off('click', '.btn_submit').on('click', '.btn_submit', function (e) {
                e.preventDefault();
                if (!is_data_validated()) {
                    return false;
                }
                var _btn = $(this);
                setBtnLoader(_btn);
                BaseAppAjax.formSubmit('#form_x_attachment', function (response) {
                    resetBtnLoader(_btn);
                    setTimeout(function () {
                        window.location.reload();
                    }, 500);
                    // Display success message
                    toastr.success(response.message);
                    // Perform any necessary actions on success
                }, function () {
                    resetBtnLoader(_btn);
                });
            });
            $(document).off('click', '.btn_reset').on('click', '.btn_reset', function (e) {
                $("#form_x_attachment")[0].reset();
            });
            $(document).off('click', '.btn_delete').on('click', '.btn_delete', function (e) {
                e.preventDefault();
                _options = { 'status': 'warning' };
                var _btn_delete = this;
                initConfirmationDialog(
                    "Are you sure to delete?",
                    function () {
                        XAttachments.deleteXAttachment(_btn_delete);
                    },
                    function () { },
                    _options
                );
            });

        },
        deleteXAttachment: function (selector) { // selector : "#btn_delete"
            BaseAppAjax.ajaxDeleteData(XAttachments.csrf_token, selector, { '_id': $(selector).data('key') },
                function () {
                    setTimeout(function () {
                        window.location.reload();
                    }, 500);
                },
                function () { }
            );
        },
        initForm: function (x_attachment) {

        }
    }
}();
function getFilterOptions() {
    return [];
}
function renderActionItems(row, data) {
    var _edit = ACTIONBUTTON.getEditIconButton({ 'title': 'Edit', 'suffix': '_x_attachment', 'data_key': row['id'], 'data_action': XAttachments.edit_url });
    var _delete = ACTIONBUTTON.getDeleteIconButton({ 'title': 'Delete', 'suffix': '_x_attachment', 'data_key': row['id'], 'data_action': XAttachments.delete_url });
    var action_items = `<div class="btn-group">` + _edit + `` + _delete + `</div>`;
    return action_items;
}

