"use strict";
jQuery(document).ready(function () {
    $('select').each(function (i,v){
        if(!$(v).attr('data-ajax')){
            $(v).select2({placeholder: 'Select option'});
        }else {
            if ($(v).data('params')) {
                var fnRequest = window[$(v).data('params')]
                var fnProcess = window[$(v).data('process')]
                var fnOnSelect = window[$(v).data('onselect')]

                $(v).select2({
                    ajax: {
                        url: $(v).data('ajax-link').toString(),
                        dataType: 'json',
                        delay: 250,
                        type: 'get',
                        data: function (params) {
                            return fnRequest(params);
                        },
                        processResults: function (data, params) {
                            params.page = params.page || 1;

                            return fnProcess(data,params)
                        },
                        cache: true
                    },
                    allowClear: true,
                    placeholder: 'Type to Search/Select option',
                }).on('select2:select', function (e) {
                    var data = e.params.data;
                    if(typeof fnOnSelect != 'undefined') {
                        $(this).children('[value="' + data['id'] + '"]').attr(
                            fnOnSelect(data)
                        );
                    }
                })
            }
        }
    });

    $('.datepicker').datepicker({
        format: 'dd-MM-yyyy'
    })

    $('.menu-nav li').removeClass('active');
    $.each($('.menu-nav li'), function (i) {
        const $url = new URL(window.location.href);

        if ($(this).find('a').attr('href') == $url.pathname) {
            $(this).addClass('menu-item-active');
            $(this).find('a').closest('.menu-item-submenu').show();
            $(this).find('a').closest('.menu-item-submenu').closest('.menu-item').eq(0).closest('.menu-item-submenu').show();
            $(this).find('a').closest('.menu-item-submenu').closest('.menu-item').eq(0).closest('.menu-item-submenu').closest('.menu-item').eq(0).closest('.menu-item-submenu').show();
            $(this).find('a').closest('.menu-item-submenu').closest('.menu-item').eq(0).addClass('open')
            $(this).find('a').closest('.menu-item-submenu').closest('.menu-item').eq(0).closest('.menu-item-submenu').closest('.menu-item').eq(0).addClass('open')
        }
    })
});

function formatOutput(item) {
    var $state = item.text;
    return $state;
}

function getDate(vale){
    var date = new Date(vale);

    return date.getFullYear().toString() + '-' + (date.getMonth() + 1).toString().padStart(2, 0) +
        '-' + date.getDate().toString().padStart(2, 0);;
}

function checkDigitPassword(str){
    return /\d/.test(str);
}

function checkSmallPassword(str){
    return /[a-z]/.test(str);
}

function checkCapsPassword(str){
    return /[A-Z]/.test(str);
}

function checkLengthPassword(str){
    return /.{8,}$/.test(str);
}

function checkPassword(str){
    let valid = true;
    if(checkDigitPassword(str)){
        $('#number').addClass('text-success').removeClass('text-danger');
    }else{
        valid = false;
        $('#number').addClass('text-danger').removeClass('text-success');
    }

    if(checkSmallPassword(str)){
        $('#letter').addClass('text-success').removeClass('text-danger');
    }else{
        valid = false;
        $('#letter').addClass('text-danger').removeClass('text-success');
    }

    if(checkCapsPassword(str)){
        $('#capital').addClass('text-success').removeClass('text-danger');
    }else{
        valid = false;
        $('#capital').addClass('text-danger').removeClass('text-success');
    }

    if(checkLengthPassword(str)){
        $('#length').addClass('text-success').removeClass('text-danger');
    }else{
        valid = false;
        $('#length').addClass('text-danger').removeClass('text-success');
    }

    return valid;
}

function formatDate(val){
    var dateValue = new Date(val);

    return dateValue.getDate() + '/' + (dateValue.getMonth()+1) + '/' + dateValue.getFullYear()
}
