var base_datatable = {
    columns: '',
    table_action_func: '',
    responsive: {
        details: false
    },
    dtable: "",
    table_id: "#data-table",
    action_column_index: 0,
    order_columns: [0, 1],
    table_ajax_url: '',
    initializeDatatable: function () {
        if ($.fn.DataTable.isDataTable(base_datatable.table_id)) {
            base_datatable.dtable.clear().destroy();
        }
        base_datatable.dtable = $(base_datatable.table_id).DataTable({
            responsive: base_datatable.responsive,
            "columns": base_datatable.columns,
            "columnDefs": base_datatable.columnDefs,
            "rowGroup": base_datatable.rowGroup,
            select: base_datatable.select,
            "dom": "<'d-flex justify-content-between extra-field'" +
                "<'d-flex align-items-center justify-content-start'l>" +
                "<'d-flex align-items-center justify-content-start'f>" +
                "<'d-flex align-items-center justify-content-start'i>" +
                "<'d-flex align-items-center justify-content-end'p>" +
                ">" +
                "<'table-responsive'tr>",
            renderer: 'bootstrap',
            colReorder: false,
            searching: true,
            ordering: false,
            // order: [],
            // fixedHeader: true,
            lengthMenu: [[10, 25, 50, 100, -1], [10, 25, 50, 100, 'All']],
            "processing": true,
            "serverSide": true,
            ajax: {
                'url': base_datatable.table_ajax_url,
                'data': { filter_options: getFilterOptions() }
            },
            template: '#customForm',
            fnInitComplete: function () { },
            fnDrawCallback: function () {
                base_datatable.addFooterRow();
                $('a').tooltip();
                var api = this.api();
                var table_data = api.rows({ page: 'current' }).data();
                if (typeof customizeRows != 'undefined') {
                    customizeRows(table_data);
                }
            }
        });
        var select_columns = $(".select-columns").html();
        $("div.d-cols").html(select_columns);
        var export_buttons = $(".dummy-export-btn-group").html();
        $("div.d-buttons").html(export_buttons);
        base_datatable.prepareColumnAndSortList();
    },
    addFooterRow: function () {

    },
    prepareColumnAndSortList: function (col_checkbox) {
        if (col_checkbox) {
            if (col_checkbox.is(":checked")) {
                $('.table-dynamic-column input[name=\"' + col_checkbox.attr('name') + '\"]').attr('checked', 'checked');
            }
            else {
                $('.table-dynamic-column input[name=\"' + col_checkbox.attr('name') + '\"]').attr('checked', false);
            }
        }
    },
    reloadTable: function (callback) {
        if (!base_datatable.columns) {
            base_datatable.columns = [];
        }
        if (!base_datatable.select) {
            base_datatable.select = [];
        }
        if (!base_datatable.columnDefs) {
            base_datatable.columnDefs = [
                { 'visible': false, 'targets': 1, 'searchable': false, 'orderable': false },
                { className: "align-middle", "targets": "_all" },
                {
                    render: (data, type, row) => {
                        const actionItems = renderActionItems(row, data);
                        if (actionItems) {
                            return actionItems;
                        } else {
                            return data;
                        }
                    },
                    targets: (base_datatable.columns.length - 1)
                },
            ]
        }
        var elem = $('.table-dynamic-column input:checked');
        if ($.fn.DataTable.isDataTable(base_datatable.table_id)) {
            elem = $(".d-cols").find('.table-dynamic-column input:checked');
        }
        base_datatable.table_action_func = callback;
        base_datatable.initializeDatatable();
    }
};

$(document).off('click', ".btn-filter-column").on("click", ".btn-filter-column", function () {
    base_datatable.reloadTable();
});
$(document).off('click', '.table-dynamic-column input').on("click", '.table-dynamic-column input', function () {
    base_datatable.prepareColumnAndSortList($(this));
});
$(document).off('click', ".btn-export-excel").on("click", ".btn-export-excel", function () {
    base_datatable.dtable.button('.buttons-excel').trigger();
});
$(document).off('click', ".btn-export-pdf").on("click", ".btn-export-pdf", function () {
    base_datatable.dtable.button('.buttons-pdf').trigger();
});
$(window).scroll(function () {
    if ($(base_datatable.table_id).parent().width() < $(base_datatable.table_id).width()) {
        $(".fixedHeader-floating").hide()
    } else {
        $(".fixedHeader-floating").show();
    }
});
$(document).on('click', '.selectAll', function () {
    $('.selecthis').prop('checked', this.checked);
});
