var HELPER_AJAX = {
    IS_ONLINE: 0,
    APP_XHR: null,
    AJAX_CONTENT_HOLDER: "#ajax-content",
    AJAX_LOADER: "#ajax-loader",
    APP_URL_ROOT: "",

    ajax_start: function () {
        $(this.AJAX_LOADER).show();
        $("#modal_loader").show();
        $('button[type=submit]').attr('disabled', true);
    },
    ajax_stop: function () {
        $(this.AJAX_LOADER).hide();
        $("#modal_loader").hide();
        $('button[type=submit]').attr('disabled', false);
    },
    ajax_error: function (status, errorThrown) {
        this.ajax_stop();
        if (status == 403 || status == 401) {
            // toastr.error('সেশন টাইম আউট  হয়েছে । \n' + 'অনুগ্রহ করে আবার লগইন করুন');
            toastr.error('Session Timme Out');
            //location.href = window.location.href.match(/^.*\//) + 'logout';
            setTimeout(function () {
                $(".btn_logout").trigger('click');
            }, 100);
        } else if (status == 404) {
            toastr.error("Requested uri not found in the server.");
        } else {
            console.debug("Status: " + status + ".\n" + errorThrown);
            // toastr.error('দুঃখিত! এই মুহূর্তে আপনার কাজটি সম্পন্ন করা যায়নি। দয়া করে পুনরায় চেষ্টা করুন।');
            // KTApp.unblock();
        }
    },

    ajaxSubmitDataAsyncCallback: function (url, data, datatype, callback) {
        url = this.APP_URL_ROOT + url;
        var request = serializeJsonRequest(url, data);
        if (this.APP_XHR)
            this.APP_XHR.abort();
        this.APP_XHR = $.ajax({
            async: true,
            type: "POST",
            url: url,
            dataType: datatype,
            data: data,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            beforeSend: function (jqXHR) {
                HELPER_AJAX.ajax_start();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                HELPER_AJAX.ajax_error(jqXHR.status, errorThrown);
            },
            success: function (data, textStatus) {
                HELPER_AJAX.ajax_stop();
                callback(data);
            }
        });
    },
    ajaxSubmitDataCallback: function (url, data, datatype, callback) {
        url = this.APP_URL_ROOT + url;
        var request = serializeJsonRequest(url, data);
        if (this.APP_XHR)
            this.APP_XHR.abort();
        this.APP_XHR = $.ajax({
            async: false,
            type: "POST",
            url: url,
            dataType: datatype,
            data: data,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            beforeSend: function (jqXHR) {
                HELPER_AJAX.ajax_start();
            },
            error: function (jqXHR, textStatus, errorThrown) {
                HELPER_AJAX.ajax_error(jqXHR.status, errorThrown);
            },
            success: function (data, textStatus) {
                HELPER_AJAX.ajax_stop();
                callback(data);
            }
        });
    },
};
$(window).resize(function () {
    //HELPER_AJAX.onLoadSelect2Width();
})

function serializeJsonRequest(url, data) {
    var serialized = {
        url: url,
        data: data
    };
    return JSON.stringify(serialized);
}
function saveJsonResponse(request, response, store) {
    var entry = {
        key: request,
        response: response,
        timestamp: Date.now()
    };
    store
        .add(entry)
        .catch(function (error) {
            store.update(entry.key, entry).catch(function (err) {
                console.log(err);
            });
        });

}

function getJsonResponse(request, store) {
    return store.get(request)
        .then(function (data) {
            if (data) {
                res = data.response;
            } else {
                res = new Response('', { status: 503, statusText: 'Service Unavailable' });
                toastr.error('দুঃখিত! অফলাইন এ সংরক্ষিত কোনো তথ্য পাওয়া যায়নি।');
            }
            return Promise.resolve(res);
        });
}

function filteredKeyValuePairs(data) {
    var keyValuePairs = data.split('&');
    var filteredKeyValuePairs = keyValuePairs.filter(function (keyValuePair) {
        var pair = keyValuePair.split('=');
        return pair[1] !== null && pair[1] !== undefined && pair[1] !== '';
    });
    return filteredKeyValuePairs.join('&');
}
