@extends('layouts.master')
@section('content')
    <div class="card card-flush overflow-hidden h-md-100 rounded-0">
        @if ($errors->any())
            @php
                $errors = $errors->all();
            @endphp
            <div
                class="alert alert-dismissible {{ $errors[0] === RESPONSE_STATUS_SUCCESS ? 'bg-success' : 'bg-danger' }} d-flex flex-column flex-sm-row rounded-0">
                <i class="ki-duotone ki-notification-bing fs-2hx text-light me-4 mb-5 mb-sm-0"><span
                        class="path1"></span><span class="path2"></span><span class="path3"></span></i>
                <div class="d-flex flex-column text-light pe-0 pe-sm-10">
                    <h4 class="mb-2 text-light">{{ $errors[0] === RESPONSE_STATUS_SUCCESS ? 'Success!' : 'Error!' }}
                    </h4>
                    <h3 class="text-light">{{ $errors[1] }}</h3>
                </div>
                <button type="button"
                    class="position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto"
                    data-bs-dismiss="alert">
                    <i class="ki-duotone ki-cross fs-1 text-light">
                        <span class="path1"></span><span class="path2"></span>
                    </i>
                </button>
            </div>
        @endif
        <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
            <div class="d-flex flex-column align-items-center flex-row-fluid">
                <div class="d-flex justify-content-center gap-3">
                    <div id="kt_app_content" class="app-content flex-column-fluid text-center">
                        <div id="kt_app_content_container" class="app-container container-xxl">
                            <h2 class="fs-1 fw-bold mb-3">{{ __('Two-factor Authentication') }}</h2>
                            <p class="text-danger fs-5 fw-semibold mb-4">
                                {{ __('Please scan the QR code below with your "Google Authenticator" app and enter the 6-digit code.') }}
                            </p>

                            @if (empty($google2fa_secret))
                                <div class="mb-5">
                                    {!! $QR_Image !!}
                                </div>
                                <form method="POST" action="{{ route('enable2fa') }}">
                                    @csrf
                                    <input type="hidden" name="secret" value="{{ $secret }}">
                                    <div class="mb-3">
                                        <input type="text" name="one_time_password"
                                            class="form-control text-center fs-4 rounded-0" placeholder="Enter 6-digit code"
                                            required>
                                    </div>
                                    <button type="submit"
                                        class="btn btn-primary w-100 fs-5 py-3 rounded-0">{{ __('Enable Two-factor Authentication') }}</button>
                                </form>
                            @else
                                <form method="POST" action="{{ route('enable2fa') }}">
                                    @csrf
                                    <input type="hidden" name="secret">
                                    <div class="mb-3">
                                        <input type="text" name="one_time_password"
                                            class="form-control text-center fs-4 rounded-0" placeholder="Enter 6-digit code"
                                            required>
                                    </div>
                                    <button type="submit"
                                        class="btn btn-danger w-100 fs-5 py-3 rounded-0">{{ __('Disable Two-factor Authentication') }}</button>
                                </form>
                            @endif
                        </div>
                        <div class="text-center mt-4">
                            <img src="assets/media/illustrations/sketchy-1/4.png" alt=""
                                class="mw-100 h-200px h-sm-325px" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
