@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="col-md-12">
            @if ($errors->any())
                @php
                    $errors = $errors->all();
                @endphp
                <div
                    class="alert alert-dismissible {{ $errors[0] === RESPONSE_STATUS_SUCCESS ? 'bg-success' : 'bg-danger' }} d-flex flex-column flex-sm-row">
                    <i class="ki-duotone ki-notification-bing fs-2hx text-light me-4 mb-5 mb-sm-0"><span
                            class="path1"></span><span class="path2"></span><span class="path3"></span></i>
                    <div class="d-flex flex-column text-light pe-0 pe-sm-10">
                        <h4 class="mb-2 text-light">{{ $errors[0] === RESPONSE_STATUS_SUCCESS ? 'Success!' : 'Error!' }}
                        </h4>
                        <h3 class="text-light">{{ $errors[1] }}</h3>
                    </div>
                    <button type="button"
                        class="position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto"
                        data-bs-dismiss="alert">
                        <i class="ki-duotone ki-cross fs-1 text-light">
                            <span class="path1"></span><span class="path2"></span>
                        </i>
                    </button>
                </div>
            @endif
            <div class="card mb-4">
                <div class="card-header bg-info text-white text-center"
                    style="height: 100px; display: flex; align-items: center; justify-content: center;">
                    <h2 class="fw-bold mb-0 text-white">{{ __('Verify Two-factor authentication') }}</h2>
                </div>
                <div class="card-body">
                    <div class="row g-3">
                        <form method="POST" action="{{ route('verify2fa') }}">
                            @csrf
                            <div class="mb-10">
                                <input type="text" name="one_time_password"
                                    class="form-control text-center fs-4 rounded-0" placeholder="Enter 6-digit code"
                                    required>
                            </div>
                            <div class="text-center">
                                <button type="submit"
                                    class="btn btn-info btn-active-info w-100 fs-5 py-3 rounded-0">{{ __('Verify') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
