@extends('layouts.master')
@section('content')
<div class="card card-flush overflow-hidden h-md-100 rounded-0">
    <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
        <div class="d-flex flex-column content-justify-center flex-row-fluid">
            <div class="table-responsive w-100">
                <table class="table table-bordered gy-3 gs-3" id="user_role_list_table">
                    <thead class="py-5 fw-bold table-bordered fs-4 text-white bg-secondary">
                        <tr>
                            <th>{{ __('SL') }}</th>
                            <th>{{ __('ID') }}</th>
                            <th>{{ __('Business Type') }}</th>
                            <th>{{ __('Role Name') }}</th>
                            <th>{{ __('Role Title') }}</th>
                            <th>{{ __('Level') }}</th>
                            <th>{{ __('Action') }}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@push('js')
<script src="{{ asset('/js/base_data_table.js') }}"></script>
<script src="{{ asset('/assets/js/custom/ApplicationConfiguration/user_role.js') }}"></script>
<script>
    "use strict";
    $(document).ready(function() {
        UserRoles.init('{{ csrf_token() }}', "{{ route('data.user.role') }}", "{{ route('setup.user.role') }}", "{{ route('setup.user.role') }}", "{{ route('delete.user.role', ['id' => ':id']) }}");
    });
</script>
@endpush
