@extends('layouts.title_ajax')
@section('content')
    <div class="card card-custom border">
        {!! html()->form('POST', route('setup.user.role'))->id('form_user_role')->open() !!}
        @csrf
        <div class="card-body">
            <div class="row mb-2">
                <div class="col-md-6">
                    <label for="entity_type_id"
                        class=" col-form-label-lg fw-semibold">{{ __('Select Business Type') }}</label>
                    {!! html()->select('entity_type_id')->options(['' => '---Select---'] + $entity_types)->class('form-control form-control-solid rounded-0')->attribute('data-control', 'select2')->value($entity_type_role['entity_type_id'] ?? null) !!}
                </div>
                <div class="col-md-6">
                    <label for="role_name" class=" col-form-label-lg fw-semibold">{{ __('Role Name') }}</label>
                    {!! html()->text('role_name')->class('form-control form-control-solid rounded-0')->required()->value($entity_type_role['role_name'] ?? null) !!}
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-md-6">
                    <label for="role_title" class=" col-form-label-lg fw-semibold">{{ __('Role Title') }}</label>
                    {!! html()->text('role_title')->class('form-control form-control-solid rounded-0')->required()->value($entity_type_role['role_title'] ?? null) !!}
                </div>
                <div class="col-md-6">
                    <label for="level" class=" col-form-label-lg fw-semibold">{{ __('Level') }}</label>
                    {!! html()->input('number', 'level')->class('form-control form-control-solid rounded-0')->required()->value($entity_type_role['number'] ?? null) !!}
                </div>
            </div>
        </div>
        @if (!empty($entity_type_role))
            {!! html()->hidden('type', $entity_type_role['id']) !!}
            {!! html()->hidden('id', $entity_type_role['id']) !!}
        @endif
        {!! html()->form()->close() !!}
    </div>
@endsection
<script></script>
@push('js')
@endpush
