<div class="container">
    {{ Form::model($xHoliday, ['url' => route('save.holiday'), 'method' => 'post', 'id' => 'form_holiday']) }}
    <div class="card card-custom border mt-5">
        @csrf
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group row">
                        {{ Form::hidden('id', $xHoliday->id) }}
                        <label for="holiday_type"
                            class="col-md-3 col-form-label text-md-right">{{ __('Holiday Type') }}</label>
                        <div class="col-md-8">
                            {{ Form::select(
                                'holiday_type',
                                [
                                    0 => '---Select---',
                                    'Govt. Holiday' => 'Govt. Holiday',
                                    'Christmas Day' => 'Christmas Day',
                                    'New Year' => 'New Year',
                                ],
                                null,
                                ['class' => 'form-control form-control-solid'],
                            ) }}
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group row">
                        <label for="date"
                            class="col-md-3 col-form-label text-md-right">{{ __('Date of Holiday') }}</label>
                        <div class="col-md-8">
                            {{ Form::date('date', null, ['class' => 'form-control form-control-solid', 'required' => true, 'id' => 'holiday_date', 'pattern' => '\d{4}-\d{2}-\d{2}',]) }}
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group row">
                        <label for="year" class="col-md-3 col-form-label text-md-right">{{ __('Year') }}</label>
                        <div class="col-md-8">
                            {{ Form::selectRange('year', date('Y') - 10, date('Y') + 10, null, ['class' => 'form-control form-control-solid', 'required' => true, 'placeholder' => 'Select Year', 'id' => 'year']) }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('assets/js/custom/xHolidays/holiday.js') }}"></script>
<script>
    $(document).ready(function() {
        XHoliday.save_url = '{{ route('save.holiday') }}';
    });
    $('.btn_holiday_form_submit').on('click', function(e) {
        XHoliday.save(e);
    });

    $(document).ready(function() {
        // Event listener for date field
        $('#holiday_date').change(function() {
            var selectedDate = new Date($(this).val());
            var selectedYear = selectedDate.getFullYear();
            $('#year').val(selectedYear);
        });
    });
</script>
