@extends('layouts.title_ajax')
@section('content')
    <div class="card card-custom border">
        {!! html()->form('POST', route('save.holiday'))->id('form_holiday')->open() !!}
        <div class="card-body">
            <div class="row mb-6">
                <div class="col-md-2">
                    <label for="holiday_type" class=col-form-label-lg fw-semibold>{{ __('Holiday Type') }}</label>
                </div>
                <div class="col-md-9">
                    {!! html()->select('holiday_type', [
                            0 => '---Select---',
                            'Govt. Holiday' => 'Govt. Holiday',
                            'Christmas Day' => 'Christmas Day',
                            'New Year' => 'New Year',
                        ])->class('form-control form-control-solid rounded-0')->attribute('data-control', 'select2')->value(isset($xHoliday->holiday_type) ? $xHoliday->holiday_type : 0) !!}
                </div>
            </div>
            <div class="row mb-6">
                <div class="col-md-2">
                    {!! html()->label(__('Date of Holiday'), 'date')->class('col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->text('date', isset($xHoliday->date) ? $xHoliday->date->format('d-M-Y') : null)->class('form-control form-control-solid rounded-0 datepicker')->attribute('required', true)->attribute('pattern', '\d{4}-\d{2}-\d{2}') !!}
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    {!! html()->label(__('Year'), 'year')->class('col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->select('year', range(date('Y') - 10, date('Y') + 10), null)->class('form-control form-control-solid rounded-0')->attribute('required', true)->placeholder('Select Year')->id('year')->attribute('data-control', 'select2')->value(isset($xHoliday->year) ? $xHoliday->year : '') !!}
                </div>
            </div>
        </div>
        @if (!empty($xHoliday))
            {!! html()->hidden('type', $xHoliday['id']) !!}
            {!! html()->hidden('id', $xHoliday['id']) !!}
        @endif
        {!! html()->form()->close() !!}
    </div>
@endsection
@push('js')
    <script>
        $(document).ready(function() {
            $('#holiday_date').change(function() {
                var selectedDate = new Date($(this).val());
                var selectedYear = selectedDate.getFullYear();
                $('#year').val(selectedYear);
            });
        });
    </script>
