@extends('layouts.app')
@section('content')
    <div class="card">
        <div class="card-body p-0">
            @if (session('success'))
                <div class="alert alert-success alert-dismissible">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>Success!</strong> {{ session('success') }}
                </div>
            @endif
            @if (session('error'))
                <div class="alert alert-danger alert-dismissible">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>Danger!</strong> {{ session('error') }}
                </div>
            @endif
            <div class="d-flex flex-column content-justify-center flex-row-fluid">
                <div class="row">
                    <div class="col-sm-12 m-4">
                        <div class="form-group">
                            <div class="input-group" style="width: 98%">
                                <input type="text" class="form-control form-control-solid rounded-0" id="inputCommand"
                                    placeholder="Run Artisan Command Without 'php artisan' e.g: list">
                                <div class="btn-group">
                                    <button class="btn btn-primary btn-sm rounded-0 btnRun">{{ __('Run') }}</button>
                                    <button class="btn btn-danger btn-sm rounded-0 btnClear">{{ __('Clear') }}</button>
                                </div>
                            </div>
                            <span
                                class="form-text text-muted">{{ __("Run Artisan Command Without 'php artisan' e.g:list") }}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body p-0">
            <div class="row">
                <div class="col-sm-12 m-4" id="msgPlaceholder"></div>
            </div>
        </div>
    </div>
@endsection
@push('js')
    <script>
        $(document).off("click", ".btnRun").on("click", ".btnRun", function(e) {
            e.preventDefault();
            $.ajax({
                url: "{{ route('artisan') }}",
                type: 'GET',
                dataType: 'json',
                data: {
                    command: $("#inputCommand").val()
                },
                success: function(response) {
                    $("#msgPlaceholder").append("<hr style='width: 90%'><strong>Command: " + $(
                        "#inputCommand").val() + "</strong></br>")
                    if (!response.error) {
                        $("#msgPlaceholder").append(response.data);
                    } else {
                        errorsHtml = '<div class="text-danger">';
                        errorsHtml += response.msg;
                        errorsHtml += '</div>';
                        $("#msgPlaceholder").append(errorsHtml);
                    }
                },
                error: function(response) {
                    $("#msgPlaceholder").append("<hr><strong>Command: " + $("#inputCommand").val() +
                        "</strong></br>")
                    var errors = response.responseJSON;
                    errorsHtml = '<div class="text-danger"><ul>';
                    $.each(errors, function(k, v) {
                        if (k == 'trace') {
                            return true;
                        }
                        errorsHtml += '<li>' + k + ': ' + v + '</li>';
                    });
                    errorsHtml += '</ul></div>';
                    $('#msgPlaceholder').append(errorsHtml);
                },
            });
        })
        $(document).off("click", ".btnClear").on("click", ".btnClear", function(e) {
            e.preventDefault();
            $("#inputCommand").val('');
            $("#msgPlaceholder").html('');
        })
    </script>
@endpush
