@extends('layouts.login')
@section('content')
    <div id="kt_login">
        <div class="d-flex flex-center flex-column flex-lg-row-fluid">
            <div class="w-lg-500px p-5">
                {!! html()->form('POST', route('login'))->attribute('class', 'form w-100 fv-plugins-bootstrap5 fv-plugins-framework')->attribute('id', 'kt_sign_in_form')->attribute('data-kt-redirect-url', '/dashboard')->open() !!}
                @csrf
                <div class="text-center pb-8">
                    <a href="/" class="text-center mb-10 d-block"><img src="{{ asset('img/login_logo.png') }}"
                            alt="Application Logo"></a>
                </div>
                <div class="pt-lg-0 pt-5">
                    <h3 class="font-weight-bolder text-dark font-size-h4 font-size-h1-lg">
                        <?= __('Sign In') ?></h3>
                    <p class="text-muted font-weight-bold font-size-h4 field-forgot">
                        <?= __('Enter your username and password') ?></p>
                </div>
                @if (session()->has('login_error'))
                    <div class="alert alert-danger">
                        {{ session('login_error') }}
                    </div>
                    @php session()->forget('login_error') @endphp
                @endif
                <div class="fv-row mb-8 fv-plugins-icon-container fv-plugins-bootstrap5-row-valid">
                    {!! html()->text('username', null)->attribute('class', 'form-control form-control-solid form-control form-control-solid-solid h-auto fs-4 rounded-0')->attribute('autocomplete', 'off')->attribute('placeholder', 'Login ID') !!}
                    <div class="fv-plugins-message-container invalid-feedback"></div>
                </div>
                <div class="fv-row mb-8 fv-plugins-icon-container fv-plugins-bootstrap5-row-valid">
                    <div class="d-flex flex-stack flex-wrap gap-3 fw-semibold mb-2 fs-5">
                        <div></div>
                        <a href="{{ config('api.url') }}" class="link-primary fs-4 mb-1"
                            id="kt_login_forgot">{{ __('Forgot Password?') }}</a>
                    </div>
                    <div class="input-group">
                        {!! html()->password('password')->attribute('class', 'form-control form-control-solid form-control form-control-solid-solid h-auto fs-4 rounded-0')->attribute('autocomplete', 'off')->attribute('placeholder', 'Password')->attribute('id', 'passwordInput') !!}
                        <button type="button" id="togglePassword" class="btn btn-light">
                            <i id="passwordIcon" class="far fa-eye"></i>
                        </button>
                    </div>

                    <div class="fv-plugins-message-container invalid-feedback"></div>
                    <div class="fv-plugins-message-container invalid-feedback"></div>
                </div>

                <div class="d-grid mb-10">
                    <label for="remember" class="form-check form-check-custom form-check-solid">
                        {!! html()->checkbox('remember')->class('form-check-input')->id('remember')->checked(old('remember')) !!}
                        <span class="form-check-label fw-semibold text-muted">
                            {{ __('Remember Password') }}
                        </span>
                    </label>
                </div>
                <div class="d-grid mb-10">
                    {!! html()->submit('Sign In')->attribute('class', 'btn btn-primary btn-lg rounded-0 indicator-label fw-bolder fs-3')->attribute('id', 'kt_sign_in_submit') !!}
                    <span class="indicator-progress">
                        {{ __('Please wait...') }} <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                    </span>
                </div>
                <div class="d-grid text-center">
                    <span class="fs-3"> {{ __("Don't have an account? ") }} <a href="{{ route('login') }}">
                            <u>{{ __('Register') }}</u></a></span>
                </div>
                {!! html()->form()->close() !!}
            </div>
        </div>

        <div class="d-flex flex-center flex-column flex-lg-row-fluid login-form login-forgot d-none">
            <div class="w-lg-500px p-5">
                {!! html()->form('POST', url('/forgetPassword'))->attribute('id', 'kt_login_forgot_form')->attribute('class', 'form w-100 fv-plugins-bootstrap5 fv-plugins-framework')->open() !!}
                @csrf
                <div class="text-center pb-8">
                    <a href="/" class="text-center mb-10 d-block"><img src="{{ asset('img/login_logo.png') }}"
                            alt="Application Logo"></a>
                </div>
                <div class="pt-lg-0 pt-5">
                    <h3 class="font-weight-bolder text-dark font-size-h4 font-size-h1-lg">
                        <?= __('Forgotten Password?') ?></h3>
                    <p class="text-muted font-weight-bold font-size-h4 field-forgot">
                        <?= __('Enter your username email to reset your password') ?></p>
                    <p class="text-muted font-weight-bold font-size-h4 field-verification d-none">
                        <?= __('Enter verification code that sends to your email') ?></p>
                </div>
                <div class="form-group fv-plugins-icon-container field-forgot mb-5">
                    {!! html()->input('text', 'reset_username')->class('form-control form-control-solid h-auto rounded-lg font-size-h6 rounded-0 mb-10')->placeholder('Username')->attribute('autocomplete', 'off') !!}
                    <div class="fv-plugins-message-container"></div>
                </div>

                <div class="form-group fv-plugins-icon-container field-forgot">
                    {!! html()->input('email', 'reset_email')->class('form-control form-control-solid h-auto rounded-lg font-size-h6 rounded-0')->placeholder('Email')->attribute('autocomplete', 'off') !!}
                    <div class="fv-plugins-message-container"></div>
                </div>
                <div class="form-group fv-plugins-icon-container field-verification d-none">
                    {!! html()->input('text', 'verification_code')->class('form-control form-control-solid h-auto rounded-lg font-size-h6 rounded-0')->placeholder('Verification Code')->attribute('autocomplete', 'off') !!}
                    <div class="fv-plugins-message-container"></div>
                </div>
                <div class="btn-group d-flex mb-5 mt-10">
                    <span class="field-verification remaining-time d-none px-5">
                        {{ __('Remaining Time') }}<p class="fw-bolder" id="timer">00:00:00</p>
                    </span>
                    {!! html()->button(__('Resend'))->type('button')->id('kt_login_resend_code')->class('d-none btn btn-primary fw-bolder rounded-0 fs-5') !!}
                    {!! html()->button(__('Submit'))->type('submit')->id('kt_login_forgot_submit')->class('btn btn-primary fw-bolder rounded-0 fs-5') !!}
                    {!! html()->button(__('Cancel'))->type('button')->id('kt_login_forgot_cancel')->class('btn btn-danger fw-bolder rounded-0 fs-5') !!}
                </div>
                {!! html()->form()->close() !!}
            </div>
        </div>
    </div>
@endsection
@push('js')
    <script>
        var LoginForm = {
            email: '',
            username: '',
            time_interval: null,
        }

        function validForm() {
            var emailRegex = /^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}$/i;
            var email = $('[name="reset_email"]').val();
            var user_name = $('[name="reset_username"]').val();
            if (user_name == '') {
                toastr.error('Please enter a Username.');
                return false;
            }
            if (email == '') {
                toastr.error('Please enter a email address.');
                return false;
            }
            if (!emailRegex.test(email)) {
                toastr.error('Please enter a valid email address.');
                return false;
            }
            return true;
        }

        $("#kt_login_forgot_submit, #kt_login_resend_code").click(function(e) {
            e.preventDefault();
            if ($('.field-verification').hasClass('d-none')) {
                getEmailVerificationPass();
            } else if (!$('remaining-time').hasClass('d-none')) {
                verifyCode();
            }
        });

        function getEmailVerificationPass() {
            if (validForm()) {
                LoginForm.email = $('[name="reset_email"]').val();
                LoginForm.username = $('[name="reset_username"]').val();
                $.ajax({
                    url: "{{ route('forget_password') }}", // URL to the save route
                    type: 'POST',
                    data: {
                        'email': LoginForm.email,
                        'username': LoginForm.username,
                        '_token': "{{ csrf_token() }}",
                    },
                    success: function(response) {
                        if (response.status == "success") {
                            toastr.success(response.message);
                            $('.field-verification').removeClass('d-none');
                            $('.field-forgot').addClass('d-none');
                            $('#kt_login_resend_code').addClass('d-none');
                            $('[name="verification_code"]').prop('disabled', false);
                            validationCodeTimer(parseInt(response.data));
                        } else {
                            toastr.error(response.message);
                        }
                    },
                    error: function(xhr, status, error) {
                        // Display an error message or perform any necessary actions
                        toastr.error('An error occurred.');
                    }
                });
            }
        }

        function verifyCode() {
            var pattern = /^[0-9]{6}$/;
            var verification_code = $('[name="verification_code"]').val();
            if (verification_code !== '' && pattern.test(verification_code)) {
                $.ajax({
                    url: "{{ route('verify_email_code') }}", // URL to the save route
                    type: 'POST',
                    data: {
                        '_token': "{{ csrf_token() }}",
                        'email': LoginForm.email,
                        'username': LoginForm.username,
                        'verification_code': verification_code,
                    },
                    success: function(response) {
                        if (response.status == "success") {
                            toastr.success(response.message);
                            autoLogin(response.data);
                        } else {
                            toastr.error(response.message);
                        }
                    },
                    error: function(xhr, status, error) {
                        // Display an error message or perform any necessary actions
                        toastr.error('An error occurred.');
                    }
                });
            } else {
                toastr.error('Please enter 6 digit verification code');
            }
        }

        function autoLogin(data) {

            var form_data = jsonToFormData(data);
            $.ajax({
                url: "{{ route('auto_login') }}", // URL to the save route
                type: 'POST',
                data: {
                    '_token': "{{ csrf_token() }}",
                    'username': data,
                },
                success: function(response) {
                    if (response.status == "success") {
                        toastr.success(response.message);
                        window.location.href = "{{ route('home') }}";
                    } else {
                        toastr.error(response.message);
                    }
                },
                error: function(xhr, status, error) {
                    // Display an error message or perform any necessary actions
                    toastr.error('An error occurred.');
                }
            });
        }

        function jsonToFormData(json) {
            const formData = new FormData();

            for (let key in json) {
                if (json.hasOwnProperty(key)) {
                    formData.append(key, json[key]);
                }
            }

            return formData;
        }

        function validationCodeTimer(timerDuration) {
            $('.remaining-time').removeClass('d-none');
            $('#kt_login_resend_code').addClass('d-none');

            // Calculate hours, minutes, and seconds
            var hours = Math.floor(timerDuration / 3600);
            var minutes = Math.floor((timerDuration % 3600) / 60);
            var seconds = timerDuration % 60;
            // Display initial timer value
            $('#timer').text(formatTime(hours) + ':' + formatTime(minutes) + ':' + formatTime(seconds));

            // Clear any existing timer interval
            clearInterval(LoginForm.time_interval);
            // Start the timer
            LoginForm.time_interval = setInterval(function() {
                // Decrement the timer duration
                timerDuration--;

                // Calculate hours, minutes, and seconds
                var hours = Math.floor(timerDuration / 3600);
                var minutes = Math.floor((timerDuration % 3600) / 60);
                var seconds = timerDuration % 60;

                // Display the updated timer value
                $('#timer').text(formatTime(hours) + ':' + formatTime(minutes) + ':' + formatTime(seconds));

                // Check if the timer has reached 0
                if (timerDuration <= 0) {
                    clearInterval(LoginForm.time_interval);
                    $('#kt_login_resend_code').removeClass('d-none');
                    $('.remaining-time').addClass('d-none');
                    $('[name="verification_code"]').prop('disabled', true);
                }
            }, 1000);
        }
        // Function to format time values with leading zeros
        function formatTime(time) {
            return ('0' + time).slice(-2);
        }
    </script>
@endpush
