@extends('layouts.login')

@section('content')
    <div id="kt_login">
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <!--begin::ForgotPassword-->
        <div class="d-flex flex-center flex-column flex-lg-row-fluid" id="">
            <div class="login-form login-forgot w-lg-500px p-10">
                <!--begin::Form-->
                {!! Form::open([
                    'method' => 'POST',
                    'accept-charset' => 'utf-8',
                    'id' => 'kt_login_forgot_form',
                    'class' => 'form w-100 fv-plugins-bootstrap5 fv-plugins-framework ',
                    'route' => 'password.email',
                ]) !!}
                <div style="display:none;">
                    {{-- {!! Form::token() !!} --}}
                </div>
                <!--begin::Title-->
                <div class="text-center pb-8">
                    <a href="/" class="text-center mb-10 d-block"><img src="{{ asset('img/app.png') }}"
                            alt="Logo"></a>
                    <h2 class="fw-bolder text-dark fs-1">{{ __('Forgotten Password') }}</h2>
                </div>
                <div class="pb-13 pt-lg-0 pt-5">
                    <h3 class="font-weight-bolder text-dark font-size-h4 font-size-h1-lg">{{ __('Forgotten Password ?') }}
                    </h3>
                    <p class="text-muted font-weight-bold font-size-h4">{{ __('Enter your email to reset your password') }}
                    </p>
                </div>
                <!--end::Title-->
                <!--begin::Form group-->
                <div class="form-group fv-plugins-icon-container">
                    {!! Form::email('username', old('email'), [
                        'class' =>
                            'form-control form-control-solid form-control form-control-solid-solid h-auto py-7 px-6 rounded-lg font-size-h6' .
                            ($errors->has('email') ? ' is-invalid' : ''),
                        'id' => 'email',
                        'required' => 'required',
                        'autocomplete' => 'email',
                        'autofocus' => 'autofocus',
                    ]) !!}

                    <div class="fv-plugins-message-container"></div>
                </div>
                <!--end::Form group-->
                <!--begin::Form group-->
                <div class="form-group d-flex flex-end pb-lg-0">
                    {!! Form::submit('Submit', [
                        'class' => 'btn btn-primary fw-bolder rounded-0 fs-h6 px-8 py-4 my-3 mr-4',
                        'id' => 'kt_login_forgot_submit',
                    ]) !!}
                    <a href="/"
                        class="btn btn-light-primary fw-bolder rounded-0 fs-h6 px-8 py-4 m-3">{{ __('Cancel') }}</a>
                </div>
                <!--end::Form group-->
                <div></div>
                {!! Form::close() !!}

                <!--end::Form-->
            </div>
        </div>
        <!--end::ForgotPassword-->
    </div>
@endsection

{{-- <div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Reset Password') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <form method="POST" action="{{ route('password.email') }}">
                        @csrf

                        <div class="row mb-3">
                            <label for="email" class="col-md-4 col-form-label-lg fw-semibold text-md-end">{{ __('Email Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control form-control-solid @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Send Password Reset Link') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div> --}}
