@extends('layouts.master')
@section('content')

<div class="container-fluid mt-5">
    <!-- Customer Search Section -->
    <div class="card w-100">
        <div class="card-header bg-primary text-white rounded-0">
            <h3 class="text-white mt-2">Customer Details</h3>
        </div>
        <div class="card-body">
            <!-- Account Details -->
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Customer Name:</strong> {{ $customer['ac_name'] }}
                </div>
                <div class="col-md-6">
                    <strong>Account Number:</strong> {{ $customer['ac_number'] }}
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Branch Name:</strong> {{ $customer['branch_name'] }}
                </div>
                <div class="col-md-6">
                    <strong>Account Opening Date:</strong>
                    {{ $customer['created_at'] }}
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Account Status:</strong> {{ $customer['acc_status'] }}
                </div>
                <div class="col-md-6">
                    <strong>Cust ID:</strong> {{ $customer['cust_id'] }}
                </div>
            </div>

            <!-- Personal Details -->
            <hr>
            <h5>Personal Information</h5>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Father's Name:</strong> {{ $customer['father_name'] }}
                </div>
                <div class="col-md-6">
                    <strong>Mother's Name:</strong> {{ $customer['mother_name'] }}
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Mobile Number:</strong> {{ $customer['phone'] }}
                </div>
                <div class="col-md-6">
                    <strong>Email:</strong> {{ $customer['email'] }}
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Date Of Birth:</strong> {{ $customer['dob'] }}
                </div>
                <div class="col-md-6">
                    <strong>National ID (NID):</strong> {{ $customer['nid'] }}
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Marital Status:</strong> {{ $customer['marital_status'] }}
                </div>
                <div class="col-md-6">
                    <strong>Occupation:</strong> {{ $customer['occupation'] }}
                </div>
            </div>

        </div>
    </div>


    @if (isset($_GET['screening']) && $_GET['screening'] === 'true')
     <div class="text-center mt-4">
        <button id="markGuiltyBtn" class="btn btn-danger">Mark this Customer as Guilty</button>
    </div>
    @endif
</div>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    document.getElementById('markGuiltyBtn').addEventListener('click', function () {
        // Show processing notification
        Swal.fire({
            title: 'Processing...',
            text: 'Please wait while marking this customer as guilty.',
            icon: 'info',
            showConfirmButton: false,
            allowOutsideClick: false,
            timerProgressBar: true,
            didOpen: () => {
                Swal.showLoading();
            }
        });

        // Simulate processing delay
        setTimeout(() => {
            // Close the processing notification
            Swal.close();

            // Show success notification
            Swal.fire({
                title: 'Success!',
                text: 'Customer has been marked as guilty.',
                icon: 'success',
                confirmButtonText: 'OK'
            }).then(() => {
                // Update button text and disable it
                const markGuiltyBtn = document.getElementById('markGuiltyBtn');
                markGuiltyBtn.textContent = 'Customer Marked as Guilty';
                markGuiltyBtn.classList.remove('btn-danger');
                markGuiltyBtn.classList.add('btn-secondary');
                markGuiltyBtn.disabled = true;
            });
        }, 2000); // 2 seconds delay
    });
</script>
@endsection
