@extends('layouts.master')
@section('content')
    <div class="card card-flush overflow-hidden h-md-100 rounded-0">
        <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
            <div class="d-flex flex-column content-justify-center flex-row-fluid">
                <div class="table-responsive w-100">
                    <table class="table table-bordered gy-3 gs-3" id="customer-table">
                        <thead class="py-5 fw-bold table-bordered fs-4 text-white bg-secondary">
                            <tr>
                                <th>{{ __('SL') }}</th>
                                <th>{{ __('ID') }}</th>
                                <th>{{ __('Cust ID') }}</th>
                                <th>{{ __('Customer Name') }}</th>
                                <th>{{ __('Account Number') }}</th>
                                <th>{{ __('Branch') }}</th>
                                <th>{{ __('Email') }}</th>
                                <th>{{ __('Father Name') }}</th>
                                <th>{{ __('Action') }}</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!-- Edit Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="editForm">
                    <div class="modal-header">
                        <h5 class="modal-title">Edit Customer</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" name="_method" value="PUT">
                        @csrf
                        <div class="mb-3">
                            <label>Customer Name:</label>
                            <input type="text" name="customer_name" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label>Account Number:</label>
                            <input type="text" name="ac_number" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label>Branch Name:</label>
                            <input type="text" name="branch_name" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label>Account Status:</label>
                            <select name="acc_status" class="form-select">
                                <option value="active">Active</option>
                                <option value="dormant">Dormant</option>
                                <option value="closed">Closed</option>
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="button" id="save-change" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@push('js')
    <script src="{{ asset('/js/base_data_table.js') }}"></script>
    <script src="{{ asset('/assets/js/custom/Customer/customer.js') }}"></script>
    <script>
        $(document).ready(function() {
            CustomerManagement.init(
                "{{ csrf_token() }}",
                "{{ route('customers.data') }}",
                "{{ route('customers.update', ':id') }}",
                "{{ route('customer.profile', ':id') }}",
            );
        });
    </script>
@endpush
