<?php

/**
 * @var \App\View\AppView $this
 * @var $current_role
 */
?>
<div id="kt_aside_menu" class="aside-menu" data-menu-vertical="1" data-menu-scroll="1" data-menu-dropdown-timeout="500">
    <!--begin::Menu Nav-->
    <ul class="menu-nav pt-0">
        <li class="menu-item menu-item-submenu" aria-haspopup="true" data-menu-toggle="hover">
            <a href="<?= $this->Url->build(['_name' => 'home', 'prefix' => false]) ?>" class="menu-link align-items-center d-flex align-items-center">
                <i class="fas fa-tachometer-alt-slow mr-4">
                    <span></span>
                </i>
                <span class="menu-text"><b class="font-weight-bolder mr-1"><?= ucfirst($auth_user['current_role']) ?></b>Dashboard</span>
            </a>
        </li>

        <li class="menu-section mt-0">
            <h4 class="menu-text font-weight-bold">Resource Person</h4>
            <i class="menu-icon ki ki-bold-more-hor icon-md"></i>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/colleagues') ?>" class="menu-link d-flex align-items-center">
                <i class="fas fa-user-tie mr-4">
                    <span></span>
                </i>
                <span class="menu-text">Colleagues</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/manager/mapping/') ?>" class="menu-link align-items-center">
                <i class="fad fa-user-friends icon-size-sm mr-3"></i>
                <span class="menu-text">Colleagues for Manager</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/clients') ?>" class="menu-link d-flex align-items-center">
                <i class="fad fa-users mr-4">
                    <span></span>
                </i>
                <span class="menu-text">Clients</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/users') ?>"
               class="menu-link align-items-center">
               <i class="fad fa-user-friends icon-size-sm mr-3"></i>
                <span class="menu-text">Client Users</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/colleague/mapping/') ?>" class="menu-link d-flex align-items-center">
                <i class="fad fa-people-arrows mr-4">
                    <span></span>
                </i>
                <span class="menu-text">Colleagues for Clients</span>
            </a>
        </li>
        <li class="menu-section">
            <h4 class="menu-text"> <i class="fas fa-tasks"></i> &nbsp; Service</h4>
            <i class="menu-icon ki ki-bold-more-hor icon-md"></i>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/services') ?>" class="menu-link align-items-center">
                <i class="menu-bullet menu-bullet-line">
                    <span></span>
                </i>
                <span class="menu-text">Service Lists</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/monthly/report') ?>" class="menu-link align-items-center">
                <i class="menu-bullet menu-bullet-line">
                    <span></span>
                </i>
                <span class="menu-text">Monthly Task Report</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/vouchers') ?>" class="menu-link align-items-center">
                <i class="menu-bullet menu-bullet-line">
                    <span></span>
                </i>
                <span class="menu-text">Vouchers</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/vouchers') ?>" class="menu-link align-items-center">
                <i class="fad fa-money-check mr-4">
                    <span></span>
                </i>
                <span class="menu-text">Vouchers</span>
            </a>
        </li>
        <li class="menu-section">
            <h4 class="menu-text">Mail Box</h4>
            <i class="menu-icon ki ki-bold-more-hor icon-md"></i>
        </li>
        <li class="menu-item">
            <a href="<?= $this->Url->build('/manager/mail/welcome') ?>" class="menu-link align-items-center">
                <i class="menu-bullet menu-bullet-line">
                    <span></span>
                </i>
                <span class="menu-text">Welcome Mail</span>
            </a>
        </li>
        <li class="menu-item">
            <a href="#" class="menu-link align-items-center">
                <i class="menu-bullet menu-bullet-line">
                    <span></span>
                </i>
                <span class="menu-text">Engagement Letter Mail</span>
            </a>
        </li>

    </ul>
    <!--end::Menu Nav-->
</div>