@extends('layouts.master')
@section('content')
    <div class="p-3">
        <div class="col-xl-12 mb-5">
            <div class="row">
                <div class="col-sm-12 mb-5">
                    <div class="card shadow-sm">
                        <div class="card-header">
                            <h3 class="card-title">News summery</h3>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card-body">
                                    <div class="mb-1">
                                        <strong>Published Date:</strong> {{ $news_data->PublishDate }}
                                     </div>
                                    <div class="mb-1">
                                        <strong>News Source:</strong> <a  href="{{$news_data->NewsLink}}" target="_blank">{{ $news_data->News_Source_English	}}</a>
                                    </div>
                                    <div class="mb-1">
                                       <strong>News Summary Content:</strong> {{ $news_data->NewsContent_English }}
                                    </div>

                                    <div class="mb-1">
                                        <strong>News Category:</strong> {{ $news_data->PredicateOffenceType_English }}
                                    </div>
                                    <div class="mb-3">
                                        <strong>Location:</strong> {{ $news_data->LocationOfIncident_English }}
                                    </div>
                                    <hr>

                                    @if ($news_data->OffenderBackground_English)
                                    <div class="mb-1">
                                        <strong>Offender Background English:</strong> {{ $news_data->OffenderBackground_English }}
                                     </div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card-body">

                                    <div class="mb-1">
                                        <strong>Name of the Owner of the Entity:</strong> {{ $news_data->Nameofperson_English	 }} {{  isset($news_data->Age)? "(". $news_data->Age. ")": ''   }}
                                    </div>
                                    @if ($news_data->DoB)
                                    <div class="mb-1">
                                        <strong>DOB:</strong> {{ $news_data->DoB }}
                                     </div>
                                    @endif
                                    @if ($news_data->Profession_English)
                                    <div class="mb-1">
                                        <strong>Profession:</strong> {{ $news_data->Profession_English }}
                                     </div>
                                    @endif
                                    @if ($news_data->Designation)
                                    <div class="mb-1">
                                        <strong>Designation:</strong> {{ $news_data->Designation }}
                                     </div>
                                    @endif
                                    @if ($news_data->NameOfEmployeerOrBusiness)
                                    <div class="mb-1">
                                        <strong>Name Of Employeer/Business:</strong> {{ $news_data->NameOfEmployeerOrBusiness }}
                                     </div>
                                    @endif
                                    @if ($news_data->FatherName)
                                    <div class="mb-1">
                                        <strong>Father's Name:</strong> {{ $news_data->FatherName }}
                                     </div>
                                    @endif
                                    @if ($news_data->MotherName)
                                    <div class="mb-1">
                                        <strong>Mother's Name:</strong> {{ $news_data->MotherName }}
                                     </div>
                                    @endif
                                    @if ($news_data->SpouceName)
                                    <div class="mb-1">
                                        <strong>Spouce Name:</strong> {{ $news_data->SpouceName }}
                                     </div>
                                    @endif
                                    @if ($news_data->PresentAddress)
                                    <div class="mb-1">
                                        <strong>Present Address:</strong> {{ $news_data->PresentAddress }}
                                     </div>
                                    @endif
                                    @if ($news_data->ParmanentAddress)
                                    <div class="mb-1">
                                        <strong>Parmanent Address:</strong> {{ $news_data->ParmanentAddress }}
                                     </div>
                                    @endif
                                    @if ($news_data->ContactNumber)
                                    <div class="mb-1">
                                        <strong>Phone:</strong> {{ $news_data->ContactNumber }}
                                     </div>
                                    @endif
                                    @if ($news_data->NID)
                                    <div class="mb-1">
                                        <strong>NID:</strong> {{ $news_data->NID }}
                                     </div>
                                    @endif
                                    @if ($news_data->TradeLicense)
                                    <div class="mb-1">
                                        <strong>Trade License:</strong> {{ $news_data->TradeLicense }}
                                     </div>
                                    @endif

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="col-sm-12 mb-5">
                    <div class="card">
                        <div class="card mb-1">
                            <div class="card-header">
                                <h3 class="card-title">Maximum Matching Person History</h3>
                                <div class="card-toolbar">
                                    <a href="{{ route('customer.profile', ['id' => $news_data->customer_id]) }}?screening=true"
                                        target="_blank" rel="noopener noreferrer"
                                        class="btn btn-info btn-sm rounded-0">View</a>
                                </div>
                            </div>
                        </div>
                        @php
                            $highestScoreCustomer = $news_data->customer_details;
                        @endphp
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-title">Personal Info</h5>
                                    </div>
                                    <div class="card-body">
                                        <div class="mb-3">
                                            <strong>Name:</strong> {{ $highestScoreCustomer['ac_name'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Father's Name:</strong> {{ $highestScoreCustomer['father_name'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Mother's Name:</strong> {{ $highestScoreCustomer['mother_name'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>DOB:</strong> {{ $highestScoreCustomer['dob'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Marrital Status:</strong> {{ $highestScoreCustomer['marital_status'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Address:</strong> {{ $highestScoreCustomer['address'] }}
                                        </div>
                                        <hr>
                                        <div class="mb-3">
                                            <strong>Matching Score:</strong> <span
                                                    class="badge bg-success">{{ $news_data->highest_score }}%</span>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="col-sm-6">
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-title">Bank Info</h5>
                                    </div>
                                    <div class="card-body">
                                        <div class="mb-3">
                                            <strong>Cust ID:</strong> {{ $highestScoreCustomer['cust_id'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Branch:</strong> {{ $highestScoreCustomer['branch_name'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Email:</strong> {{ $highestScoreCustomer['email'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Phone:</strong> {{ $highestScoreCustomer['phone'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>NID:</strong> {{ $highestScoreCustomer['nid'] }}
                                        </div>
                                        <div class="mb-3">
                                            <strong>Occupation:</strong> {{ $highestScoreCustomer['occupation'] }}
                                        </div>
                                        <hr>
                                        <div class="mb-3">
                                            <strong>Account Status:</strong> <span
                                                    class="badge bg-success">Active</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="col-sm-12">
                    <div class="card shadow-sm">
                        <div class="card-header">
                            <h3 class="card-title">Others Macching Persons</h3>
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered">
                                <thead>
                                    <tr class="bg-primary">
                                        <th class="text-center">Sl.</th>
                                        <th class="text-center">Customer ID</th>
                                        <th>Customer Name</th>
                                        <th class="text-center">Matching Score (%)</th>
                                        <th>Fathers Name</th>
                                        <th>Mothers Name</th>
                                        <th>Spouse Name</th>
                                        <th>Account No.</th>
                                        <th>Branch Name</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($others_matching as $key => $other_matching)
                                        <tr>
                                            <td class="text-center">{{ $key + 1 }} </td>
                                            <td>{{ $other_matching['cust_id'] }} </td>
                                            <td>{{ $other_matching['ac_name'] }} </td>
                                            <td class="text-center">{{ $other_matching['score'] }} </td>
                                            <td>{{ $other_matching['father_name'] }} </td>
                                            <td>{{ $other_matching['mother_name'] }} </td>
                                            <td>{{ $other_matching['spouse_name'] }} </td>
                                            <td>{{ $other_matching['ac_number'] }} </td>
                                            <td>{{ $other_matching['branch_name'] }} </td>
                                            <td> <a href="{{ route('customer.profile', ['id' => $other_matching['id']]) }}?screening=true"
                                                    target="_blank" rel="noopener noreferrer"
                                                    class="btn btn-info btn-sm rounded-0">View</a> </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
