@php
    $contracts = $contracts['data'];
@endphp
@forelse ($contracts as $contract)
    <div class="d-flex align-items-center py-2 flex-stack">
        <div class="d-flex align-items-center me-3">
            <img src="{{ asset('assets/media/letter/letter-box.png') }}" class="me-4 w-30px" alt="">
            <div class="flex-grow-1">
                <p class="text-gray-800 text-hover-dark fs-5 fw-bold mb-0">
                    {{ $contract['client_name'] }} •
                    {{ $contract['business_type'] }}</p>
                <span
                    class="text-gray-800 fw-semibold d-block fs-6">{{ $contract['service_start_date'] . ' | ' . $contract['service_end_date'] }}
                    @php
                        switch ($contract['service_status']) {
                            case 2:
                                $service_status = __('Cancelled');
                                break;
                            case 1:
                                $service_status = __('Active');
                                break;
                            default:
                                $service_status = __('Draft');
                                break;
                        }
                    @endphp
                    <span class="badge badge-light-info">{{ $service_status }}</span>
                </span>
            </div>
        </div>
        <div class="">
            @foreach ($contract['client_service_documents'] as $client_service_document)
                @if ($client_service_document['status'] >= 2)
                    @if ($client_service_document['email_template_id'] == ENGAGEMENT_LETTER)
                        <a type="button" data-client_id="{{ $client_service_document['client_profile_id'] }}"
                            data-id="{{ $client_service_document['client_contract_id'] }}"
                            data-template_id="{{ $client_service_document['email_template_id'] }}"
                            data-letter_id="{{ $client_service_document['id'] }}"
                            data-letter_status="{{ $client_service_document['status'] }}"
                            class="btn btn-sm btn-icon rounded-0 fw-bold btn-info btn-active-light-info btn_create btn_approve_engagement_letter"
                            title="Enggagement Letter" id="btn_approve_engagement_letter">
                            <i class="fa-solid fa-envelopes-bulk"></i>
                        </a>
                    @elseif($client_service_document['email_template_id'] == AUTH_AGENT_LETTER_64_8)
                        <a type="button" data-client_id="{{ $client_service_document['client_profile_id'] }}"
                            data-id="{{ $client_service_document['client_contract_id'] }}"
                            data-template_id="{{ $client_service_document['email_template_id'] }}"
                            data-letter_id="{{ $client_service_document['id'] }}"
                            data-letter_status="{{ $client_service_document['status'] }}" data-toggle="tooltip"
                            data-placement="top"
                            class="btn btn-sm btn-icon rounded-0 fw-bold btn-primary btn-active-light-primary btn_create btn_approve_64_8_letter"
                            title="Auth Agent (64-8) letter" id="btn_approve_64_8_letter">
                            <i class="fas fa-file-import"></i>
                        </a>
                    @endif
                @endif
            @endforeach
        </div>
    </div>
    <div class="separator separator-dashed my-3"></div>
@empty
    <div role="tabpanel">
        <h4 class="text-center fw-bold bg-light-primary p-2">{{ __('No Data Found') }}</h4>
    </div>
@endforelse
<script src="{{ asset('assets/js/custom/pages/contract/assigned_documents/assigned_contract_documents.js') }}">
</script>

<script>
    var user_role = "{{ isset($auth_user['current_role']) ? $auth_user['current_role'] : '' }}";
    "use strict";
    $(document).ready(function() {
        AssignedContractDocuments.init(user_role,
            "{{ csrf_token() }}",
            "{{ route('setup.engagement.letter') }}",
            "{{ route('data.client.letter.engagement') }}",
            "{{ route('active.letter.engagement') }}",
            "{{ route('revision.letter.engagement') }}",
            "{{ route('setup.agent.auth') }}",
            "{{ route('agree.agent.auth') }}",
            "{{ route('reject.agent.auth') }}",
        );
    });
</script>
