@if ($activities['perPage'] == PAGINATION_PAGE_TOTAL)
    <div class="d-flex justify-content-between mb-5">
        <div class="float-left">
            <span class="text-muted mt-1 fw-semibold fs-7">Page
                {{ intval($activities['pageNumber']) }} • Showing
                {{ intval($activities['firstIndexValue']) }} to
                {{ intval($activities['lastIndexValue']) }} of
                {{ intval($activities['totalCount']) }} records
            </span>
        </div>
        <div class="float-right">
            @if ($activities['pageNumber'] != 1)
                {{ getSaveIconButton([
                    'suffix' => '_next',
                    '_title' => 'Previous',
                    'data_key' => $activities['previousPage'],
                    '_icon' => 'fas fa-fast-backward',
                ]) }}
            @endif

            @if (count($activities['data']) == PAGINATION_PAGE_TOTAL && intval($activities['pageNumber']) >= 1)
                {{ getSaveIconButton([
                    'suffix' => '_next',
                    '_title' => 'Next',
                    'data_key' => $activities['nextPage'],
                    '_icon' => 'fas fa-fast-forward',
                ]) }}
            @endif
        </div>
    </div>
    <div class="separator separator-dashed my-3"></div>
@endif
@forelse ($activities['data'] as $index => $activity)
    <div class="d-flex flex-stack">
        <div class="d-flex align-items-center me-3">
            <div class="flex-grow-1">
                <a href="#" class="text-gray-800 text-hover-primary fs-5 fw-bold lh-0">
                    {{ $activity['sl'] }} • {{ $activity['reference_number'] . ' | ' . $activity['task_name'] }} (
                    {{ $activity['uploaded'] . '/' . $activity['needed'] }} ) </a>
                @php
                    if ($activity['uploaded'] == $activity['needed']) {
                        $status = 'All documents updated.';
                    } else {
                        $status = $activity['reject'] ?? '';
                    }
                @endphp
                <span class="text-gray-800 fw-semibold d-block fs-6">{!! $status !!}</span>
            </div>
        </div>
        @php
            $identification_ids =
                'CP:' .
                $activity['client_profile_id'] .
                '_CC:' .
                $activity['client_contract_id'] .
                '_XS:' .
                $activity['x_service_id'] .
                '_XSC:0' .
                '_CST:' .
                $activity['task_id'] .
                '_CSST:' .
                $activity['sub_task_id'];

        @endphp
        <a href="{{ route('setup.view_documents', ['identification_ids' => $identification_ids]) }}"data-toggle="tooltip"
            title="View" class="btn btn-sm btn-light">{{ __('View') }}</a>
    </div>
    <div class="separator separator-dashed my-3"></div>
@empty
    <h4 class="text-center fw-bold bg-light-primary p-2">{{ __('No Data Found') }}</h4>
@endforelse
<span class="d-none" id="totalCount">{{ intval($activities['totalCount']) }}</span>
@if ($activities['perPage'] == PAGINATION_PAGE_TOTAL)
    <div class="d-flex justify-content-between mt-5">
        <div class="float-left">
            <span class="text-muted mt-1 fw-semibold fs-7">Page
                {{ intval($activities['pageNumber']) }} • Showing
                {{ intval($activities['firstIndexValue']) }} to
                {{ intval($activities['lastIndexValue']) }} of
                {{ intval($activities['totalCount']) }} records
            </span>
        </div>
        <div class="float-right">
            @if ($activities['pageNumber'] != 1)
                {{ getSaveIconButton([
                    'suffix' => '_next',
                    '_title' => 'Previous',
                    'data_key' => $activities['previousPage'],
                    '_icon' => 'fas fa-fast-backward',
                ]) }}
            @endif

            @if (count($activities['data']) == PAGINATION_PAGE_TOTAL && intval($activities['pageNumber']) >= 1)
                {{ getSaveIconButton([
                    'suffix' => '_next',
                    '_title' => 'Next',
                    'data_key' => $activities['nextPage'],
                    '_icon' => 'fas fa-fast-forward',
                ]) }}
            @endif
        </div>
    </div>
@endif
<script>
    $('[data-toggle="tooltip"]').tooltip();
    var total_count = $('#totalCount').text();
    $(".total_activity").text(total_count);
</script>
