<div class="row g-5 g-xl-10">
    <!--begin::Col-->
    @if ($auth_user['current_role'] != ROLE_CLIENT)
        <div class="col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-md-5 mb-xl-10">
            <!--begin::task summary-->
            <div
                class="card card-flush bg-primary bgi-no-repeat bgi-size-contain bgi-position-x-end h-md-50 mb-5 mb-xl-10">
                <!--begin::Header-->
                <div class="card-header pt-5">
                    <!--begin::Title-->
                    <div class="card-title d-flex flex-column">
                        <!--begin::Amount-->
                        <span class="fs-2hx fw-bold text-white me-2 lh-1 ls-n2"><?=$total_active_task;?></span>
                        <!--end::Amount-->

                        <!--begin::Subtitle-->
                        <span
                            class="text-white opacity-75 pt-1 fw-semibold fs-6"><?= __('Active Tasks for') . ' ' . date('M\'Y') ?></span>
                        <!--end::Subtitle-->
                    </div>
                    <!--end::Title-->
                </div>
                <!--end::Header-->

                <!--begin::Card body-->
                <div class="card-body d-flex align-items-end pt-0">
                    <!--begin::Progress-->
                    <div class="d-flex align-items-center flex-column mt-3 w-100">
                        <div
                            class="d-flex justify-content-between fw-bold fs-6 text-white opacity-75 w-100 mt-auto mb-2">
                            <span><?=$total_completed_task;?> <?=__("Pending")?></span>
                            <span><?=($total_active_task) > 0 ? ($total_completed_task * 100)/ $total_active_task : 0?>%</span>
                        </div>

                        <div class="h-8px mx-3 w-100 bg-white bg-opacity-50 rounded">
                            <div class="bg-white rounded h-8px" role="progressbar" style="width: 72%;"
                                aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div>
                    <!--end::Progress-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::task summary-->
            <!--begin::Revenue Summary-->
            <?php $payment_board_data = [
                'total_income' => '75,000',
                'reference_year' => date('d-M, Y'),
                'income_loss_percentage' => '1.2%',
                'total_received_income' => '30,000',
                'total_due' => '10,000',
                'total_overdue' => '10,000',
                'total_pending' => '25,000',
            ]; ?>
            @include('element/partials/widgets/cards/payment_board')
            <!--end::Revenue Summary-->
        </div>
        <!--end::Col-->
        <!--begin::Col-->
        <div class="col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-md-5 mb-xl-10">
            <!--begin::Client Summary-->
            <div class="card card-flush h-md-50 mb-5 mb-xl-10">
                <!--begin::Header-->
                <div class="card-header pt-5">
                    <!--begin::Title-->
                    <div class="card-title d-flex flex-column">
                        <!--begin::Amount-->
                        <span
                            class="fs-2hx fw-bold text-dark me-2 lh-1 ls-n2">{{ !empty($clients) ? $clients->count() : 0 }}</span>
                        <!--end::Amount-->

                        <!--begin::Subtitle-->
                        <span class="text-gray-800 pt-1 fw-semibold fs-6">{{ __('Clients') }}</span>
                        <!--end::Subtitle-->
                    </div>
                    <!--end::Title-->
                </div>
                <!--end::Header-->

                <!--begin::Card body-->
                <div class="card-body d-flex flex-column justify-content-end pe-0">
                    <!--begin::Title-->
                    <span class="fs-6 fw-bolder text-gray-800 d-block mb-2"></span>
                    <!--end::Title-->

                    <!--begin::Users group-->
                    @php
                        $iterationCount = 0;
                    @endphp
                    <div class="symbol-group symbol-hover flex-nowrap">
                        @forelse ($clients as $client)
                            <div class="symbol symbol-35px symbol-circle" data-bs-toggle="tooltip"
                                data-bs-original-title="{{ $client->client_name }}" data-kt-initialized="1">
                                <span
                                    class="symbol-label bg-primary text-inverse-primary fw-bold">{{ substr($client->client_name, 0, 1) }}</span>
                            </div>
                            @php
                                $iterationCount++;
                                if ($iterationCount >= 7) {
                                    break;
                                }
                            @endphp
                        @empty
                        @endforelse
                        <a href="{{ route('clients.index') }}" class="symbol symbol-35px symbol-circle"
                            data-bs-toggle="modal" data-bs-target="#kt_modal_view_users">
                            <span
                                class="symbol-label bg-dark text-gray-300 fs-8 fw-bold">+{{ !empty($clients) ? $clients->count() : 0 }}</span>
                        </a>
                    </div>
                    <!--end::Users group-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Client Summary-->
            <!--begin::Performance Overview-->
            <div class="card card-flush h-lg-50">
                <!--begin::Header-->
                <div class="card-header pt-5">
                    <!--begin::Title-->
                    <h3 class="card-title text-gray-800 fw-bold">{{ __('Performance Overview') }}</h3>
                    <!--end::Title-->
                </div>
                <!--end::Header-->

                <!--begin::Body-->
                <div class="card-body pt-5">
                    <!--begin::Item-->
                    <div class="d-flex flex-stack">
                        <!--begin::Section-->
                        <a href="{{ route('manager.list') }}"
                            class="text-primary fw-semibold fs-6 me-2">{{ __('Manager') }}</a>
                        <!--end::Section-->

                        <!--begin::Action-->
                        <button type="button"
                            class="btn btn-icon btn-sm h-auto btn-color-gray-400 btn-active-color-primary justify-content-end">
                            <i class="ki-duotone ki-exit-right-corner fs-2"><span class="path1"></span><span
                                    class="path2"></span></i> </button>
                        <!--end::Action-->
                    </div>
                    <!--end::Item-->

                    <!--begin::Separator-->
                    <div class="separator separator-dashed my-3"></div>
                    <!--end::Separator-->

                    <!--begin::Item-->
                    <div class="d-flex flex-stack">
                        <!--begin::Section-->
                        <a href="{{ route('colleague.list') }}"
                            class="text-primary fw-semibold fs-6 me-2">{{ __('Colleague') }}</a>
                        <!--end::Section-->

                        <!--begin::Action-->
                        <button type="button"
                            class="btn btn-icon btn-sm h-auto btn-color-gray-400 btn-active-color-primary justify-content-end">
                            <i class="ki-duotone ki-exit-right-corner fs-2"><span class="path1"></span><span
                                    class="path2"></span></i> </button>
                        <!--end::Action-->
                    </div>
                    <!--end::Item-->

                    <!--begin::Separator-->
                    <div class="separator separator-dashed my-3"></div>
                    <!--end::Separator-->

                    <!--begin::Item-->
                    <div class="d-flex flex-stack">
                        <!--begin::Section-->
                        <a href="{{ route('clients.index') }}"
                            class="text-primary fw-semibold fs-6 me-2">{{ __('Client') }}</a>
                        <!--end::Section-->

                        <!--begin::Action-->
                        <button type="button"
                            class="btn btn-icon btn-sm h-auto btn-color-gray-400 btn-active-color-primary justify-content-end">
                            <i class="ki-duotone ki-exit-right-corner fs-2"><span class="path1"></span><span
                                    class="path2"></span></i> </button>
                        <!--end::Action-->
                    </div>
                    <!--end::Item-->
                </div>
                <!--end::Body-->
            </div>
            <!--end::Performance Overview-->
        </div>
        <!--end::Col-->
        <!--begin::revenue_chart-->
        <div class="col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-md-5 mb-xl-10" id="revenue_chart">

        </div>
        <!--end::revenue_chart-->
    @endif
    <!--begin::payment_pending_summary-->
    <div class="{{ $auth_user['current_role'] == ROLE_CLIENT ? '' : 'col-md-6 col-lg-6 col-xl-6 col-xxl-6 mb-md-5 mb-xl-10' }}"
        id="payment_pending_summary">

    </div>
    <!--end::payment_pending_summary-->
</div>
