<div class="card card-flush h-lg-100">
    <!--begin::Header-->
    <div class="card-header pt-5">
        <!--begin::Title-->
        <h3 class="card-title align-items-start flex-column">
            <span class="card-label fw-bold text-gray-800">{{ __('Important Summary') }}</span>
            <span
                class="text-gray-800 mt-1 fw-semibold fs-6">{{ __('Selected line items used everyday monitoring') }}</span>
        </h3>
        <!--end::Title-->
    </div>
    <!--end::Header-->
    <!--begin::Card body-->
    <div class="card-body d-flex align-items-start pt-6">
        <!--begin::Row-->
        <div class="row align-items-center mx-0 w-100">
            <!--begin::Col-->
            <div class="col-12 px-0">
                <!--begin::Labels-->
                <div class="d-flex flex-column content-justify-center">
                    <div class="separator separator-dashed my-3"></div>
                    <?php $state_list = [
                        'Directors & Shareholders in Client Portfolio' => [
                            'name' => 'directors_shareholders_clint_portfolio',
                            'count' => 0,
                        ],
                        'Delayed Task' => [
                            'name' => 'delayed_task',
                            'count' => 0,
                        ],
                        'Clients: Waiting for registration' => [
                            'route' => route('view.pre-register.client'),
                            'name' => 'client_waiting_for_registration',
                            'count' => isset($totalClient) ? $totalClient : 0,
                        ], // Altogether pre-registered clients
                        'Clients: Waiting for activation' => [
                            'route' => route('view.pre-register.client'),
                            'name' => 'client_waiting_for_activation',
                            'count' => isset($totalClient) ? $totalClient : 0,
                        ], // send for approval to manager
                        'Clients: Profile updated (By Client)' => [
                            'name' => 'profile_updated_by_client',
                            'count' => isset($totalClient) ? $totalClient : 0,
                        ], // profile shared with clients and client has updated their profile and send back to responsible person
                    ]; ?>
                    <?php $i = 0;
                    foreach ($state_list as $key => $value) : ?>
                    @if ($auth_user['current_role'] == ROLE_CLIENT)
                        <div class="d-flex fs-6 fw-semibold align-items-center">
                            <div class="bullet bg-primary me-3" style="border-radius: 3px;width: 12px;height: 12px">
                            </div>
                            <div class="fs-5 fw-bold text-gray-800 me-5">{{ __('Pending VAT Return') }}:</div>
                            <a href="{{ route('setup.vat_return') }}"
                                class="ms-auto fw-bolder text-gray-700 text-end text-hover-primary"
                                id="total_pending_vat_return">0</a>
                        </div>
                        @php
                            break;
                        @endphp
                    @else
                        <div class="d-flex fs-6 fw-semibold align-items-center">
                            <div class="bullet bg-<?= json_decode(DEFAULT_COLORS, true)[$i % 2] ?> me-3"
                                style="border-radius: 3px;width: 12px;height: 12px"></div>
                            <div class="fs-5 fw-bold text-gray-800 me-5"><?= $key ?>:</div>
                            <a href="{{ $value['route'] ?? '#' }}"
                                class="ms-auto fw-bolder text-gray-700 text-end text-hover-primary {{ $value['name'] }}"><?= $value['count'] ?></a>
                        </div>
                        <div class="separator separator-dashed my-3"></div>
                    @endif
                    <?php ++$i;
                    endforeach; ?>
                </div>
                <!--end::Labels-->
            </div>
            <!--end::Col-->
        </div>
        <!--end::Row-->
    </div>
    <!--end::Card body-->
</div>
