@extends('layouts.master')
@section('content')
    <div class="d-none card custom-card border-bottom mb-2">
        <div class="card-header p-0">
            <?= !empty($page_title) ? $page_title : '' ?>
            <div class="float-right btn-area">
                <a title="" href="/" class="btn btn-primary btn-icon btn-square btn-sm" data-original-title="Back">
                    <i class="fas fa-angle-left"></i>
                </a>
            </div>
        </div>
    </div>
    <div class="card card-custom gutter-b">
        <div class="card-body pt-15">
            <div class="d-flex flex-wrap align-items-center mb-10">
                <div class="flex-row-fluid">
                    @php $s_users = $users ?? [] @endphp
                    {!! html()->form('POST', '#')->id('change_password_form')->class('form')->novalidate()->open() !!}
                    <div class="row mb-1">
                        <div class="col-lg-7 user_selection_row">
                            {!! html()->label(__('Select User'))->for('user_id')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                            {!! html()->select('user_id', ['' => 'Select user'] + $s_users)->class('form-control form-control-solid form-control-lg form-control-solid-solid')->id('user_id') !!}
                        </div>
                        <div class="row col-lg-12">
                            <div class="col-lg-6">
                                @if (Auth::user()->force_change_pass == 0 && !isset($users))
                                    <div class="col-lg-12 current_pass_column">
                                        <div class="fv-row mb-0">
                                            {!! html()->label(__('Current Password'))->for('current_password')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                                            {!! html()->password('currentpassword')->class('form-control form-control-solid form-control-lg form-control-solid-solid')->id('current_password')->placeholder('Enter current password')->required() !!}
                                        </div>
                                    </div>
                                @endif
                                <div class="col-lg-12">
                                    <div class="fv-row mb-0">
                                        {!! html()->label(__('New Password'))->for('new_password')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                                        {!! html()->password('newpassword')->class('form-control form-control-solid form-control-lg form-control-solid-solid')->required()->attribute('pattern', '(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}')->attribute('title', 'Password must meet the requirements')->id('new_password')->placeholder('Enter new password') !!}
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="fv-row mb-0">
                                        {!! html()->label(__('Confirm Password'))->for('confirm_password')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                                        {!! html()->password('confirmpassword')->class('form-control form-control-solid form-control-lg form-control-solid-solid')->required()->attribute('pattern', '(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}')->attribute('title', 'Password must meet the requirements')->id('confirm_password')->placeholder('Enter confirm password') !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="col-lg-12 mt-2">
                                    <h4 class="color-dark">{{ __('Password must meet the following requirements:') }}</h4>
                                    <ul>
                                        <li id="letter" class="text-danger mb-2">{{ __('At least ') }}<strong>
                                                {{ __('one small letter') }}</strong>
                                        </li>
                                        <li id="capital" class="text-danger mb-2">{{ __('At least ') }}<strong>
                                                {{ __('one capital letter') }}</strong>
                                        </li>
                                        <li id="number" class="text-danger mb-2">{{ __('At least ') }}<strong>
                                                {{ __('one number') }}</strong>
                                        </li>
                                        <li id="length" class="text-danger mb-2">{{ __('Be at least ') }}<strong>
                                                {{ __('8 characters') }}</strong></li>
                                        <li id="special" class="text-danger mb-2">{{ __('Be at least ') }}<strong>
                                                {{ __('1 special character') }}</strong></li>
                                    </ul>
                                </div>
                            </div>

                        </div>

                    </div>
                    {!! html()->form()->close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection
@push('js')
    <script>
        var page_reload = true;
    </script>
    <script src="{{ asset('assets/js/custom/pages/user/change_password.js') }}"></script>
    <script>
        $(document).ready(function() {
            Profile.init();
            $("#resetButton").attr('data-url', "{{ url()->current() }}");
        });
        $("#resetButton").click(function(e) {
            e.preventDefault();
            window.location.href = $(this).data('url');
        });
        $("#submitButton").click(function(e) {
            e.preventDefault();
            Profile.changePassword($(this));
        });
    </script>
@endpush
