<!--begin::Login ID-->
<div class="d-flex flex-wrap align-items-center">
    <!--begin::Label-->
    <div id="kt_signin_username">
        <div class="fs-6 fw-bold mb-1"><?= __('Login ID') ?></div>
        <div class="fw-semibold text-gray-600" id="LoginIdText">{!! $profile['user']['username'] !!}</div>
    </div>
    <!--end::Label-->

    <!--begin::Edit-->
    <div id="kt_signin_username_edit" class="flex-row-fluid d-none">
        <!--begin::Form-->
        <form id="kt_signin_change_email" class="form fv-plugins-bootstrap5 fv-plugins-framework" novalidate="novalidate">
            <div class="row mb-6">
                <div class="col-lg-6 mb-4 mb-lg-0">
                    <div class="fv-row mb-0 fv-plugins-icon-container">
                        <label for="new_username"
                            class="form-label fs-6 fw-bold mb-3">{{ __('Enter New Login ID') }}</label>
                        <input type="text" class="form-control form-control-solid form-control form-control-solid-lg form-control form-control-solid-solid new_username"
                            id="new_username" placeholder="Enter Login ID" name="username"
                            value="{!! $profile['user']['username'] !!}">
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                        <div class="mb-5">
                            <span id="status_username"></span>
                        </div>
                    </div>
                </div>
                @if (!isset($is_admin_action))
                    <div class="col-lg-6">
                        <div class="fv-row mb-0 fv-plugins-icon-container">
                            <label for="confirm_username_password"
                                class="form-label fs-6 fw-bold mb-3">{{ __('Password') }}</label>
                            <input type="password" class="form-control form-control-solid form-control form-control-solid-lg form-control form-control-solid-solid"
                                name="confirm_username_password" id="confirm_username_password"
                                placeholder="Enter Current Password">
                            <div class="fv-plugins-message-container invalid-feedback"></div>
                        </div>
                    </div>
                @else
                    <input type="hidden" name="user_id" id="user_id" value="{{ $profile['user_id'] }}">
                @endif
            </div>
            <div class="d-flex">
                <button id="kt_signin_submit" type="button"
                    class="btn btn-sm btn-primary btn-active-light-primary rounded-0 me-2 px-6">{{ __('Update Login ID') }}</button>
                <button id="kt_signin_cancel" type="button"
                    class="btn btn-sm btn-danger btn-active-light-danger rounded-0 px-6">{{ __('Cancel') }}</button>
            </div>
        </form>
        <!--end::Form-->
    </div>
    <!--end::Edit-->

    <!--begin::Action-->
    <div id="kt_signin_username_button" class="ms-auto">
        <button class="btn btn-sm btn-light-primary btn-active-primary rounded-0">{{ __('Change Login ID') }}</button>
    </div>
    <!--end::Action-->
</div>
<!--end::Login ID-->
<script>
    $('#kt_signin_username_button').on('click', function(e) {
        $('#kt_signin_username,#kt_signin_username_button').addClass('d-none');
        $('#kt_signin_username_edit').removeClass('d-none');
    });
    $('#kt_signin_cancel').on('click', function(e) {
        $('#kt_signin_change_email')[0].reset();
        $('#new_username').val($('#LoginIdText').text());
        $('#kt_signin_username,#kt_signin_username_button').removeClass('d-none');
        $('#kt_signin_username_edit').addClass('d-none');
    });
    $('#kt_signin_submit').off('click').on('click', function(e) {
        Profile.changeUserName($(this));
    });
</script>
