<!--begin::Password-->
<div class="d-flex flex-wrap align-items-center mb-10">
    <!--begin::Label-->
    <div id="kt_signin_password">
        <div class="fs-6 fw-bold mb-1">{{ __('Password') }}</div>
        <div class="fw-semibold text-gray-600">{{ __('************') }}</div>
    </div>
    <!--end::Label-->

    <!--begin::Edit-->
    <div id="kt_signin_password_edit" class="flex-row-fluid d-none">
        <!--begin::Form-->
        {!! html()->form('POST', '#')->id('change_password_form')->class('form')->attribute('novalidate', 'novalidate')->open() !!}
        <div class="row mb-1">
            @if (!isset($is_admin_action))
                <div class="col-lg-12">
                    <div class="fv-row mb-0 fv-plugins-icon-container">
                        {!! html()->label(__('Current Password'))->for('current_password')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                        {!! html()->password('currentpassword')->class('form-control form-control-solid form-control-lg')->id('current_password')->placeholder(__('Enter current password'))->required() !!}
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                    </div>
                </div>
            @else
                <input type="hidden" name="user_id" value="{{ $profile['user_id'] }}">
            @endif
            <div class="col-lg-12">
                <div class="fv-row mb-0 fv-plugins-icon-container">
                    {!! html()->label(__('New Password'))->for('new_password')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                    {!! html()->password('newpassword')->class('form-control form-control-solid form-control-lg form-control-solid-solid')->required()->attribute('pattern', '(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}')->attribute('title', 'Password must meet the requirements')->id('new_password')->placeholder(__('Enter new password')) !!}
                </div>
            </div>

            <div class="col-lg-12">
                <div class="fv-row mb-0 fv-plugins-icon-container">
                    {!! html()->label(__('Confirm Password'))->for('confirm_password')->class('col-form-label-lg fw-semibold fs-6 fw-bold mb-3') !!}
                    {!! html()->password('confirmpassword')->class('form-control form-control-solid form-control-lg form-control-solid-solid')->required()->type('password')->attribute('pattern', '(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}')->attribute('title', 'Password must meet the requirements')->id('confirm_password')->placeholder(__('Enter confirm password')) !!}
                </div>
            </div>
            <div class="mb-5" id="confirm_password_check"></div>
            <div class="col-lg-12 mt-2">
                <h4 class="color-dark">{{ __('Password must meet the following requirements:') }}</h4>
                <ul>
                    <li id="letter" class="text-danger mb-2">
                        {{ __('At least ') }}
                        <strong>{{ __('one small letter') }}</strong>
                    </li>
                    <li id="capital" class="text-danger mb-2">{{ __('At least ') }}
                        <strong>{{ __('one capital letter') }}</strong>
                    </li>
                    <li id="number" class="text-danger mb-2">{{ __('At least ') }}
                        <strong>{{ __('one number') }}</strong>
                    </li>
                    <li id="length" class="text-danger mb-2">{{ __('Be at least ') }}
                        <strong>{{ __('8 characters') }}</strong>
                    </li>
                    <li id="special" class="text-danger mb-2">{{ __('Be at least ') }}
                        <strong>{{ __('1 special character') }}</strong>
                    </li>
                </ul>
            </div>
        </div>
        <div class="d-flex">
            <button id="submitButtonChangePassword" type="button"
                class="btn btn-primary btn-sm btn-active-light-primary btn-sm rounded-0 me-2 px-6">
                {{ __('Update Password') }}
            </button>
            <button id="kt_password_cancel" type="button"
                class="btn btn-danger btn-sm btn-active-light-danger rounded-0 px-6">
                {{ __('Cancel') }}
            </button>
        </div>
        {!! html()->form()->close() !!}
        <!--end::Form-->
    </div>
    <!--end::Edit-->

    <!--begin::Action-->
    <div id="kt_signin_password_button" class="ms-auto">
        <button class="btn btn-sm btn-light-primary btn-active-primary rounded-0">{{ __('Reset Password') }}</button>
    </div>
    <!--end::Action-->
</div>
<!--end::Password-->
<script>
    $('#kt_signin_password_button').on('click', function(e) {
        $('#kt_signin_password,#kt_signin_password_button').addClass('d-none');
        $('#kt_signin_password_edit').removeClass('d-none');
    });
    $('#kt_password_cancel').on('click', function(e) {
        $('#confirm_password').val('');
        $('#new_password').val('');
        $('#kt_signin_password,#kt_signin_password_button').removeClass('d-none');
        $('#kt_signin_password_edit').addClass('d-none');
    });
    $('#submitButtonChangePassword').off('click').on('click', function(e) {
        Profile.changePassword($(this));
    });
    $(document).off('keyup', "#new_password").on('keyup', "#new_password", function(e) {
        validatePassword();
    });

    function validatePassword() {
        var password = $('#new_password').val();
        // Define the password pattern
        var passwordPattern = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$/;
        if (!passwordPattern.test(password)) {
            if ($('.error-message').length) {
                $('.error-message').text(
                    'Password must be 8 characters long with at least one uppercase letter, one lowercase letter, one digit and one special character.'
                );
            } else {
                $('#password').after(
                    '<span class="text-danger error-message">Password must be 8 characters long with at least one uppercase letter, one lowercase letter, one digit and one special character.</span>'
                );
            }
            return false;
        } else {
            $('.error-message').text('');
            return true;
        }
    }
    // Real-time validation on confirm_password field
    $(document).off('keyup', "#new_password , #confirm_password").on('keyup', "#new_password , #confirm_password",
        function(e) {
            validateConfirmPassword();
        });

    function validateConfirmPassword() {
        var pass = $('#new_password').val();
        var confirm_pass = $('#confirm_password').val();
        $('.confirm-error-message').text('');
        $('.btn_submit').prop('disabled', false);
        if (pass !== confirm_pass) {
            if ($('.confirm-error-message').length) {
                $('.confirm-error-message').text('Password not match');
            } else {
                $('#confirm_password_check').after(
                    '<span class="text-danger confirm-error-message"><strong>Password not match</strong></span>');
            }
            return false;
        }
        return true;
    }
</script>
