<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\EmailService[]|\Cake\Collection\CollectionInterface $emailServices
 */
?>
<div class="card custom-card border-bottom mb-2">
    <div class="card-header p-0">
        <?= !empty($page_title) ? $page_title : ucwords($this->getRequest()->getParam('action')) ?>
        <div class="float-right btn-area">
            <a title="" href="<?= $this->Url->build('/') ?>"
               class="btn btn-primary btn-icon btn-square btn-sm" data-original-title="Back">
                <i class="fas fa-angle-left"></i>
            </a>
        </div>
    </div>
</div>

<div class="card card-custom gutter-b">
    <div class="card-body p-2">
        <table class="table table-bordered table-head-bg">
            <thead>
            <tr>
                <th class="text-center">ID</th>
                <th class="text-center">Subject</th>
                <th class="text-center">Sender</th>
                <th class="text-center">Receiver</th>
                <th class="text-center">Sent at</th>
                <th class="text-center"></th>
            </tr>
            </thead>
            <tbody>
            <?php
            if (!empty($emailServices)):
                foreach ($emailServices as $emailService):
                    ?>
                    <tr>
                        <td ><?= $emailService->id ?></td>
                        <td ><?= $emailService->mail_subject ?></td>
                        <td ><?= $emailService->sender_profile->name ?></td>
                        <td ><?= $emailService->receiver_profile->name ?>
                        <small class="d-block"><?= $emailService->email_address  ?></small>
                        </td>
                        <td class="text-center"><?= $emailService->mail_sent_time->format('d/m/Y h:i A') ?></td>
                        <td class="text-center"><?= $this->Html->link('<i class="fad fa-eye text-info"></i>',[
                            'action'=>'view',$emailService->id
                            ],['escape'=>false,'class'=>'']) ?></td>
                    </tr>
                <?php
                endforeach;
            endif;
            ?>
            </tbody>
        </table>
    </div>
    <div class="card-footer">
        <div class="d-flex justify-content-between align-items-center flex-wrap">
            <div class="d-flex flex-wrap py-2 mr-3">
                <?= $this->Paginator->first('<< ' . __('first')) ?>
                <?= $this->Paginator->prev('< ' . __('previous')) ?>
                <?= $this->Paginator->numbers() ?>
                <?= $this->Paginator->next(__('next') . ' >') ?>
                <?= $this->Paginator->last(__('last') . ' >>') ?>
            </div>

            <div class="d-flex align-items-center py-3">
                <span class="text-muted"><?= $this->Paginator->counter(__('{{current}} of {{count}} records')) ?></span>
            </div>
        </div>
    </div>
</div>
