<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\EmailService $emailService
 */
?>
<div class="card custom-card border-bottom mb-2">
    <div class="card-header p-0">
        <?= !empty($page_title) ? $page_title : ucwords($this->getRequest()->getParam('action')) ?>
        <div class="float-right btn-area">
            <a title="" href="<?= $this->Url->build('/allEmails') ?>"
               class="btn btn-primary btn-icon btn-square btn-sm" data-original-title="List">
                <i class="fas fa-list"></i>
            </a>
        </div>
    </div>
</div>

<div class="card card-custom card-stretch">
    <!--begin::Body-->
    <div class="card-body p-2">
        <!--begin::Header-->
        <div class="d-flex align-items-center justify-content-between flex-wrap card-spacer-x py-5">
            <!--begin::Title-->
            <div class="d-flex align-items-center mr-2 py-2">
                <div class="font-weight-bold font-size-h3 mr-3"><?= $emailService->mail_subject ?> for <?= $emailService->receiver_profile->company_profile->company_name ?></div>
            </div>
            <!--end::Title-->
        </div>
        <!--end::Header-->
        <!--begin::Messages-->
        <div class="mb-3">
            <div class="cursor-pointer shadow-xs toggle-on" data-inbox="message">
                <div class="d-flex align-items-center card-spacer-x py-6">
                    <span class="symbol symbol-50 mr-4">
                        <span class="symbol-label" style="background-image:url('<?= !empty($emailService->sender_profile->photo)? $this->Url->build(['controller' => 'Pages', 'action' => 'getFileData', 'prefix' => false, '?' => ['fileUrl' => base64_encode(UPLOAD_PATH . $emailService->sender_profile->photo_dir . $emailService->sender_profile->photo)]]): ($this->request->getAttribute('webroot').'assets/media/users/default.jpg') ?>');"></span>
                    </span>
                    <div class="d-flex flex-column flex-grow-1 flex-wrap mr-2">
                        <div class="d-flex">
                            <a href="#" class="font-size-lg font-weight-bolder text-dark-75 text-hover-primary mr-2"><?= $emailService->sender_profile->name ?></a>
                            <div class="font-weight-bold text-muted">
                                <span class="label label-success label-dot mr-2"></span><?= $emailService->mail_sent_time->timeAgoInWords() ?></div>
                        </div>
                        <div class="d-flex flex-column">
                            <div class="toggle-off-item">
                                <span class="font-weight-bold text-muted cursor-pointer" data-toggle="dropdown">to <?= $emailService->receiver_profile->name ?>
                                <i class="flaticon2-down icon-xs ml-1 text-dark-50"></i></span>
                                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-left p-5">
                                    <table>
                                        <tbody><tr>
                                            <td class="text-muted min-w-75px py-2">From</td>
                                            <td><?= $emailService->sender_profile->name ?></td>
                                        </tr>
                                        <tr>
                                            <td class="text-muted py-2">Date:</td>
                                            <td><?= $emailService->mail_sent_time->format('d/m/Y h:i A') ?></td>
                                        </tr>
                                        <tr>
                                            <td class="text-muted py-2">Subject:</td>
                                            <td><?= $emailService->mail_subject ?></td>
                                        </tr>
                                        </tbody></table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex align-items-center">
                        <div class="font-weight-bold text-muted mr-2"><?= $emailService->mail_sent_time->format('d/m/Y h:i A') ?></div>
                    </div>
                </div>
                <div class="card-spacer-x py-3 toggle-off-item">
                    <?php
                    echo $emailService->mail_body
                    ?>
                </div>
            </div>
        </div>
        <!--end::Messages-->
    </div>
    <!--end::Body-->
</div>
