<style>
    .accordion-button::after {
        display: none;
    }

    .add-button-wrapper {
        position: absolute;
        right: 15px;
        top: 10px;
        z-index: 9;
    }

    .accordion-button::before {
        flex-shrink: 0;
        width: var(--bs-accordion-btn-icon-width);
        height: var(--bs-accordion-btn-icon-width);
        content: "";
        background-image: var(--bs-accordion-btn-icon);
        background-repeat: no-repeat;
        background-size: var(--bs-accordion-btn-icon-width);
        transition: var(--bs-accordion-btn-icon-transition);
        text-align: left;
        margin-right: 5px;
    }
</style>
<div class="row">
    <div class="col-md-8 col-lg-8 col-xl-8 col-xxl-8 mb-md-5 mb-xl-10">
        <div class="card overflow-hidden h-md-100">
            <!--begin::Card body-->
            <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
                {!! Form::open(['url' => '#', 'id' => 'email_template_form']) !!}
                {!! Form::hidden('id', $response->id) !!}

                <div class="mb-5">
                    {!! Form::label('email_title', __('Email Title'), ['class' => 'col-form-label-lg fw-semibold']) !!}
                    {!! Form::text('email_title', $response->email_title, ['class' => 'form-control form-control-solid', 'required' => true]) !!}
                </div>

                <div class="mb-5">
                    {!! Form::label('email_body', __('Email Body'), ['class' => 'col-form-label-lg fw-semibold']) !!}
                    {!! Form::textarea('email_body', $response->email_body, [
                        'class' => 'form-control form-control-solid tox-target',
                        'required' => true,
                    ]) !!}
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
    <div class="col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-md-5 mb-xl-10">
        <!--begin::Accordion-->
        <div class="accordion" id="kt_accordion_1">
        </div>
        <!--end::Accordion-->
    </div>
</div>
<link rel="stylesheet" href="{{ asset('assets/plugins/custom/tinymce/skins/ui/oxide/skin.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/custom/tinymce/skins/ui/oxide/content.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/custom/tinymce/skins/content/default/content.css') }}">
<script src="{{ asset('assets/plugins/custom/tinymce/tinymce.bundle.js') }}"></script>
<script>
    var options = {
        selector: "#email_body",
        height: "480"
    };
    if (KTThemeMode.getMode() === "dark") {
        options["skin"] = "oxide-dark";
        options["content_css"] = "dark";
    }
    tinymce.init(options);

    $('.btn_submit').on('click', function(e) {
        e.preventDefault(); // Prevent the default form submission
        if (!validateForm()) {
            return false;
        }
        setTimeout(function() {
            updateTemplate();
        }, 200);
    })

    function updateTemplate() {
        var url = "{{ route('save_template') }}";
        var id = $('input[name="id"]').val();
        var email_title = $('input[name="email_title"]').val();
        var email_description = $("#email_body_ifr").contents().find('body').html();
        var data = encodeBase64(JSON.stringify({
            'id': id,
            'email_title': email_title,
            'email_body': email_description,
        }))
        var _btn = $('.btn_submit');
        setBtnLoader(_btn);
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, {
            'rd': data
        }, 'json', function(response) {
            resetBtnLoader(_btn);
            if (response.status == 'success') {
                toastr.success(response.message);
                setTimeout(function() {
                    templateAjaxLoad();
                }, 200);
            } else {
                toastr.error(response.message);
            }
        });
    }

    $('.btn_reset').on('click', function() {
        var _btn = $('.btn_reset');
        setBtnLoader(_btn);
        setTimeout(function() {
            templateAjaxLoad();
        }, 200);
    })

    function validateForm() {
        // Check if the required fields are filled
        var email_title = $('input[name="email_title"]').val();
        // Check each field individually and display an error message if empty
        if (email_title === '') {
            toastr.error('Please enter the Email Title.');
            return false;
        }
        var email_description = $("#email_body_ifr").contents().find('body').html();
        var remove_space = $("#email_body_ifr").contents().find('body').text();

        if (email_description === '<p><br data-mce-bogus="1"></p>' || $.trim(remove_space) == '') {
            toastr.error('<?= __('Please enter Email details') ?>');
            return false;
        }
        return true;
    }

    $(document).off('click', '.btn_save_element_data').on('click', '.btn_save_element_data', function(e) {
        e.stopPropagation();
        e.stopImmediatePropagation();
        var group_id = $(this).data('group_id');
        var data = {
            'title': $("#el-title-" + group_id).val(),
            'value': $("#el-value-" + group_id).val(),
            'parent_group_id': group_id,
            'group_name': $(this).data('group_name'),
        }
        var url = "{{ route('save.template.element.data') }}";
        var _btn = $('.btn_save_element_data');
        setBtnLoader(_btn);
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, data, 'json', function(response) {
            resetBtnLoader(_btn);
            if (response.status == 'success') {
                toastr.success(response.message);
                templateElementAjaxLoad()
            } else {
                toastr.error(response.message);
            }
        });
    })
    $(document).off('click', '#reset_btn,.reset_btn').on('click', '#reset_btn,.reset_btn', function() {
        $('input[name=el_title]').val("").trigger("change");
        $('input[name=el_value]').val("").trigger("change");
    });

    $(document).ready(function() {
        templateElementAjaxLoad();
    });

    function templateElementAjaxLoad() {
        var url = "{{ route('view.element') }}";
        var data = {};
        var datatype = 'html';
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, data, datatype, function(response) {
            $('#kt_accordion_1').html(response);
            dropdownMenuInit(".add-button-wrapper");
            deleteConfirmationInit('eleDeleteBtn');
        })
    }

    $(document).on('click', '[data-toggle="confirmation"]', function() {
        var areaId = $(this).attr('aria-describedby');
        var templateId = $(this).attr('data-element_id');
        $("#" + areaId).find('.eleDeleteBtn').attr('data-id', templateId);
    });
</script>
