@if (!empty($temp_element))
    @foreach ($temp_element as $elem)
        <div class="accordion-item position-relative">
            <div class="d-flex flex-end">
                @include('element.base.view_btn_dropdown', [
                    'type' => 'save',
                    'btn_label' => '',
                    'view_label' => 'Create ' . $elem['group_name'],
                    'group_name' => $elem['group_name'],
                    'id' => $elem['id'],
                ])
            </div>
            <h2 class="accordion-header" id="kt_accordion_1_header_<?= $elem['id'] ?>">
                <button class="accordion-button bg-secondary accordion-button fs-4 fw-semibold" type="button"
                    data-bs-toggle="collapse" data-bs-target="#kt_accordion_1_body_<?= $elem['id'] ?>" aria-expanded="true"
                    aria-controls="kt_accordion_1_body_<?= $elem['id'] ?>">
                    <?= $elem['group_name'] ?>
                </button>
            </h2>
            <div id="kt_accordion_1_body_<?= $elem['id'] ?>"
                class="accordion-collapse collapse <?= $elem['id'] == 1 ? 'show' : '' ?>"
                aria-labelledby="kt_accordion_1_header_<?= $elem['id'] ?>"
                data-bs-parent="#kt_accordion_<?= $elem['id'] ?>">
                <div class="accordion-body" id="loadTemplateElements">
                    @if (isset($elem['elements']))
                        @foreach ($elem['elements'] as $el)
                            @php
                                $string = ucwords(strtolower($el['title']));
                                $trimmedString = preg_replace('/\s+/', '', $string);
                                $el_class = Str::snake($trimmedString);
                            @endphp
                            {{ Form::label($el_class, $el['title'], ['class' => 'col-form-label-lg fw-semibold disabled']) }}
                            <div class="input-group mb-5 template-title-wrapper">
                                {{ Form::text($el_class, $el['value'], ['class' => 'form-control form-control-solid', 'disabled' => true, 'id' => 'text_'.$el['id']]) }}
                                <div class="btn-group template-edit-before-action-wrapper">
                                    <button class="btn btn-icon btn-light-primary btn-active-primary rounded-0 add_template_name" type="button">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                    <button class="btn btn-icon btn-light-primary btn-active-primary rounded-0 template_name_edit" type="button">
                                        <i class="fa fa-pen"></i>
                                    </button>
                                    <button data-element_id="{{ $el['id'] }}"
                                        class="btn btn-icon btn-light-danger btn-active-danger rounded-0" type="button" data-toggle="confirmation">
                                        <i class="fa-solid fa-trash"></i>
                                    </button>
                                </div>
                                <div class="btn-group rounded-0 template-edit-action-wrapper d-none">
                                    <button data-element_id="{{ $el['id'] }}"
                                        class="btn btn-icon btn-primary rounded-0 eleEditBtn" type="button">
                                        <i class="fa fa-save"></i>
                                    </button>
                                    <button data-element_id="{{ $el['id'] }}"
                                        class="btn btn-icon btn-dark rounded-0 resetBtn" type="button">
                                        <i class="fa-solid fa-arrow-rotate-left"></i>
                                    </button>
                                </div>
                            </div>
                        @endforeach
                    @endif
                </div>
            </div>
        </div>
    @endforeach
@endif
<script>
    var initialValue;
    $(".template_name_edit").on('click', function() {
        $(this).parent().parent('.template-title-wrapper').find('.template-edit-action-wrapper').removeClass('d-none');
        $(this).parent().parent('.template-title-wrapper').find('.template-edit-before-action-wrapper').addClass('d-none');
        $(this).parent().parent('.template-title-wrapper').find('input').removeAttr('disabled');
        initialValue = $(this).parent().parent('.template-title-wrapper').find('input').val();
    });

    $(".add_template_name").on('click', function() {
        var input_value = $(this).parent().parent('.template-title-wrapper').find('input').val();
        var prepare_selector = input_value.replace(/%/g, '_');
        var prepare_tag = '<span class="'+prepare_selector+'" id="'+prepare_selector+'">'+input_value+'</span>';
        var editor = tinymce.get('email_body'); // Replace 'tinymce' with the actual ID of your editor
        if (editor) {
            editor.insertContent(prepare_tag);
            toastr.success('<?=__('Successfully added to editor')?>')
        }
    });

    $(".resetBtn").on('click', function() {
        $(this).parent().parent('.template-title-wrapper').find('.template-edit-action-wrapper').addClass('d-none');
        $(this).parent().parent('.template-title-wrapper').find('input').val(initialValue);
        $(this).parent().parent('.template-title-wrapper').find('input').attr('disabled', true);
        $(this).parent().parent('.template-title-wrapper').find(".template-edit-before-action-wrapper").removeClass('d-none');
    });

    $(document).off('click', '.eleDeleteBtn').on('click', '.eleDeleteBtn', function(e) {
        var url = "{{ route('delete-element') }}";
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, {
            'id': $(this).attr('data-id')
        }, 'json', function(response) {
            if (response.status == 'success') {
                toastr.success(response.message);
                templateElementAjaxLoad();
            } else {
                toastr.error(response.message);
            }
        });
    });

    $('.eleEditBtn').off('click').on('click', function() {
        var id = $(this).data('element_id');
        var data_id = 'text_'+id;
        var inputField = document.getElementById(data_id).value;
        var url = "{{ route('save.template.element') }}";
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, {
            'id': id, 'value' : inputField
        }, 'json', function(response) {
            if (response.status == 'success') {
                toastr.success(response.message);
                templateElementAjaxLoad();
            } else {
                toastr.error(response.message);
            }
        });
    });

    function templateElementAjaxLoad() {
        var url = "{{ route('view.element') }}";
        var data = {};
        var datatype = 'html';
        HELPER_AJAX.ajaxSubmitDataAsyncCallback(url, data, datatype, function(response) {
            $('#kt_accordion_1').html(response);
            dropdownMenuInit(".add-button-wrapper");
            deleteConfirmationInit('eleDeleteBtn');
        })
    }
</script>
