{{-- @extends('layouts.master') --}}
@extends('layouts.title_ajax')
@push('css')
    <style>
        .accordion-button::after {
            display: none;
        }

        .add-button-wrapper {
            position: absolute;
            right: 15px;
            top: 10px;
            z-index: 9;
        }

        .accordion-button::before {
            flex-shrink: 0;
            width: var(--bs-accordion-btn-icon-width);
            height: var(--bs-accordion-btn-icon-width);
            content: "";
            background-image: var(--bs-accordion-btn-icon);
            background-repeat: no-repeat;
            background-size: var(--bs-accordion-btn-icon-width);
            transition: var(--bs-accordion-btn-icon-transition);
            text-align: left;
            margin-right: 5px;
        }
    </style>
@endpush
@section('content')
    <div class="row">
        <div class="col-md-8 col-lg-8 col-xl-8 col-xxl-8 mb-md-5 mb-xl-10">
            <div class="card overflow-hidden h-md-100">
                <!--begin::Card body-->
                <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
                    {!! Form::model($email, [
                        'url' => route('setup.email.template'),
                        'method' => 'post',
                        'id' => 'email_template_form',
                    ]) !!}
                    @if (!empty($email))
                        {{ Form::hidden('type', $email['id']) }}
                        {{ Form::hidden('id', $email['id']) }}
                    @endif
                    {!! Form::hidden('template_elements', null) !!}
                    <div class="mb-5">
                        {!! Form::label('email_type', __('Email Type'), ['class' => 'col-form-label-lg fw-semibold']) !!}
                        {!! Form::text('email_type', null, ['class' => 'form-control form-control-solid', 'required' => true]) !!}
                    </div>

                    <div class="mb-5">
                        {!! Form::label('email_title', __('Email Title'), ['class' => 'col-form-label-lg fw-semibold']) !!}
                        {!! Form::text('email_title', null, ['class' => 'form-control form-control-solid', 'required' => true]) !!}
                    </div>
                    <div class="mb-5">
                        <div
                            class="form-check form-switch form-switch-sm form-check-custom form-check-solid">
                            <label class="col-form-label-lg fw-semibold pe-5"><?=__('Is Letter?')?></label>
                            <input
                                id="is_letter"
                                class="form-check-input" type="checkbox"
                                value="" name="is_letter"
                                {{ isset($email['is_letter']) == 1 ? "checked=''" : '' }}>
                        </div>
                    </div>

                    <div class="mb-5">
                        {!! Form::label('email_body', __('Email Body'), ['class' => 'col-form-label-lg fw-semibold']) !!}
                        {!! Form::textarea('email_body', null, [
                            'class' => 'form-control form-control-solid tox-target',
                            'id' => 'email_body',
                            'required' => true,
                        ]) !!}
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-md-5 mb-xl-10">
            <!--begin::Accordion-->
            <div class="accordion" id="kt_accordion_1">
            </div>
            <!--end::Accordion-->
        </div>

        {{ Form::close() }}
    </div>
    <script>
        EmailTemplates.initForm();
    </script>
@endsection
