<style>
    $('body').popover({

        selector: '[data-popover]',
        trigger: 'click hover',
        html: true,
        delay: {
            show: 50, hide: 400
        }

        ,
        content: function() {
            return $(this).next(".popover-content").html();
        }
    });
</style>
<div class="col-md-12 col-lg-12 col-xl-12 col-xxl-12 mb-md-5 mb-xl-10">
    <div class="card card-flush overflow-hidden h-md-100 rounded-0">
        <!--begin::Card body-->
        <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
            <!--begin::table-->
            <div class="d-flex flex-column content-justify-center flex-row-fluid">
                <div class="table-responsive w-100">
                    <table class="table table-bordered gy-3 gs-3" id="email_template_list_table">
                        <thead class="py-5 fw-bold table-bordered fs-4 text-white bg-secondary">
                            <tr>
                                <th style="width: 20%" class="text-light"> {{ __('Email Title') }} </th>
                                <th style="width: 55%" class="text-light"> {{ __('Template') }} </th>
                                <th style="width: 10%" class="text-light"> {{ __('Status') }} </th>
                                <th style="width: 15%" class="text-light"> {{ __('Action') }} </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($results as $i => $row)
                                <tr>
                                    <td class="fs-5"> {{ $row['email_title'] }}</td>
                                    <td class="fs-5"
                                        style="display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 2; overflow: hidden; max-height: 4em;">
                                        {!! $row['email_body'] !!}</td>

                                    <td class="fs-5 text-center" valign="middle">
                                        <div class="form-check form-switch form-switch-sm form-check-custom form-check-solid"
                                            bis_skin_checked="1" style="display: inline-flex;">
                                            <input class="form-check-input" type="checkbox" value=""
                                                data-template_id="{{ $row['id'] }}" name="checkbox_status"
                                                {{ $row['status'] == 'active' ? 'checked' : '' }}>
                                        </div>
                                    </td>
                                    <td valign="middle" class="fs-5 text-center">
                                        <!--begin::Action-->
                                        <div class="btn-group">
                                            {{ getDefaultIconButton(['_title' => __('View'), 'data_action' => '', '_suffix' => '', '_class' => 'btn btn-sm btn-icon rounded-0 btn-primary btn_view', '_icon' => '<i class="fa fa-book-open p-0"></i>', '_data_options' => '', 'data_key' => $row['id']]) }}
                                            {{ getDefaultIconButton(['_title' => __('Edit'), 'data_action' => '', '_suffix' => '', '_class' => 'btn btn-secondary btn-sm btn-icon rounded-0 btn_edit_template', '_icon' => '<i class="fa-solid fa-pen-to-square p-0"></i>', '_data_options' => '', 'data_key' => $row['id']]) }}
                                            {{ getDeleteIconButton(['_title' => __('Delete'), 'data_action' => '', '_suffix' => '', '_icon' => 'fa-trash-can', '_data_options' => '', 'data_key' => $row['id']]) }}
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            <!--end::table-->
        </div>
        <!--end::Card body-->
    </div>
</div>
<script>
    "use strict";
    // Class definition
    var JSEmailTemplates = function() {
        var initTable = function() {
            const table = document.getElementById('email_template_list_table');
            if (!table) {
                return;
            }
            const datatable = $(table).DataTable({
                "scrollY": 500,
                "scrollX": true,
                "info": true,
                'order': [],
                "columnDefs": [{
                    "targets": 3,
                    "orderable": false
                }],
                "dom": "<'d-flex justify-content-between'" +
                    "<'d-flex align-items-center justify-content-start'l>" +
                    "<'d-flex align-items-center justify-content-start'f>" +
                    "<'d-flex align-items-center justify-content-start'i>" +
                    "<'d-flex align-items-center justify-content-end'p>" +
                    ">" +
                    "<'table-responsive'tr>"
            });
            var filterSearch = document.getElementById('kt_filter_search');
            if (filterSearch) {
                filterSearch.addEventListener('keyup', function(e) {
                    datatable.search(e.target.value).draw();
                });
            }
        }
        // Public methods
        return {
            init: function() {
                initTable();
            }
        }
    }();

    // On document ready
    KTUtil.onDOMContentLoaded(function() {
        JSEmailTemplates.init();
    });

    var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'));
    var popoverList = popoverTriggerList.map(function(popoverTriggerEl) {
        return new bootstrap.Popover(popoverTriggerEl);
    });
</script>
