@extends('layouts.ajax')
@section('content')
    {!! html()->form()->open() !!}
    <div class="row">
        <div class="col-md-12">
            <div class="form-group mb-4">
                {!! html()->label('time', __('Date & Time'))->class('form-label') !!}
                {!! html()->text('date', $email['mail_sent_time'])->class('form-control')->id('to_email')->placeholder('To')->attribute('readonly', true) !!}
            </div>
            <div class="form-group mb-4">
                {!! html()->label('to_email', __($type == 'outbox' ? 'To' : 'From'))->class('col-form-label-lg fw-semibold') !!}
                {!! html()->text('to_email', $type == 'outbox' ? $email['receiver_email'] : $email['sender_email'])->class('form-control form-control-solid')->id('to_email')->placeholder(__('To'))->attribute('readonly', true) !!}
            </div>
        </div>
    </div>
    <div class="col-mb-12">
        <div class="form-group mb-4">
            {!! html()->label('compose_subject', __('Subject'))->class('col-form-label-lg fw-semibold') !!}
            {!! html()->text('compose_subject', $email['mail_subject'])->class('form-control form-control-solid')->id('compose_subject')->placeholder(__('Subject'))->attribute('readonly', true) !!}
        </div>
        <!--begin::Form-->
        <div id="kt_inbox_compose_form">
            <!--begin::Body-->
            <div class="d-block">
                <!--begin::Message-->
                {!! html()->label(__('Message'))->class('form-label') !!}
                <div id="kt_inbox_form_editor" class="bg-transparent border-0  border-1 p-3"
                    style="border: 1px solid var(--bs-gray-300) !important;">{!! $email['mail_body'] !!}</div>
                <!--end::Message-->
            </div>
            <!--end::Body-->
        </div>
        @if (count($attachments) > 0)
            <div id="attachments-list" class="mt-4">
                @if (count($attachments) > 0)
                    {!! html()->label('attachments', __('Attachments'))->class('col-form-label-lg fw-semibold') !!}
                @endif
                @foreach ($attachments as $attachment)
                    <div class="d-flex align-items-sm-center border-bottom pb-4">
                        <!--begin::Symbol-->
                        <div class="symbol symbol-50px me-5">
                            <span class="symbol-label">
                                <i class="fa fa-file fs-2x"></i>
                            </span>
                        </div>
                        <div class="d-flex align-items-center flex-row-fluid flex-wrap">
                            <div class="flex-grow-1 me-2">
                                <a href="{{ $attachment['file_url'] }}" class="text-dark text-hover-primary fs-6 fw-bold"
                                    data-fancybox data-caption="{{ $attachment['original_name'] }}"
                                    title="{{ $attachment['file_url'] }}">{!! $attachment['original_name'] !!}</a>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        @endif
    </div>
    {!! html()->form()->close() !!}
@endsection
