<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8" />
    <meta name="description" content="{{ config('app.name', 'BASE') }}" />
    <meta name="keywords" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="accounting" />
    <meta property="og:title" content="{{ config('app.name', 'BASE') }}" />
    <meta property="og:url" content="localhost" />
    <meta property="og:site_name" content="{{ config('app.name', 'BASE') }}" />

    {{-- Favicon --}}
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.png') }}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter:400,500,600,700" />

    <!--begin::Vendor Stylesheets(used for this page only)-->
    <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datapicker/jquery-ui.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/datatables/datatables.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/OwlCarousel/css/owl.theme.default.min.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/OwlCarousel/css/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/swal_animate/animate.min.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/cropper/cropper.min.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/js/custom/lightbox/fancybox.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/global/plugins.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/style.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/pages/custom/panel-ovarlay.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/pages/custom/custom.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/fancybox/jquery.fancybox.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/datetime-picker/datetime-picker.css') }}" />
    <!--end::Vendor Stylesheets-->

    <!-- Global JS -->
    <script src="{{ asset('assets/plugins/global/plugins.bundle.js') }}"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="{{ asset('assets/js/scripts.bundle.js') }}"></script>
</head>

<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light shadow-sm position-sticky top-0 z-index-2"
            style="backdrop-filter: blur(10px);background: rgba(255, 255, 255, 0.8);">
            <div class="container">
                <a href="/">
                    <img src="{{ APP_LOGO }}" alt="Logo" class="h-15px">&nbsp;
                </a>
                <a class="navbar-brand fw-bold" href="{{ url('/') }}">
                    {{ config('app.name', '') }}
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto" id="self_registration_topmenu">
                        {{ getSaveButton([
                            '_title' => __('Submit'),
                            'display_text' => __('Submit'),
                        ]) }}
                        {{ getResetButton([]) }}
                        {{-- {{ getDefaultButton([
                            '_suffix' => '_search_af_profile',
                            '_title' => __('Search'),
                            '_text' => __('Search'),
                            '_class' => 'btn btn-sm btn-dark btn-active-light-dark rounded-0 fw-bold',
                            '_icon' => '<i class="fas fa-search"></i>',
                        ]) }} --}}
                        <!-- Authentication Links -->
                        @guest
                            {{-- @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="btn btn-secondary btn-sm btn-active-light-secondary rounded-0 fw-bold rounded-0 nav-link"
                                        href="{{ route('login') }}"><i class="fa fa-sign-in" aria-hidden="true"></i>
                                        {{ __('Sign In') }}</a>
                                </li>
                            @endif --}}

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link fw-bold" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown"
                                    class="btn btn-secondary btn-sm btn-active-light-secondary rounded-0 fw-bold nav-link dropdown-toggle fw-bold rounded-0"
                                    href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false" v-pre>
                                    <span><i class="fa fa-user" aria-hidden="true"></i>
                                        {{ Auth::user()->profile->full_name }}</span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-end rounded-0" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                        onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>

    <!-- Page JS -->
    <script src="{{ asset('assets/plugins/custom/datetime-picker/datetime-picker.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.14.1/moment.min.js"></script>
    <script src="{{ asset('assets/js/base_helper.js') }}"></script>
    <script src="{{ asset('assets/js/widgets.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/popper.min.js') }}"></script>
    <script src="{{ asset('assets/js/custom/widgets.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/OwlCarousel/js/owl.carousel.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/OwlCarousel/js/customOwlCarousel.js') }}"></script>
    <script src="{{ asset('assets/js/custom/custom.js') }}"></script>
    <script src="{{ asset('js/helper_ajax.js') }}"></script>
    <script src="{{ asset('assets/js/compose.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/push.js/1.0.8/push.min.js"></script>
    @stack('js')
</body>

</html>
