<!DOCTYPE html>
<html lang="en">

<head>
    <title>{{ config('app.name') }}</title>
    <meta charset="utf-8" />
    <meta name="description" content="{{ config('app.name', 'BASE') }}" />
    <meta name="keywords" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="accounting" />
    <meta property="og:title" content="{{ config('app.name', 'BASE') }}" />
    <meta property="og:url" content="localhost" />
    <meta property="og:site_name" content="{{ config('app.name', 'BASE') }}" />
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.png') }}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter:400,500,600,700" />
    <!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
    {{-- Css --}}
    <link rel="stylesheet" href="{{ asset('/assets/plugins/global/plugins.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/style.bundle.css') }}">
    @stack('css')
    <script>
        // Frame-busting to prevent site from being loaded within a frame without permission (click-jacking)
        if (window.top != window.self) {
            window.top.location.replace(window.self.location.href);
        }
    </script>
</head>

<body id="kt_body" class="app-blank">
    <!--begin::Theme mode setup on page load-->
    <script>
        var defaultThemeMode = "light";
        var themeMode;

        if (document.documentElement) {
            if (document.documentElement.hasAttribute("data-bs-theme-mode")) {
                themeMode = document.documentElement.getAttribute("data-bs-theme-mode");
            } else {
                if (localStorage.getItem("data-bs-theme") !== null) {
                    themeMode = localStorage.getItem("data-bs-theme");
                } else {
                    themeMode = defaultThemeMode;
                }
            }
            if (themeMode === "system") {
                themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light";
            }
            document.documentElement.setAttribute("data-bs-theme", themeMode);
        }
    </script>
    <!--end::Theme mode setup on page load-->
    <!--begin::Root-->
    <div class="d-flex flex-column flex-root" id="kt_app_root">
        <div class="d-flex flex-column flex-lg-row flex-column-fluid">
            <div class="d-flex flex-column flex-lg-row-fluid w-lg-25 p-10 order-2 order-lg-1">
                @yield('content')
                <div class="w-lg-500px d-flex flex-stack px-10">
                    <div class="d-flex gap-5">
                        <div class="text-dark order-2 order-md-1">
                            <span class="text-muted font-weight-bold mr-2"><?= date('Y') . '©' ?> </span>
                            <a target="_blank" href="#">{{ __('Company') }}</a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="d-flex flex-column flex-lg-row-fluid w-lg-25 p-10 order-2 order-lg-1" style="background-image: url(http://adverse-media-screening.test/img/banner.png); background-color:#203929; background-size: cover; background-repeat: no-repeat; opacity: 0.8;" >

            {{-- <div class="d-flex flex-column flex-lg-row-fluid w-lg-25 p-10 order-2 order-lg-1" style="background-image: url({{ asset('img/banner1.png') }});background-repeat: no-repeat; background-size: cover; "> --}}
            {{-- <div class="d-flex flex-column flex-lg-row-fluid w-lg-25 p-10 order-2 order-lg-1" style="background-image: url({{ asset('img/banner.png') }});"> --}}
            </div>
        </div>
    </div>
    <script>
        var hostUrl = "/";
    </script>
    <!-- Global JS -->
    <script src="{{ asset('assets/plugins/global/plugins.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/scripts.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/custom/authentication/sign-in/general.js') }}"></script>
    <script src="{{ asset('assets/js/custom/custom-login.js') }}"></script>
    <!-- Page JS -->
    @stack('js')
</body>

</html>
