<!DOCTYPE html>
<html lang="en">

<head>
    <base href="" />
    <title>{{ config('app.name') }} : {{ $page_title ?? '' }}</title>

    <meta charset="utf-8" />
    <meta name="description" content="{{ config('app.name', 'BASE') }}" />
    <meta name="keywords" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="accounting" />
    <meta property="og:title" content="{{ config('app.name', 'BASE') }}" />
    <meta property="og:url" content="localhost" />
    <meta property="og:site_name" content="{{ config('app.name', 'BASE') }}" />

    {{-- Favicon --}}
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.png') }}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter:400,500,600,700" />

    <!--begin::Vendor Stylesheets(used for this page only)-->
    <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datapicker/jquery-ui.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/datatables/datatables.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/OwlCarousel/css/owl.theme.default.min.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/OwlCarousel/css/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/swal_animate/animate.min.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/cropper/cropper.min.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/js/custom/lightbox/fancybox.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/global/plugins.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/style.bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/pages/custom/panel-ovarlay.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/css/pages/custom/custom.css') }}">
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/fancybox/jquery.fancybox.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('/assets/plugins/custom/datetime-picker/datetime-picker.css') }}" />
    <!--end::Vendor Stylesheets-->

    <!-- Global JS -->
    <script src="{{ asset('assets/plugins/global/plugins.bundle.js') }}"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="{{ asset('assets/js/scripts.bundle.js') }}"></script>

    <script>
        // Frame-busting to prevent site from being loaded within a frame without permission (click-jacking)
        if (window.top != window.self) {
            window.top.location.replace(window.self.location.href);
        }
    </script>
    @stack('css')
</head>

<body id="kt_app_body" data-kt-app-page-loading-enabled="true" data-kt-app-page-loading="on"
    data-kt-app-layout="light-sidebar" data-kt-app-header-fixed="true" data-kt-app-header-fixed-mobile="true"
    data-kt-app-sidebar-enabled="true" data-kt-app-sidebar-fixed="true" data-kt-app-sidebar-hoverable="false"
    data-kt-app-sidebar-push-header="true" data-kt-app-sidebar-push-toolbar="true"
    data-kt-app-sidebar-push-footer="true" data-kt-app-footer-fixed="true" data-kt-app-toolbar-enabled="true"
    data-kt-app-toolbar-fixed="true" class="app-default">
    @include('element.partials.theme-mode._init')
    @include('element.layout.partials._page-loader')
    @include('element.layout._default')
    @include('element.partials._scrolltop')
    <!--begin::Javascript-->
    <script>
        var hostUrl = "{{ asset('') }}";
    </script>

    <!--begin::Activities drawer-->
    @include('element.partials.drawers._overlay_panel')
    @include('element.partials.drawers._overlay_panel_small')
    @include('element.partials.drawers._side_panel')
    @include('element.partials.modals.global_modal')
    @include('element.partials.modals.global_upload_image_modal')

    <!--end::Activities drawer-->
    <!-- Page JS -->

        <script src="https://cdn.amcharts.com/lib/5/index.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/xy.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/percent.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/radar.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/themes/Animated.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/map.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/geodata/worldLow.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/geodata/continentsLow.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/geodata/usaLow.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/geodata/worldTimeZonesLow.js"></script>
		<script src="https://cdn.amcharts.com/lib/5/geodata/worldTimeZoneAreasLow.js"></script>
    <script src="{{ asset('assets/plugins/custom/datetime-picker/datetime-picker.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.14.1/moment.min.js"></script>
    <script src="{{ asset('assets/js/base_helper.js') }}"></script>
    <script src="{{ asset('assets/js/widgets.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/popper.min.js') }}"></script>
    <script src="{{ asset('assets/js/custom/widgets.js') }}"></script>
    <script src="{{ asset('assets/js/custom/base_app_ajax.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/OwlCarousel/js/owl.carousel.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/OwlCarousel/js/customOwlCarousel.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/cropper/cropper.min.js') }}"></script>
    <script src="{{ asset('assets/js/custom/panel-view.js') }}"></script>
    <script src="{{ asset('assets/js/custom/pages/user/profile.js') }}"></script>
    <script src="{{ asset('assets/js/custom/custom.js') }}"></script>
    <script src="{{ asset('js/helper_ajax.js') }}"></script>
    <script src="{{ asset('assets/js/custom/pages/template/mail_setup.js') }}"></script>
    <script src="{{ asset('assets/plugins/custom/tinymce/tinymce.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/compose.js') }}"></script>
    <script src="{{ asset('assets/js/jQuery.print.min.js') }}"></script>
    <script src="{{ asset('assets/js/custom/lightbox/fancybox.js') }}"></script>
    <script src="{{ asset('/assets/plugins/custom/fancybox/jquery.fancybox.min.js') }}"></script>
    @if (VOICE_ENABLE)
        <script src="{{ asset('js/voice/voice.js?timestamp=') . now()->timestamp }}"></script>
    @endif
    @stack('js')
    <script>
          $(document).ready(function() {
            new DataTable('.new-datatable', {
                dom: '<"top d-flex justify-content-between"Bf><"top-pagination d-flex justify-content-between"lp>rt<"bottom"i><"clear">',
                pageLength: 25, // Default pagination set to 20 rows
                order: [[1, 'desc']],
                layout: {
                    topStart: {
                        buttons: [
                            {
                                extend: 'copyHtml5',
                                columns: function(idx, data, node) {
                                        return !$(node).hasClass('nonexport');
                                    }
                            },
                            {
                                extend: 'excelHtml5',
                                columns: function(idx, data, node) {
                                        return !$(node).hasClass('nonexport');
                                    }
                            },
                            {
                                extend: 'csvHtml5',
                                columns: function(idx, data, node) {
                                        return !$(node).hasClass('nonexport');
                                    }
                            },
                            {
                                extend: 'pdfHtml5',
                                columns: function(idx, data, node) {
                                        return !$(node).hasClass('nonexport');
                                    }
                            }
                        ]
                    }
                }
            });
        });
    </script>
</body>

</html>
