@extends('layouts.master')
@section('content')
    <div class="card card-flush overflow-hidden h-md-100 rounded-0">
        <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
            <div class="d-flex flex-column content-justify-center flex-row-fluid">
                <div class="table-responsive w-100">
                    <table class="table table-bordered gy-3 gs-3" id="news-table">
                        <thead class="py-5 fw-bold table-bordered fs-4 text-white bg-secondary">
                            <tr>
                                <th>{{ __('SL') }}</th>
                                <th>{{ __('ID') }}</th>
                                <th>{{ __('Name of the person/entity') }}</th>
                                <th>{{ __('News Title') }}</th>
                                <th>{{ __('Location of the Incident') }}</th>
                                <th>{{ __('Predicate Offence Type') }}</th>
                                <th>{{ __('News Source') }}</th>
                                <th>{{ __('Entity/Owner Name') }}</th>
                                <th>{{ __('Publish Date') }}</th>
                                <th>{{ __('Address') }}</th>
                                <th>{{ __('Action') }}</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

@endsection

@push('js')
<script src="{{ asset('/js/base_data_table.js') }}"></script>
<script src="{{ asset('/assets/js/custom/News/news.js') }}"></script>
<script>
    $(document).ready(function() {
        NewsManagement.init("{{ csrf_token() }}", "{{ route('news.data') }}");
    });
</script>
@endpush
