<div class="row">
    @if ($notificationEvents->count() > 0)
        <div class="col-xl-12">
            <div class="card" id="kt_profile_details_view">
                <div class="card-header cursor-pointer">
                    <div class="card-title m-0">
                        <h3 class="fw-bold m-0">{{ __('Notification Configurations') }}</h3>
                    </div>
                    <div class="btn-group">
                        <a href="javascript:void(0)" id="user_configure_save"
                            class="btn btn-sm btn-primary btn-active-light-primary rounded-0 me-2 align-self-center"><i
                                class="fa fa-save"></i> Save</a>
                        <a href="javascript:void(0)"
                            class="btn btn-sm btn-danger btn-active-light-danger rounded-0 me-2 align-self-center"
                            id="reset_btn_configure"><i class="fa-solid fa-arrow-rotate-left"></i> Reset</a>
                    </div>
                </div>
                <div class="card-body p-9" id="ajaxLoadConfiguresLoader">
                    <div class="col-sm-12">
                        <div class="form-check form-check-custom form-check me-3 m-2">
                            <input type="checkbox" class="rounded-0 form-check-input" id="all_select">
                            <label class="form-check-label"><span
                                    style="color: black">{{ __('Select All') }}</span></label>
                        </div>
                    </div>
                    {!! html()->form('POST', route('configuration.notification'))->id('userConfigureForm')->open() !!}
                    {!! html()->hidden('id', $configuration->id ?? 0) !!}
                    {!! html()->hidden('profile_id', $profile_id ?? 0) !!}
                    <div class="row">
                        @foreach ($notificationEvents as $notificationEvent)
                            <div class="col-sm-4">
                                <div class="form-check form-check-custom form-check me-3 m-2">
                                    <input type="checkbox" name="notification_ids[]"
                                        class="rounded-0 form-check-input child_select"
                                        value="{{ $notificationEvent->id }}"
                                        @if (isset($configuration->notification_events) &&
                                                !empty($configuration->notification_events) &&
                                                in_array($notificationEvent->id, json_decode($configuration->notification_events, true))) checked @endif>
                                    <label class="form-check-label"><span
                                            style="color: black">{{ $notificationEvent->title }}</span></label>
                                </div>
                            </div>
                        @endforeach
                    </div>
                    {!! html()->form()->close() !!}
                </div>
            </div>
        </div>
    @else
        <div class="row">
            <div class="col-xl-12">
                <div class="card">
                    <h4 class="text-center m-8">{{ __('No configuration found.') }}</h4>
                </div>
            </div>
        </div>
    @endif
</div>
