@forelse ($notifications['data'] as $notification)
    <div type="submit" class="p-3 view_notification" data-key="{{ $notification['id'] }}">
        <div class="d-flex flex-stack py-4">
            <div class="d-flex align-items-center">
                <div class="symbol symbol-35px me-4">
                    <span class="symbol-label bg-light-primary">
                        <i class="ki-duotone ki-notification-on text-primary fs-2qx">
                            <span class="path1"></span>
                            <span class="path2"></span>
                            <span class="path3"></span>
                            <span class="path4"></span>
                            <span class="path5"></span>
                        </i>
                    </span>
                </div>
                <div class="mb-0 me-2">
                    <a @if (isset($notification['click'])) href="{{ $notification['click'] }}"
                   @else href="javascript:void(0)" @endif
                        class="fs-6 text-gray-800 text-hover-primary fw-bold notification_title">{!! $notification['title'] !!}</a>
                    <div class="text-gray-800 fs-7 notification_message">{!! $notification['message'] !!}</div>
                </div>
            </div>
            <span class="badge badge-light fs-8 notification_time">{{ getTimeAgo($notification['time']) }}</span>
            @if ($notification['view_status'] == 'new')
                <span
                    class="badge badge-light-danger status_id_button_{{ $notification['id'] }}">{{ __('New') }}</span>
            @endif
            <input type="hidden" class="notification_id" value="{{ $notification['id'] }}">
        </div>
    </div>
@empty
    <h3>{{ __('No notification found') }}</h3>
@endforelse

<script>
    $(document).off('click', ".view_notification").on('click', ".view_notification", function(e) {
        e.preventDefault();
        var id = $(this).data('key');
        $('.status_id_button_' + id + '').addClass('d-none');
        BaseAppAjax.ajaxGetData('', '', "{{ route('seen.notification') }}", {
            id: id
        }, function(data) {}, );
    });
</script>
