@extends('layouts.ajax')
@section('content')
    <div class="row">
        <input type="hidden" id="notify_profile_id" name="notify_profile_id" value="{{ $profile_id }}">
        <input type="hidden" id="notify_client_profile_id" name="notify_client_profile_id" value="{{ $client_profile_id }}">
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-label">{{ __('Choose Notify Type') }}</label>
                <div class="radio-inline">
                    <label class="radio radio-lg m-2">
                        <input type="radio" name="notification_type" id="notification_type" value="push">
                        <span></span>
                        {{ __('Push Notification') }}
                    </label>
                    <label class="radio radio-lg m-2">
                        <input type="radio" name="notification_type" id="notification_type" value="email">
                        <span></span>
                        {{ __('Send Email') }}
                    </label>
                    <label class="radio radio-lg m-2">
                        <input type="radio" name="notification_type" id="notification_type" value="sms">
                        <span></span>
                        {{ __('Send Sms') }}
                    </label>
                </div>
            </div>
        </div>
    </div>
    <div id="ajaxLoadNotifyWiseTemplateLoader" class="position-relative">
        <div id="ajaxLoadNotifyWiseTemplate"></div>
    </div>
@endsection
<script src="{{ asset('/assets/js/custom/notification/index.js') }}"></script>
<script>
    "use strict";
    $(document).ready(function() {
        Notify.init(
            '{{ csrf_token() }}',
            "{{ $client_profile_id }}",
            "{{ $profile_id }}",
            "{{ route('type.notification') }}",
            "{{ route('send.notification') }}",
            "{{ route('view.email_template') }}",
            "{{ route('populate_data.template') }}"
        );
    });
</script>
