@extends('layouts.master')
@section('content')
    <div class="card card-flush overflow-hidden h-md-100 rounded-0">
        <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
            <div class="d-flex flex-column content-justify-center flex-row-fluid">
                <div class="table-responsive w-100">
                    <table class="table table-bordered gy-3 gs-3" id="notification_event_list_table">
                        <thead class="py-5 fw-bold table-bordered fs-4 text-white bg-secondary">
                            <tr>
                                <th>{{ __('SL') }}</th>
                                <th>{{ __('ID') }}</th>
                                <th>{{ __('Notification Type') }}</th>
                                <th>{{ __('Name') }}</th>
                                <th>{{ __('Title') }}</th>
                                <th>{{ __('Description') }}</th>
                                {{-- <th>{{ __('Role') }}</th> --}}
                                <th>{{ __('Action') }}</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('js')
    <script src="{{ asset('/js/base_data_table.js') }}"></script>
    <script src="{{ asset('/assets/js/custom/pages/notification_event/notification_event.js') }}"></script>
    <script>
        "use strict";
        $(document).ready(function() {
            NotificationEvent.init('{{ csrf_token() }}', "{{ route('data.notification.event') }}",
                "{{ route('setup.notification.event') }}",
                "{{ route('setup.notification.event') }}",
                "{{ route('delete.notification.event', ['id' => ':id']) }}");
        });
    </script>
@endpush
