@extends('layouts.master')
@section('content')
    <div class="card custom-card border-bottom mb-2">
        <div class="card-header p-0">
            {{ $page_title ?? '' }}
            <div class="float-right btn-area">
                <a title="" href="/" class="btn btn-primary btn-icon btn-square btn-sm" data-original-title="Back">
                    <i class="fas fa-angle-left"></i>
                </a>
            </div>
        </div>
    </div>
    <div class="card card-custom gutter-b">
        <?= $this->Form->create($entityEmployeeProfile, ['type' => 'file']) ?>
        <div class="card-body p-2">
            <div class="image-input image-input-outline" id="kt_image">
                <div class="image-input-wrapper"
                    style="background-image: url(<?= !empty($entityEmployeeProfile->photo) ? $this->Url->build(['controller' => 'Pages', 'action' => 'getFileData', 'prefix' => false, '?' => ['fileUrl' => base64_encode(UPLOAD_PATH . $entityEmployeeProfile->photo_dir . $entityEmployeeProfile->photo)]]) : $this->request->getAttribute('webroot') . 'assets/media/users/default.jpg' ?>)">
                </div>

                <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                    data-action="change" data-toggle="tooltip" title="" data-original-title="Change avatar">
                    <i class="fa fa-pen icon-sm text-muted"></i>
                    <?php
                    echo $this->Form->file('profile_avatar', ['accepts' => '.png, .jpg, .jpeg']);
                    ?>
                    <input type="hidden" name="profile_avatar_remove" />
                </label>

                <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                    data-action="cancel" data-toggle="tooltip" title="Cancel avatar">
                    <i class="ki ki-bold-close icon-xs text-muted"></i>
                </span>
            </div>
            <?= $this->Form->control('name', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('Name'), 'required' => true]) ?>
            <?= $this->Form->control('present_address', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('Address')]) ?>
            <?= $this->Form->control('designation', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('Designation'), 'required' => true]) ?>
            <?= $this->Form->control('nid', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('NID')]) ?>
            <?= $this->Form->control('employee_code', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('Employee Code'), 'required' => true]) ?>
            <?= $this->Form->control('mobile', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('Phone')]) ?>
            <?= $this->Form->control('email', ['class' => 'form-control form-control-solid mx-2 my-2', 'label' => __('Email'), 'required' => true]) ?>
            <label class="">{{ __('Signature') }}</label>
            <div class="image-input image-input-outline" id="kt_image2">
                <div class="image-input-wrapper"
                    style="background-image: url(<?= !empty($entityEmployeeProfile['signature_image']) ? $this->Url->build(['controller' => 'Pages', 'action' => 'getFileData', 'prefix' => false, '?' => ['fileUrl' => base64_encode(UPLOAD_PATH . $entityEmployeeProfile['signature_image'])]]) : $this->request->getAttribute('webroot') . 'assets/media/books/img-72.jpg' ?>)">
                </div>

                <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                    data-action="change" data-toggle="tooltip" title="" data-original-title="Change signature">
                    <i class="fa fa-pen icon-sm text-muted"></i>
                    <?php
                    echo $this->Form->file('signature_image_file', ['accepts' => '.png, .jpg, .jpeg']);
                    ?>
                    <input type="hidden" name="signature_image_remove" />
                </label>

                <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                    data-action="cancel" data-toggle="tooltip" title="Cancel avatar">
                    <i class="ki ki-bold-close icon-xs text-muted"></i>
                </span>
            </div>
        </div>
        <div class="card-footer">
            <?= $this->Form->button(__('Update'), ['class' => 'btn btn-primary', 'type' => 'submit']) ?>
        </div>
        <?= $this->Form->end() ?>
    </div>

    @push('js')
        <script>
            $(function() {
                new KTImageInput('kt_image');
                new KTImageInput('kt_image2');
            })
        </script>
    @endpush
@endsection
