@extends('layouts.master')

@section('content')
<div class="container p-5" style="background: white">
    @if(count($results) > 0)
        <table class="table table-bordered new-datatable">
            <thead>
                <tr>
                    <th>Person/Entity Name</th>
                    <th>Match Percentage</th>
                    <th>Summery Percentage</th>
                    <th>News Title</th>
                    <th>News Link</th>
                    <th>Published Date</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($results as $result)
                    <tr>
                        <td>{{ $result['customer_name'] }}</td>
                        <td>{{ $result['name_match'] }}%</td>
                        <td> Average Match: {!!  $result['match_percentage'] !!} % <br> {!!  $result['summery_percentage'] !!}</td>
                        <td>{{ $result['news_title'] }}</td>
                        <td><a href="{{ $result['news_link'] }}" target="_blank">{{$result['news_source']}}</a></td>
                        <td>{{ $result['published_date'] }}</td>
                        <td>
                            <a href="{{ route('against-prominent-person.view', ['id' => $result['id']]) }}" data-key="50"
                                class="btn btn-bg-light btn-color-muted btn-active-color-primary btn-sm px-4 me-2">360
                                View</a>
                        </td>

                    </tr>
                @endforeach
            </tbody>
        </table>
    @else
        <p>No matching records found.</p>
    @endif
</div>
@endsection
