@extends('layouts.master')
@section('content')

<div class="container mt-5">
    <!-- Customer Search Section -->
    <div class="card mb-4">
        <div class="card-body">
            <h5>Enter Customer Name:</h5>
            <form id="searchForm">
                <div class="input-group mb-3">
                    <input type="text" id="customerName" class="form-control" placeholder="Customer Name" required>
                    <button class="btn btn-primary" type="button" onclick="performSearch()">Search</button>
                </div>
            </form>
            <div id="loader" class="progress mt-3" style="display: none;">
                <div id="loaderBar" class="progress-bar bg-primary" role="progressbar" style="width: 0%;" aria-valuemin="0" aria-valuemax="100">Processing 0%</div>
            </div>
        </div>
    </div>

    <!-- Results Section -->
    <div id="results" style="display: none;">
        <h5>Matching Results:</h5>
        <table class="table table-striped table-bordered rounded shadow-sm">
            <thead class="table-light">
                <tr>
                    <th>#</th>
                    <th>Customer Name Variety</th>
                    <th>Matching Percentage</th>
                    <th>Profile</th>
                </tr>
            </thead>
            <tbody id="resultList"></tbody>
        </table>

        <h5>Matching Newses:</h5>
        <table class="table table-striped table-hover table-bordered rounded shadow-sm">
            <thead class="table-light">
                <tr>
                    <th>Title</th>
                    <th>Source</th>
                </tr>
            </thead>
            <tbody id="newsList"></tbody>
        </table>
    </div>
</div>

<script>
    function performSearch() {
        const loader = document.getElementById('loader');
        const loaderBar = document.getElementById('loaderBar');
        const results = document.getElementById('results');
        loader.style.display = 'block';
        results.style.display = 'none';

        let progress = 0;
        const interval = setInterval(() => {
            progress += 1;
            loaderBar.style.width = progress + '%';
            loaderBar.textContent = 'Processing ' + progress + '%';

            if (progress >= 100) {
                clearInterval(interval);
                loader.style.display = 'none';
                showResults();
            }
        }, 30); // Adjust speed as needed
    }

    function showResults() {
        const resultList = document.getElementById('resultList');
        const newsList = document.getElementById('newsList');
        resultList.innerHTML = '';
        newsList.innerHTML = '';

        // Example results data
        const results = [
            { id: 1, name: "Sakib Al Hasan", match: "80%" },
            { id: 2, name: "Shakib Hasan", match: "60%" },
            { id: 3, name: "Shakib Hossain", match: "50%" },
            { id: 4, name: "Sakib Hossain", match: "55%" },
            { id: 5, name: "Saakib Hosen", match: "40%" }
        ];

        const newsData = [
            { 'title': '‘গোল্ড কিনেন’ অ্যাপের আড়ালে প্রতারণার ছক', 'source' : 'Kaler Kantha'},
            { 'title': 'অর্থ-সম্পদে ধারেকাছে নেই কেউ', 'source' : 'Samakal'},
            { 'title': 'অবৈধ সম্পদ অর্জন: আ. লীগ নেতার বিরুদ্ধে দুদকের চার্জশিট', 'source' : 'banglanews24'},
            { 'title': 'পরিবহনে চাঁদাবাজির সময় ডেমরায় গ্রেপ্তার ৩', 'source' : 'Kalbela'},
            { 'title': 'স্বর্ণালংকার চোর চক্রের ২ সদস্য গ্রেপ্তার', 'source' : 'Unknown Source'},
        ];

        results.forEach(item => {
            resultList.innerHTML += `
                <tr>
                    <td>${item.id}</td>
                    <td>${item.name}</td>
                    <td>
                        <div class="progress" style="height: 20px;">
                            <div class="progress-bar bg-success" role="progressbar" style="width: ${item.match};">
                                ${item.match}
                            </div>
                        </div>
                    </td>
                    <td> <a class="btn btn-info" href="/customer/profile/1">View</a></td>

                </tr>`;
        });

        newsData.forEach(news => {
            newsList.innerHTML += `
                <tr>
                    <td>${news.title}</td>
                    <td><span class="badge badge-info">${news.source}</span></td>
                </tr>`;
        });

        document.getElementById('results').style.display = 'block';
    }
</script>
@endsection
