@extends('layouts.master')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <!--begin::Header-->
                <div class="card-header pt-5">
                    <!--begin::Title-->
                    <div class="card-title d-flex flex-column">
                        <!--begin::Amount-->
                        <span class="fs-2x fw-bold me-2 lh-1 ls-n2">{{ __('Table View') }}</span>
                        <!--end::Amount-->
                    </div>
                    <!--end::Title-->
                </div>
                <!--end::Header-->

                <!--begin::Card body-->
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-light table-striped w-100" id="dataTable">

                        </table>
                    </div>
                </div>
                <!--end::Card body-->
            </div>
        </div>
    </div>
@endsection
@push('js')
    <script>
        function deleteConfig() {
            alert('this is demo');
        }
        var tabledatas;
        var csrfToken = $('meta[name="csrf-token"]').attr('content');
        var page = 1;
        var length = 10;
        var url = '{{ route('admin.clients.ajax') }}';
        var ClientList = {
            loadMemberTable: function() {
                $.ajax({
                    url: url,
                    method: 'POST',
                    dataType: 'json',
                    responsive: true,
                    data: {
                        page: page,
                        length: length
                    },
                    headers: {
                        'X-CSRF-Token': csrfToken
                    },
                    success: function(response) {
                        if (response.data) {
                            tabledatas = response.data;
                            var dataTable = $('#dataTable');
                            dataTable.DataTable({
                                "data": tabledatas,
                                "bDestroy": true,
                                "bProcessing": true,
                                "bSort": true,
                                "dataSrc": "Data",
                                "scrollY": 550,
                                "scrollX": false,
                                "lengthMenu": [
                                    [10, 25, 50, -1],
                                    [10, 25, 50, 'All'],
                                ],
                                "drawCallback": function(settings) {
                                    var api = this.api();
                                    var startIndex = api.page.info().start;
                                    api.column(0, {
                                        search: 'applied',
                                        order: 'applied'
                                    }).nodes().each(function(cell, i) {
                                        cell.innerHTML = startIndex + i + 1;
                                    });
                                },
                                "columns": [{
                                        "title": '#Sl No',
                                        "data": "id"
                                    },
                                    {
                                        "title": "Client Name",
                                        "data": "company_name"
                                    }, {
                                        "title": " Business Type",
                                        "data": "business_type"
                                    }, {
                                        "title": "Email",
                                        "data": "email"
                                    }, {
                                        "title": "Phone",
                                        "data": "phone"
                                    }, {
                                        "title": "Incorporation Number",
                                        "data": "incorporation_number"
                                    }, {
                                        "title": "Incorporation Date",
                                        "data": "incorporation_date"
                                    }, {
                                        "title": " Next Account End Date",
                                        "data": "next_account_end_date"
                                    }, {
                                        "title": "Delete",
                                        "data": "id",
                                        render: function(data, type, full, meta) {
                                            return "<button type='button' class='btn btn-danger btn-sm btn-icon' value='Edit' onclick='deleteConfig()'><i class='fa fa-trash' aria-hidden=true></i></button>";
                                        }
                                    }
                                ]
                            });
                        } else {
                            toastr.error(response.error);
                        }
                    },
                    error: function(xhr, status, error) {
                        // Handle the error
                        console.log(error);
                    }
                });
            }
        }
        $(document).ready(function() {
            ClientList.loadMemberTable();
        });
    </script>
@endpush
