<div id="kt_login">
    <!--begin::Signin-->
    <div class="d-flex flex-center flex-column flex-lg-row-fluid" id="">
        <div class="w-lg-500px p-10">
            <?= $this->Form->create(null, [
                'class' => 'form w-100 fv-plugins-bootstrap5 fv-plugins-framework',
                'id' => 'kt_sign_in_form',
                'data-kt-redirect-url' => '/dashboard',
            ]) ?>
            <div class="text-center pb-8">
                <?= $this->Html->link($this->Html->image('app.png', ['alt' => 'Logo']), APP_URL, ['escape' => false, 'class' => 'text-center mb-10 d-block']) ?>
                <h2 class="fw-bolder text-dark fs-1"><?= __('Sign In') ?></h2>
            </div>
            <div class="fv-row mb-8">
                <?= $this->Form->text('username', [
                    'class' => 'form-control form-control-solid form-control form-control-solid-solid h-auto fs-4 rounded-0',
                    'autocomplete' => 'off',
                    'placeholder' => __('Login ID'),
                ]) ?>
            </div>
            <div class="fv-row mb-8 fv-plugins-icon-container">
                <div class="d-flex flex-stack flex-wrap gap-3 fw-semibold mb-2 fs-5">
                    <div></div>
                    <?= $this->Html->link(__('Forgot Password?'), APP_URL, ['escape' => false, 'class' => 'link-primary fs-4 mb-1', 'id' => 'kt_login_forgot']) ?>
                </div>
                <?= $this->Form->password('password', [
                    'class' => 'form-control form-control-solid form-control form-control-solid-solid h-auto fs-4 rounded-0',
                    'autocomplete' => 'off',
                    'placeholder' => __('Password'),
                ]) ?>
                <div class="fv-plugins-message-container invalid-feedback"></div>
            </div>
            <div class="d-grid mb-10">
                <label for="remember" class="form-check form-check-custom form-check-solid">
                    <input id="remember" class="form-check-input" type="checkbox" value="1">
                    <span class="form-check-label fw-semibold text-muted">
                        {{ __('Remember Password') }}
                    </span>
                </label>
            </div>
            <div class="d-grid mb-10">
                <input value="Sign In" type="submit" id="kt_sign_in_submit"
                    class="btn btn-primary btn-lg rounded-0 indicator-label fw-bolder fs-3">
                <span class="indicator-progress">
                    {{ __('Please wait...') }}
                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                </span>
                </input>
            </div>
            <?= $this->Form->end() ?>
        </div>
    </div>
    <!--end::Signin-->
    <!--begin::ForgotPassword-->
    <div class="login-form login-forgot">
        <!--begin::Form-->
        <?php
        echo $this->Form->create(null, [
            'type' => 'post',
            'url' => '/forgetPassword',
            'id' => 'kt_login_forgot_form',
            'class' => 'form w-100 fv-plugins-bootstrap5 fv-plugins-framework',
        ]);
        ?>
        <!--begin::Title-->
        <div class="pb-13 pt-lg-0 pt-5">
            <h3 class="font-weight-bolder text-dark font-size-h4 font-size-h1-lg"><?= __('Forgotten Password ?') ?></h3>
            <p class="text-muted font-weight-bold font-size-h4"><?= __('Enter your email to reset your password') ?></p>
        </div>
        <!--end::Title-->
        <!--begin::Form group-->
        <div class="form-group fv-plugins-icon-container">
            <input class="form-control form-control-solid form-control form-control-solid-solid h-auto rounded-lg font-size-h6" type="text"
                placeholder="Email" name="email" autocomplete="off">
            <div class="fv-plugins-message-container"></div>
        </div>
        <!--end::Form group-->
        <!--begin::Form group-->
        <div class="form-group d-flex flex-end pb-lg-0">
            <button type="submit" id="kt_login_forgot_submit"
                class="btn btn-primary fw-bolder rounded-0 fs-h6 px-8 py-4 my-3 mr-4"><?= __('Submit') ?></button>
            <button type="button" id="kt_login_forgot_cancel"
                class="btn btn-light-primary fw-bolder rounded-0 fs-h6 px-8 py-4 m-3"><?= __('Cancel') ?></button>
        </div>
        <!--end::Form group-->
        <div></div>
        <?php
        echo $this->Form->end();
        ?>
        <!--end::Form-->
    </div>
    <!--end::ForgotPassword-->
</div>
