@extends('layouts.master')
@section('content')
@php
$is_colleague = ($type == 'colleague');
@endphp
<div class="row">
    <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-12 mb-md-5 mb-xl-10" id="ajaxLoadData">
    </div>
</div>
@endsection
@push('js')
<script src="{{ asset('assets/js/custom/pages/user/change_password.js') }}"></script>
<script>
    $(document).ready(function() {
        ajaxLoadMemberIndex();
        $("#searchField").on('keyup', function() {
            var searchText = $(this).val().toLowerCase();
            // Show only matching TR, hide rest of them
            tableRowSearch(searchText);
        });
        $("#searchButton").on('click', function() {
            var searchText = $("#searchField").val().toLowerCase();
            // Show only matching TR, hide rest of them
            tableRowSearch(searchText);
        });
    });

    var csrfToken = $('meta[name="csrf-token"]').attr('content');
    var MemberList = {
        page: 1,
        length: 10,
        url: '{{ !$is_colleague ? route("manager_list") : route("colleague_list") }}',
        loadMemberTable: function() {
            $.ajax({
                url: this.url,
                method: 'POST',
                dataType: 'json',
                data: {
                    page: this.page,
                    length: this.length
                },
                headers: {
                    'X-CSRF-Token': csrfToken
                },
                success: function(response) {
                    // // Assuming the response is an array of objects with the necessary data

                    if (response.data) {
                        var data = response.data
                        data.forEach(function(item) {
                            // Create a new table row
                            var newRow = $('<tr></tr>');
                            // Add the necessary columns to the row
                            newRow.append(
                                '<td valign="middle" class="text-center"> <div class="d-flex align-items-center"> <div class="position-relative"> <div class="symbol symbol-35px symbol-circle"> <img src="' +
                                item.profile_image +
                                '" alt="Profile Image" class="symbol-label"> </div> <div class="bg-success position-absolute border border-4 border-body h-15px w-15px rounded-circle translate-middle start-100 top-100 ms-n1 mt-n1"></div> </div> </div> </td><td valign="middle"> <div class="d-flex flex-column justify-content-center"> <a href="" class="fs-6 text-dark text-hover-primary">' +
                                item.name +
                                '</a> </div></td><td valign="middle"> <div class="fw-semibold fs-6 text-dark">' +
                                item.designation +
                                '</div></td><td valign="middle"> <div class="fw-semibold fs-6 text-dark">' +
                                item.email + '</div></td><td valign="middle">' + item
                                .mobile +
                                '</td><td valign="middle"> <div class="fw-semibold fs-6 text-dark">' +
                                item.gender +
                                '</div></td>')
                            <?php if (!$is_colleague) : ?>
                                newRow.append('<td valign="middle"><a href="javascript:;">' +
                                    item.colleague + '</a></td>');
                            <?php else : ?>
                                newRow.append('<td valign="middle">' +
                                    item.manager + '</td>');
                            <?php endif; ?>

                            newRow.append(
                                '<td class="text-center">' +
                                '<div class="btn-group">' +
                                ' <button type="button" class="btn btn-primary btn-sm btn-icon rounded-0" data-bs-toggle="tooltip" data-bs-placement="top" title="View Profile" onclick="ajaxLoadUserView(' + item.user_id + ')"><i class="ki-duotone ki-eye fs-2x"><i class="path1"></i><i class="path2"></i><i class="path3"></i></i></button>' +
                                ' <button type="button" id="btn_send_notification" class="btn btn-dark btn-sm btn-icon rounded-0 btn_user_send_email" data-bs-toggle="tooltip" data-bs-placement="top" data-id="' + item.user_id + '" data-email="' + item.email + '" title="User Notify"><i class="fa-regular fa-paper-plane"></i></button>' + '</div>' +
                                '</td>'
                            );
                            // Append the new row to the table body
                            $('#member_list_table_body').append(newRow);
                        });
                    } else {
                        toastr.error(response.error);
                    }
                },
                error: function(xhr, status, error) {
                    // Handle the error
                    console.log(error);
                }
            });
        }

    }
    // Class definition
    var JSManagerList = function() {
        var initTable = function() {
            const table = document.getElementById('manager_list_table');
            if (!table) {
                return;
            }
            const datatable = $(table).DataTable({
                // "scrollY": 500,
                // "scrollX": true,
                "info": true,
                'order': [],
                "columnDefs": [{
                    "targets": 3,
                    "orderable": false
                }],
                "dom": "<'d-flex justify-content-between'" +
                    "<'d-flex align-items-center justify-content-start'l>" +
                    "<'d-flex align-items-center justify-content-start'f>" +
                    "<'d-flex align-items-center justify-content-start'i>" +
                    "<'d-flex align-items-center justify-content-end'p>" +
                    ">" +
                    "<'table-responsive'tr>"
            });
            var filterSearch = document.getElementById('kt_filter_search');
            if (filterSearch) {
                filterSearch.addEventListener('keyup', function(e) {
                    datatable.search(e.target.value).draw();
                });
            }
        }
        // Public methods
        return {
            init: function() {
                initTable();
            }
        }
    }();

    function ajaxLoadMemberIndex() {
        $.ajax({
            url: "{{ route('memberListAjax', [$type]) }}",
            method: 'get',
            success: function(response) {
                $("#ajaxLoadData").html(response);
                MemberList.loadMemberTable();
                $(".breadcrumb-3rd-hypen").addClass('d-none');
                $(".breadcrumb-3rd-text").addClass('d-none');
                $(".static-topbar-btn-div").removeClass('d-none');
                $(".custom-topbar-btn-div").addClass('d-none');
            }
        });
    }
    $(document).off('click', ".custom-topbar-btn").on('click', ".custom-topbar-btn", function() {
        ajaxLoadMemberIndex();
    });
</script>
@endpush
