@extends('layouts.master')
@section('content')
    {!! Form::open(['id' => 'user_form', 'enctype' => 'multipart/form-data']) !!}
    <div class="row g-3">
        <div class="col-md-8">
            <div class="card h-md-100 mb-6 mb-md-0">
                <div class="card-header border-0">
                    <div class="card-title">
                        <h2 class="fw-bold">@lang('Profile Details')</h2>
                    </div>
                </div>
                <div class="card-body pt-0" id="member_profile">
                    <div class="row g-5">
                        <div class="col-md-12">
                            {{ Form::hidden('id', $user_id) }}
                            @if ($key == 'client')
                                {{ Form::label('client_profile', __('Client Profile'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                {{ Form::select('client_profile', ['' => 'Select Client'] + $clients, null, ['class' => 'form-control form-control-solid rounded-0 mb-5', 'data-control' => 'select2', 'required' => true]) }}
                            @endif
                            {{ Form::label('name_title', __('Full Name'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                            <div class="input-group mb-5">
                                <div class="fv-row col-md-2">
                                    {{ Form::select('name_title', $name_title_options, null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true, 'data-control' => 'select2']) }}
                                </div>
                                {{ Form::text('first_name', null, ['class' => 'form-control form-control-solid rounded-0', 'id' => 'first_name', 'placeholder' => 'First Name', 'required' => true]) }}
                                {{ Form::text('last_name', null, ['class' => 'form-control form-control-solid rounded-0', 'id' => 'last_name', 'placeholder' => 'Last Name', 'required' => true]) }}
                            </div>
                            <div class="d-flex gap-5 mb-5">
                                <div class="fv-row flex-row-fluid col-md-8">
                                    {{ Form::label('designation', __('Designation'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('designation', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                                </div>
                                <div class="fv-row flex-row-fluid col-md-4">
                                    {{ Form::label('employee_code', __('Employee Code'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('employee_code', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                                </div>
                            </div>
                            <div class="d-flex gap-5">
                                <div class="fv-row flex-row-fluid col-md-6">
                                    {{ Form::label('dob', __('Date of Birth'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('dob', null, ['class' => 'form-control form-control-solid rounded-0 datepicker', 'required' => true, 'pattern' => '\d{4}-\d{2}-\d{2}']) }}
                                </div>
                                <div class="fv-row flex-row-fluid col-md-6">
                                    {{ Form::label('gender', __('Gender'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                    {{ Form::select('gender', $gender_options, null, ['class' => 'form-control form-control-solid mb-5 rounded-0', 'required' => true, 'data-control' => 'select2']) }}
                                </div>
                            </div>
                            <div class="d-flex gap-5">
                                <div class="fv-row flex-row-fluid col-md-6 mb-5">
                                    {{ Form::label('driving_license', __('Driving License'), ['class' => 'col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('driving_license', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                                </div>
                                <div class="fv-row flex-row-fluid col-md-6">
                                    {{ Form::label('passport', __('Passport'), ['class' => 'col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('passport', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                                </div>
                            </div>
                            <div class="d-flex gap-5">
                                <div class="fv-row flex-row-fluid col-md-6 mb-5">
                                    {{ Form::label('nationality', __('Nationality'), ['class' => 'col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('nationality', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                                </div>
                                <div class="fv-row flex-row-fluid col-md-6">
                                    {{ Form::label('nid', __('National Insurance or NI No.'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('nid', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                                </div>
                            </div>

                            <div class="d-flex gap-5">
                                <div class="fv-row flex-row-fluid col-md-6 mb-5">
                                    {{ Form::label('mobile', __('Mobile'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                    {{ Form::number('mobile', null, ['class' => 'form-control form-control-solid rounded-0 mobile-number', 'required' => true]) }}
                                </div>
                                <div class="fv-row flex-row-fluid col-md-6">
                                    {{ Form::label('joining_date', __('Date of Joining'), ['class' => 'col-form-label-lg fw-semibold']) }}
                                    {{ Form::text('joining_date', null, ['class' => 'form-control form-control-solid rounded-0 datepicker', 'required' => true, 'pattern' => '\d{4}-\d{2}-\d{2}']) }}
                                </div>
                            </div>
                            <h2 class="fw-bold mt-2 p-2 bg-light">{{ __('Address') }}</h2>
                            <div class="separator separator-dashed my-3"></div>
                            <div class=" g-5">
                                @include('element.page._address', [
                                    'address' => [
                                        'prefix' => 'address',
                                        'info' => [],
                                        'area' => '',
                                        'post_code' => '',
                                    ],
                                ])
                            </div>
                        </div>
                        <div class="col-md-6">

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card mb-6 mb-md-6">
                <div class="card-header border-0">
                    <div class="card-title">
                        <h2 class="fw-bold">@lang('Profile Identification Images')</h2><br>
                    </div>
                </div>
                <div class="card-body pt-0" id="member_login">
                    @include('element.profile._identification_image')
                </div>
            </div>
            <div class="card mb-6 mb-md-6">
                <div class="card-header border-0">
                    <div class="card-title">
                        <h2 class="fw-bold">@lang('Login Credentials')</h2>
                    </div>
                </div>
                <div class="card-body pt-0" id="member_login">
                    <div class="row g-5">
                        <div class="col-md-12">
                            <div class="mb-0">
                                {{ Form::label('role_id', __('Member Role'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                {{ Form::select('role_id', ['' => 'Select Role'] + $entity_type_roles, null, ['class' => 'form-control form-control-solid rounded-0 mb-5', 'data-control' => 'select2']) }}
                            </div>
                            <div class="mb-0 d-none" id="panel_manager_selection">
                                {{ Form::label('manager_pro_id', __('Select Manager'), ['class' => 'col-form-label-lg fw-semibold']) }}
                                {{ Form::select('manager_pro_id', ['' => 'Select Manager'] + $managers, null, ['class' => 'form-control form-control-solid rounded-0 mb-5', 'data-control' => 'select2']) }}
                            </div>
                            <div class="mb-0">
                                {{ Form::label('username', __('Username'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                {{ Form::text('username', null, ['class' => 'form-control form-control-solid rounded-0 username', 'required' => true, 'id' => 'username']) }}
                            </div>
                            <div class="mb-0">
                                <p class="text-danger usernamevalidationmsg">
                                    {{ __('Only letters, numbers, underscores, and hyphens are allowed.') }}
                                </p>
                                <span id="status_username"></span>
                            </div>
                            <div class="mb-0">
                                {{ Form::label('email', __('Email'), ['class' => 'required col-form-label-lg fw-semibold']) }}
                                {{ Form::email('email', null, ['class' => 'form-control form-control-solid rounded-0', 'required' => true]) }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {!! Form::close() !!}
@endsection
@push('js')
    <script src="{{ asset('assets/js/custom/member/new_member.js') }}"></script>
    <script src="{{ asset('assets/js/custom/pages/user/profile.js') }}"></script>
    <script>
        Profile.init();
        $(document).ready(function() {
            $("#submitButton").text("Save");
            var _submit_action = $('.submit_action').clone();
            $('#footer_submit_action').html(_submit_action);
            initiateFormControl();
            $(document)
            .off("change", "#role_id")
            .on("change", "#role_id", function (e) {
                $('#panel_manager_selection').removeClass('d-none').addClass('d-none');
                if($(this).val() == '<?=ENTITYTYPEID_ROLE_COLLEAGUE?>') {
                    $('#panel_manager_selection').removeClass('d-none');
                }
            });
        })
    </script>
@endpush
