<form id="user-add-form" class="form" action="{{ route('setup.user') }}" autocomplete="off">
    @csrf
    <input type="hidden" name="id" value="">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-2">
                <div class="fv-row mb-10">
                    <label class="fw-semibold fs-6 mb-2">{{ __('Name Title') }}</label>
                    <select class="form-select form-control form-control-lg form-control-solid rounded-0"
                        name="name_title" id="name_title" data-control="select2" data-placeholder="Select title">
                        <option></option>
                        @foreach ($name_title_options as $title_key => $title_value)
                            <option value="{{ $title_key }}">{{ $title_value }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('First Name') }}</label>
                    <input type="text" name="first_name" id="first_name"
                        class="form-control form-control-solid mb-3 mb-lg-0 rounded-0"
                        placeholder="{{ __('First Name') }}" value="" />
                </div>
            </div>
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Last Name') }}</label>
                    <input type="text" name="last_name" id="last_name"
                        class="form-control form-control-solid mb-3 mb-lg-0 rounded-0"
                        placeholder="{{ __('Last Name') }}" value="" />
                </div>
            </div>
            <div class="col-md-2">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Gender') }}</label>
                    <select class="form-select form-control form-control-lg form-control-solid rounded-0" name="gender"
                        id="gender" data-control="select2" data-placeholder="Select gender">
                        <option></option>
                        @foreach ($gender_options as $gender_key => $gender_value)
                            <option value="{{ $gender_key }}">{{ $gender_value }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Designation') }}</label>
                    <input type="text" name="designation" id="designation"
                        class="form-control form-control-solid mb-3 mb-lg-0 rounded-0"
                        placeholder="{{ __('Designation') }}" value="" />
                </div>
            </div>
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Mobile') }}</label>
                    <input type="number" name="mobile" id="mobile"
                        class="form-control form-control-solid mb-3 mb-lg-0 rounded-0"
                        placeholder="{{ __('Mobile') }}" value="" />
                </div>
            </div>
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Email') }}</label>
                    <input type="email" name="email" id="email"
                        class="form-control form-control-solid mb-3 mb-lg-0 rounded-0"
                        placeholder="{{ __('Email') }}" value="" />
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Branch Type') }}</label>
                    <select class="form-select form-control form-control-lg form-control-solid rounded-0"
                        name="branch_type" id="branch_type" data-control="select2"
                        data-placeholder="Select a branch type">
                        <option></option>
                        <option value="ad_branch">{{ __('AD Branch') }}</option>
                        <option value="non_ad_branch">{{ __('Non AD Branch') }}</option>
                    </select>
                </div>
            </div>
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Branch Name') }}</label>
                    <select class="form-select form-control form-control-lg form-control-solid rounded-0"
                        name="bank_branch_id" id="bank_branch_id" data-control="select2"
                        data-placeholder="Select a branch">
                        <option></option>
                        @foreach ($bank_branches as $bank_branch_id => $bank_branch_name)
                            <option value="{{ $bank_branch_id }}">{{ $bank_branch_name }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-md-4">
                <div class="fv-row mb-10">
                    <label class="required fw-semibold fs-6 mb-2">{{ __('Username') }}</label>
                    <input type="text" name="username" id="username"
                        class="form-control form-control-solid mb-3 mb-lg-0 rounded-0"
                        placeholder="{{ __('Username') }}" data-user-id="" value="" />
                    <span id="username-error-text"></span>
                </div>
            </div>
        </div>
    </div>
</form>
