<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit User'), ['action' => 'edit', $user->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete User'), ['action' => 'delete', $user->id], ['confirm' => __('Are you sure you want to delete # {0}?', $user->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Users'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New User'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="users view content">
            <h3><?= h($user->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Username') ?></th>
                    <td><?= h($user->username) ?></td>
                </tr>
                <tr>
                    <th><?= __('Password') ?></th>
                    <td><?= h($user->password) ?></td>
                </tr>
                <tr>
                    <th><?= __('User Pass Prefix') ?></th>
                    <td><?= h($user->user_pass_prefix) ?></td>
                </tr>
                <tr>
                    <th><?= __('Created By') ?></th>
                    <td><?= h($user->created_by) ?></td>
                </tr>
                <tr>
                    <th><?= __('Modified By') ?></th>
                    <td><?= h($user->modified_by) ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($user->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Force Change Pass') ?></th>
                    <td><?= $this->Number->format($user->force_change_pass) ?></td>
                </tr>
                <tr>
                    <th><?= __('Created') ?></th>
                    <td><?= h($user->created) ?></td>
                </tr>
                <tr>
                    <th><?= __('Modified') ?></th>
                    <td><?= h($user->modified) ?></td>
                </tr>
                <tr>
                    <th><?= __('Active Status') ?></th>
                    <td><?= $user->active_status ? __('Yes') : __('No') ?></td>
                </tr>
            </table>

            <div class="related">
                <h4><?= __('Related Entity Employee Profiles') ?></h4>
                <?php if (!empty($user->entity_employee_profiles)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('User Id') ?></th>
                            <th><?= __('Name') ?></th>
                            <th><?= __('Designation') ?></th>
                            <th><?= __('Dob') ?></th>
                            <th><?= __('Nid') ?></th>
                            <th><?= __('Passport') ?></th>
                            <th><?= __('Driving License') ?></th>
                            <th><?= __('Gender') ?></th>
                            <th><?= __('Mobile') ?></th>
                            <th><?= __('Email') ?></th>
                            <th><?= __('Nationality') ?></th>
                            <th><?= __('Present Address') ?></th>
                            <th><?= __('Is Manager') ?></th>
                            <th><?= __('Active Status') ?></th>
                            <th><?= __('Status Description') ?></th>
                            <th><?= __('Created') ?></th>
                            <th><?= __('Modified') ?></th>
                            <th><?= __('Created By') ?></th>
                            <th><?= __('Modified By') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($user->entity_employee_profiles as $entityEmployeeProfiles) : ?>
                        <tr>
                            <td><?= h($entityEmployeeProfiles->id) ?></td>
                            <td><?= h($entityEmployeeProfiles->user_id) ?></td>
                            <td><?= h($entityEmployeeProfiles->name) ?></td>
                            <td><?= h($entityEmployeeProfiles->designation) ?></td>
                            <td><?= h($entityEmployeeProfiles->dob) ?></td>
                            <td><?= h($entityEmployeeProfiles->nid) ?></td>
                            <td><?= h($entityEmployeeProfiles->passport) ?></td>
                            <td><?= h($entityEmployeeProfiles->driving_license) ?></td>
                            <td><?= h($entityEmployeeProfiles->gender) ?></td>
                            <td><?= h($entityEmployeeProfiles->mobile) ?></td>
                            <td><?= h($entityEmployeeProfiles->email) ?></td>
                            <td><?= h($entityEmployeeProfiles->nationality) ?></td>
                            <td><?= h($entityEmployeeProfiles->present_address) ?></td>
                            <td><?= h($entityEmployeeProfiles->is_manager) ?></td>
                            <td><?= h($entityEmployeeProfiles->active_status) ?></td>
                            <td><?= h($entityEmployeeProfiles->status_description) ?></td>
                            <td><?= h($entityEmployeeProfiles->created) ?></td>
                            <td><?= h($entityEmployeeProfiles->modified) ?></td>
                            <td><?= h($entityEmployeeProfiles->created_by) ?></td>
                            <td><?= h($entityEmployeeProfiles->modified_by) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'EntityEmployeeProfiles', 'action' => 'view', $entityEmployeeProfiles->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'EntityEmployeeProfiles', 'action' => 'edit', $entityEmployeeProfiles->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'EntityEmployeeProfiles', 'action' => 'delete', $entityEmployeeProfiles->id], ['confirm' => __('Are you sure you want to delete # {0}?', $entityEmployeeProfiles->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Login Logs') ?></h4>
                <?php if (!empty($user->login_logs)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('User Id') ?></th>
                            <th><?= __('Ip') ?></th>
                            <th><?= __('Login Time') ?></th>
                            <th><?= __('Logout Time') ?></th>
                            <th><?= __('Is Logged In') ?></th>
                            <th><?= __('User Agent') ?></th>
                            <th><?= __('Created') ?></th>
                            <th><?= __('Modified') ?></th>
                            <th><?= __('Created By') ?></th>
                            <th><?= __('Modified By') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($user->login_logs as $loginLogs) : ?>
                        <tr>
                            <td><?= h($loginLogs->id) ?></td>
                            <td><?= h($loginLogs->user_id) ?></td>
                            <td><?= h($loginLogs->ip) ?></td>
                            <td><?= h($loginLogs->login_time) ?></td>
                            <td><?= h($loginLogs->logout_time) ?></td>
                            <td><?= h($loginLogs->is_logged_in) ?></td>
                            <td><?= h($loginLogs->user_agent) ?></td>
                            <td><?= h($loginLogs->created) ?></td>
                            <td><?= h($loginLogs->modified) ?></td>
                            <td><?= h($loginLogs->created_by) ?></td>
                            <td><?= h($loginLogs->modified_by) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'LoginLogs', 'action' => 'view', $loginLogs->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'LoginLogs', 'action' => 'edit', $loginLogs->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'LoginLogs', 'action' => 'delete', $loginLogs->id], ['confirm' => __('Are you sure you want to delete # {0}?', $loginLogs->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related User Entity Roles') ?></h4>
                <?php if (!empty($user->user_entity_roles)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('User Id') ?></th>
                            <th><?= __('Company Info Id') ?></th>
                            <th><?= __('Entity Type Id') ?></th>
                            <th><?= __('Entity Type Role Id') ?></th>
                            <th><?= __('Entity Employee Profile Id') ?></th>
                            <th><?= __('Is Default Role') ?></th>
                            <th><?= __('Active Status') ?></th>
                            <th><?= __('Created') ?></th>
                            <th><?= __('Modified') ?></th>
                            <th><?= __('Created By') ?></th>
                            <th><?= __('Modified By') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($user->user_entity_roles as $userEntityRoles) : ?>
                        <tr>
                            <td><?= h($userEntityRoles->id) ?></td>
                            <td><?= h($userEntityRoles->user_id) ?></td>
                            <td><?= h($userEntityRoles->company_info_id) ?></td>
                            <td><?= h($userEntityRoles->entity_type_id) ?></td>
                            <td><?= h($userEntityRoles->entity_type_role_id) ?></td>
                            <td><?= h($userEntityRoles->entity_employee_profile_id) ?></td>
                            <td><?= h($userEntityRoles->is_default_role) ?></td>
                            <td><?= h($userEntityRoles->active_status) ?></td>
                            <td><?= h($userEntityRoles->created) ?></td>
                            <td><?= h($userEntityRoles->modified) ?></td>
                            <td><?= h($userEntityRoles->created_by) ?></td>
                            <td><?= h($userEntityRoles->modified_by) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'UserEntityRoles', 'action' => 'view', $userEntityRoles->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'UserEntityRoles', 'action' => 'edit', $userEntityRoles->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'UserEntityRoles', 'action' => 'delete', $userEntityRoles->id], ['confirm' => __('Are you sure you want to delete # {0}?', $userEntityRoles->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
