@extends('layouts.master')
@section('content')
<div class="card card-flush overflow-hidden h-md-100 rounded-0">
    <div class="card-body pt-4 pb-4 flex-wrap align-items-center">
        <div class="d-flex flex-column content-justify-center flex-row-fluid">
            <div class="table-responsive w-100">
                <table class="table table-bordered gy-3 gs-3" id="document_list_table">
                    <thead class="py-5 fw-bold table-bordered fs-4 text-white bg-secondary">
                        <tr>
                            <th>{{ __('SL') }}</th>
                            <th>{{ __('ID') }}</th>
                            <th>{{ __('Document Title') }}</th>
                            <th>{{ __('Description of the Document') }}</th>
                            <th>{{ __('Group Name') }}</th>
                            <th>{{ __('Approve Roles') }}</th>
                            <th>{{ __('Action') }}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@push('js')
<script src="{{ asset('/js/base_data_table.js') }}"></script>
<script src="{{ asset('assets/js/custom/ServiceConfiguration/x_service_documents.js') }}"></script>
<script>
    "use strict";
    $(document).ready(function() {
        Documents.init('{{ csrf_token() }}', "{{ route('x-data.document') }}", "{{ route('x-setup.document') }}", "", "{{ route('x-setup.document') }}", "{{ route('x-delete.document', ['id' => ':id']) }}");
    });
</script>
@endpush
