@extends('layouts.title_ajax')
@section('content')
    <div class="card card-custom border">
        {!! html()->form('POST', route('x-setup.document'))->id('form_document')->open() !!}
        @csrf
        <div class="card-body">
            <div class="row mb-2">
                <div class="col-md-2">
                    {!! html()->label(__('Document Title :'), 'document_title')->class('required col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->text('document_title')->class('form-control form-control-solid rounded-0')->value($m_x_document['document_title'] ?? null) !!}
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-md-2">
                    {!! html()->label(__('Document Group :'), 'document_group')->class('required col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->select('document_group', $document_groups)->class('form-control form-control-solid rounded-0')->attribute('data-control', 'select2')->value($m_x_document['document_group'] ?? null) !!}
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-md-2">
                    {!! html()->label(__('Approve Roles :'), 'verify_role_ids')->class('required col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->select('verify_role_ids[]', $entity_type_roles, $oldVerifyRoleIds)->class('form-control form-control-solid rounded-0')->multiple()->attribute('data-control', 'select2') !!}
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-md-2">
                    {!! html()->label(__('No of Files :'), 'no_of_files')->class('required col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->text('no_of_files')->class('form-control form-control-solid rounded-0')->id('no_of_files_input')->value($m_x_document['no_of_files'] ?? null) !!}
                </div>
            </div>
            <div class="row mb-2">
                <div class="col-md-2">
                    {!! html()->label(__('Description of the Document :'), 'document_description')->class('required col-form-label-lg fw-semibold') !!}
                </div>
                <div class="col-md-9">
                    {!! html()->textarea('document_description')->class('form-control form-control-solid rounded-0')->value($m_x_document['document_description'] ?? null) !!}
                </div>
            </div>
        </div>
        @if (!empty($m_x_document))
            {!! html()->hidden('type', $m_x_document['id']) !!}
            {!! html()->hidden('id', $m_x_document['id']) !!}
        @endif
        {!! html()->form()->close() !!}
    </div>
@endsection
<script>
    $('[data-control="select2"]').select2();
    $(document).ready(function() {
        Documents.setup();
    });
</script>
