<?php

use App\Http\Controllers\Api\ClientController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Artisan;
use App\Http\Controllers\EmailsController;
use App\Http\Controllers\RabbitMQController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\FileManagerController;
use App\Http\Controllers\UserRegisteredDeviceController;
use App\Http\Controllers\Api\AuthController;
use App\Http\Controllers\Api\DashboardController as ApiDashboardController;
use App\Http\Controllers\Api\ProfileController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

// API Login
Route::post('login', [AuthController::class, 'login']);
Route::post('logout', [AuthController::class, 'logout']);
Route::post('refresh', [AuthController::class, 'refresh']);

Route::group(['middleware' => 'auth:api'], function () {
    // Authenticate User
    Route::get('me', [AuthController::class, 'me']);
});

// Email Response
Route::post('email/service/response', [EmailsController::class, 'emailServiceResponse'])->name('response.service.email');

// Device Register
Route::post('device/register', [UserRegisteredDeviceController::class, 'deviceRegister'])->name('register.device');
Route::post('device/dispatch/notify', [UserRegisteredDeviceController::class, 'dispatchNotify'])->name('notify.dispatch.device');

// Rabbit CURL
Route::post('execute/rabbitmq/process', [RabbitMQController::class, 'executeRabbitRequest'])->name('process.rabbitmq.execute');
