<?php $__env->startSection('content'); ?>

<div class="container-fluid mt-5">
    <!-- Customer Search Section -->
    <div class="card w-100">
        <div class="card-header bg-primary text-white rounded-0">
            <h3 class="text-white mt-2">Customer Details</h3>
        </div>
        <div class="card-body">
            <!-- Account Details -->
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Customer Name:</strong> <?php echo e($customer['ac_name']); ?>

                </div>
                <div class="col-md-6">
                    <strong>Account Number:</strong> <?php echo e($customer['ac_number']); ?>

                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Branch Name:</strong> <?php echo e($customer['branch_name']); ?>

                </div>
                <div class="col-md-6">
                    <strong>Account Opening Date:</strong>
                    <?php echo e($customer['created_at']); ?>

                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Account Status:</strong> <?php echo e($customer['acc_status']); ?>

                </div>
                <div class="col-md-6">
                    <strong>Cust ID:</strong> <?php echo e($customer['cust_id']); ?>

                </div>
            </div>

            <!-- Personal Details -->
            <hr>
            <h5>Personal Information</h5>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Father's Name:</strong> <?php echo e($customer['father_name']); ?>

                </div>
                <div class="col-md-6">
                    <strong>Mother's Name:</strong> <?php echo e($customer['mother_name']); ?>

                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Mobile Number:</strong> <?php echo e($customer['phone']); ?>

                </div>
                <div class="col-md-6">
                    <strong>Email:</strong> <?php echo e($customer['email']); ?>

                </div>
            </div>

            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Date Of Birth:</strong> <?php echo e($customer['dob']); ?>

                </div>
                <div class="col-md-6">
                    <strong>National ID (NID):</strong> <?php echo e($customer['nid']); ?>

                </div>
            </div>

            <div class="row mb-3">
                <div class="col-md-6">
                    <strong>Marital Status:</strong> <?php echo e($customer['marital_status']); ?>

                </div>
                <div class="col-md-6">
                    <strong>Occupation:</strong> <?php echo e($customer['occupation']); ?>

                </div>
            </div>

        </div>
    </div>


    <?php if(isset($_GET['screening']) && $_GET['screening'] === 'true'): ?>
     <div class="text-center mt-4">
        <button id="markGuiltyBtn" class="btn btn-danger">Mark this Customer as Guilty</button>
    </div>
    <?php endif; ?>
</div>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    document.getElementById('markGuiltyBtn').addEventListener('click', function () {
        // Show processing notification
        Swal.fire({
            title: 'Processing...',
            text: 'Please wait while marking this customer as guilty.',
            icon: 'info',
            showConfirmButton: false,
            allowOutsideClick: false,
            timerProgressBar: true,
            didOpen: () => {
                Swal.showLoading();
            }
        });

        // Simulate processing delay
        setTimeout(() => {
            // Close the processing notification
            Swal.close();

            // Show success notification
            Swal.fire({
                title: 'Success!',
                text: 'Customer has been marked as guilty.',
                icon: 'success',
                confirmButtonText: 'OK'
            }).then(() => {
                // Update button text and disable it
                const markGuiltyBtn = document.getElementById('markGuiltyBtn');
                markGuiltyBtn.textContent = 'Customer Marked as Guilty';
                markGuiltyBtn.classList.remove('btn-danger');
                markGuiltyBtn.classList.add('btn-secondary');
                markGuiltyBtn.disabled = true;
            });
        }, 2000); // 2 seconds delay
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\adverse-media-screening\resources\views/customers/customer_static_view.blade.php ENDPATH**/ ?>